This file contains an overview of the changes made between
tin 1.3BETA 950824 and tin 2.6.0, for recent changes look at CHANGES

-- 2.6.0 release 20210823 "Coleburn" --

 027) Dennis Preiser <dennis@d--p.de>
      ADD. allow multibyte chars in art_marked_*
      ADD. jump to article in posting history screen
      ADD. untaint variable used for connection info output
      ADD. skip_scope() to check if the attribute is set
      ADD. right-justify txt_thread_x_of_n and txt_x_resp in page level
      ADD. filter update comment to related entry, not the following
      BUG. spurious newline before signature with sigdashes=OFF
      BUG. crash when trying to respond to an article with an empty Subject
      BUG. unfinished rfc2047 encodings may lead to out of bound reads
      BUG. hypothetic resource leak in lookup_msgid()
      BUG. swapped check to avoid possible out of bound read in
           find_first_unread()
      BUG. aborting jump to n-th article in thread in page level switched
           to 1st article in thread instead of doing nothing
      BUG. possible integer overflow if high watermark equals maximal
           possible article number supporetd
      FIX. art.c, attrib.c, config.c, filter.c, group.c, help.c, init.c
           keymap.c, lang.c, misc.c, newsrc.c, nntplib.c, options_menu.c
           page.c, post.c, prompt.c, rfc2047.c, screen.c, search.c, select.c
           sigfile.c, signal.c, thread.c, extern.h, keymap.h, proto.h, tin.h
           tinrc.h

 026) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      ADD. lots of casts to silence compiler warnings
      FIX. art.c, attrib.c, charset.c, color.c, config.c, cook.c, curses.c
           envarg.c, feed.c, filter.c, getline.c, global.c, group.c, header.c
           help.c, inews.c, keymap.c, memory.c, misc.c, nntplib.c
           options_menu.c, page.c, pgp.c, post.c, prompt.c, read.c, refs.c
           regex.c, rfc1524.c, rfc2045.c, rfc2046.c, rfc2047.c, save.c
           screen.c, search.c, select.c, sigfile.c, string.c, thread.c, trace.c
           wildmat.c, parsdate.y, keymap.h, tcurses.h, tin.h, aclocal.m4
           configure[.in]

 025) Urs Janssen <urs@tin.org>
      REM. 3rd party tool expand_aliases
      REM. redundant condition
      REM. auto_save tinrc and attributes option
      REM. start_editor_offset tinrc and attributes option
      BUG. after toggling through thread methods via 'u' go to parent in pager
           could lead to crash if no more read article in thread were left
      BUG. hypothetic use of uninitialized variable when saving article
           without From-header in mbox format
      BUG. using right-mouse actions (use_mouse=ON) outside the active
           screen-aerea (clicking below the last group/subject on screen)
           could lead to a crash
      BUG. get_initials() may leave initials uninitiaized
      BUG. detection of idn_decodename() from libidnkit may fail
      BUG. gnksa parser still prohibited some chars in dqotes which are
           allowed since RFC 5322
      BUG. spin_cursor() was only called for valid entries when parsing the
           active file
      ADD. always show full path in upgrade_prompt_quit()
      ADD. replace elm(1) with mutt(1) in examples
      ADD. update included libcanlock
      ADD. config.guess, config.sub update
      ADD. reorder t_filter to reduce mem usage
      ADD. quit early if screen is too small, reduce MIN_COLUMNS_ON_TERMINAL
           from 50 to 40
      REM. some unnecessary initializations
      ADD. suppress some unused-result warnings
      FIX. active.c, art.c, attrib.c, charset.c, config.c, cook.c, debug.c
           feed.c, filter.c, global.c, group.c, help.c, inews.c, init.c, lang.c
           main.c, makecfg.c, memory.c, misc.c, nntplib.c, options_menu.c
           page.c, pgp.c, post.c, prompt.c, rfc2046.c, rfc2047.c, save.c
           search.c, sigfile.c, string.c, tcurses.c, thread.c, xface.c
           extern.h, proto.h tin.h, tinrc.h, trace.h, version.h, tincfg.tbl
           tin.[15], libcanlock/*, expand_aliases.tgz, config.guess, config.sub
           configure[.in]

 024) Matt Anton <tin@lv223.org>
      ADD. updated French translation
      FIX. fr.po

 023) Toomas Soome <tsoome@me.com>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.4.5 release 20201224 "Glen Albyn" --

 022) Dennis Preiser <dennis@d--p.de>
      BUG. 'B'ody and '/'article search with wildcard matching (wildcard=0)
           didn't work
      BUG. convert_tex2iso with UTF-8 as local charset did map "O to wrong
           char
      BUG. missing termination of conversion table for convert_tex2iso
      BUG. avoid possible endless loop in search_group
      BUG. tin_ltoa in some cases returned an error where it shouldn't
      BUG. 'T'ag all parts of multipart message didn't work with thread_arts
           4 (multipart) or 5 (percentage)
      BUG. hung on empty (lone '.') positive (220) response to ARTICLE command
      ADD. make {Group,Thread}TagParts 'T' toggle like 't'ag
      ADD. don't show mime parse error for missing end marker if not running
           in debug mode
      ADD. increase hash-table sizes
      ADD. speed up multipart threading
      ADD. multipart tagging ThreadTagParts 'T' to thread level
      ADD. reduce memory usage by struct reordering to avoid padding
      ADD. GNKSA_MISSING_REALNAME return code for filtering
      REM. redundant conde
      FIX. art.c, charset.c, group.c, hashstr.c, help.c, keymap.c, lang.c
           misc.c, page.c, refs.c, rfc2046.c, screen.c, search.c, string.c
           tags.c, thread.c, wildmat.c, extern.h, keymap.h, proto.h, tin.h
           tin.[15]

 021) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      ADD. fallback to the bundled pcre if required
      ADD. prefer systemwide libcanlock over bundled one
      FIX. aclocal.m4, configure[.in], Makefile.[in], tin.h

 020) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. document strip_re_regex, strip_was_regex and col_message in manpage
      ADD. configure check for fchmod(2) and fallback to chmod(2) if system
           lacks it (e.g. Interactive UNIX)
      ADD. speed up filter on Path:-header
      ADD. allow abortion of subject/author search in group level
      ADD. allow abortion of filtering
      ADD. raise default max length for numbers in prompts from 6 to 10 digits
      ADD. restrict multipart detection to messages with more than 1 part
      ADD. show an error message if append_mail() fails
      ADD. allow path for posted_articles_file
      ADD. document gnksa-parser return codes in tin(5)
      ADD. center_line() now does BiDi
      ADD. don't fail on GNKSA_MISSING_REALNAME when posting
      ADD. GNKSA_RANGLE_MISSING (104) error code to gnksa-filter
      BUG. when $TIN_INDEX_NEWSDIR was used INDEX_NEWSDIR was
           automatically appended to the string, but for the '-I' cmd.line it
           wasn't, now '-I' behaves exactly like $TIN_INDEX_NEWSDIR
      REM. redundant condition
      FIX. art.c, attrib.c, config.c, debug.c, filter.c, getline.c, inews.c
           init.c, lang.c, main.c, makecfg.c, memory.c, misc.c, newsrc.c
           nrctbl.c, options_menu.c, post.c, read.c, save.c, screen.c
           search.c, tags.c, thread.c, tmpfile.c, extern.h, proto.h, tin.h
           tin.[15], configure[.in], autoconf.h[in], config.guess, config.sub
           en_GB.po, keymap.sample

 019) Matt Anton <tin@lv223.org>
      ADD. updated French translation
      FIX. fr.po

 018) Toomas Soome <tsoome@me.com>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.4.4 release 20191224 "Millburn" --

 017) Dennis Grevenstein <dennis.grevenstein@gmail.com>
      ADD. FD_*-fallback for SunOS-3.5
      FIX. missing_fd.h

 016) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros - use xpg3 instead of xpg4 case-statements
      FIX. aclocal.m4, configure[.in]

 015) Dennis Preiser <dennis@d--p.de>
      BUG. 'L'ookupMessageID in select-level could crash if 1st group
           in newsrc is marked bogus
      BUG. memleak in thread_by_multipart
      FIX. active.c, art.c, tin.5

 014) Urs Janssen <urs@tin.org>
      BUG. sigfile attribute with a command ("sigfile=!") would append %G
           on {ATTRIBUTES,TINRC}_VERSION increase even if already present.
      BUG. tinrc normalization_form=5 (NFKC_CF) setting was lost on restart
      BUG. quote_chars with multiple '%s' lead to a crash
      BUG. memleak with stray comments (no scope) in filter file
      ADD. tweak is_art_tex_encoded to allow text umlauts at the beginning
           of a line
      ADD. turned '%s'/'%S' in quote_chars (for initials) into '%I' to be
           consistent with other occurrences
      ADD. repost ('x') now takes mailing_list attribute into account
      ADD. repost prolog looked ugly in multibyte env. if multibyte chars
           were quoted in the prolog
      ADD. disallow supersedes in mailgroups
      ADD. fix handrolled strcasestr() to cast returned value
           (required for cray-unicos cc)
      ADD. configure check for working tolower(), toupper()
           (required for sony-newsos3)
      ADD. configure check for h_addr_list in struct hostent
           (required for sun-sunos3.5)
      ADD. CF_TYPE_FD_SET and CF_CHECK_FD_SET configure checks from
           Thomas E. Dickey
      ADD. fixup autoconf missdetections for *-next-{nextstep,openstep}*
           (WIFEXITED, WIFEXITED, HAVE_SYS_UTSNAME_H, HAVE_SYS_WAIT_H, ...)
      ADD. determine mailbox_name just once
      ADD. switched tinrc.confirm_choice from string to int
      ADD. invoke_metamail() without piping
      ADD. %P expansion (groupname with '.' replaced by '/') in _strfpath()
      ADD. check for gcc >= 2.6 to use __attribute__((unused))
      ADD. GLOBAL_BUGREPORT ('R') to 'M'enu and attachment menu
      ADD. normalize subject for threading
      ADD. xref and path to debug filter output if set and hide subject,
           from and msgid if unset
      ADD. article headers and body to very verbose nntp debug (-D 1 -vv) log
      ADD. score, gnksa and lines to arts debug output for killed articles
      REM. dead code (NEW_HASH_METHOD, gl_init_done, OSNAME, redundant
           conditions)
      REM. non M_UNIX and __BEOS__ code
      ADD. config.guess, config.sub update
      FIX. active.c, art.c, attrib.c, charset.c, config.c, cook.c, curses.c
           debug.c, feed.c, filter.c, getline.c, header.c, inews.c, init.c
           keymap.c, lang.c, list.c, makecfg.c, main.c, mimetypes.c, misc.c
           newsrc.c, nntplib.c, nrctbl.c, options_menu.c, page.c, post.c
           prompt.c, read.c, rfc2046.c, rfc2047.c, save.c, screen.c, select.c
           sigfile.c, signal.c, string.c, version.c, xref.c, bugrep.h, extern.h
           proto.h, tin.h, tnntp.h, version.h, parsdate.y, Makefile[.in]
           config.guess, config.sub, configure[.in], autoconf.hin, tin.1, tin.5

 013) Toomas Soome <tsoome@me.com>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.4.3 release 20181224 "Glen Mhor" --

 012) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      ADD. check for va_copy() for pre C99 systems
      FIX. aclocal.m4, configure[.in], autoconf.h[in], tin.h, memory.c
           screen.c, string.c, tcurses.c

 011) Francisco Javier Serrador <fserrador@gmail.com>
      ADD. Spanish translation
      FIX. es.po

 010) Matt Anton <tin@lv223.org>
      ADD. updated French translation
      FIX. fr.po

 009) Dennis Preiser <dennis@d--p.de>
      BUG. ensure destination of match_string() is NULL terminated
      BUG. possible buffer overflows with long translations
      BUG. fixed length buffer in rfc1522_decode() may overflow
      ADD. don't idna_decode() strings which are not IDNA encoded
      ADD. ability to filter on Path:-header
      FIX. art.c, config.c, feed.c, filter.c, getline.c, help.c, lang.c
           main.c, memory.c, nntplib.c, page.c, rfc2047.c, save.c, screen.c
           extern.h, nntplib.h, proto.h, tin.h, tin.5

 008) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. checks for explicit_bzero(), explicit_memset(), memset_s()
      ADD. check for unicode/unorm2.h to favor unorm2_normalize() over
           unorm_normalize() if found
      ADD. NFKC_case_fold normalization if unicode/unorm2.h is found
      ADD. don't strip binary with "make install"
      ADD. match_string()/match_item() now stop on first '\n'
      ADD. don't show broken active file messages if not running with -D 1
      ADD. accept arbitrary line length in mail.active file
      ADD. allow (multiple) -v for debug mode
      ADD. honor NDEBUG in assert() replacement
      BUG. possible buffer overflow when prompting for a wildcard search
           pattern in get_search_pattern()
      BUG. possible buffer overflows with long translations
      BUG. pointer arithmetic with possible NULL pointer
      BUG. didn't recheck CAPABILITIES after auth
      BUG. transport-padding on mime boundaries wasn't ignored
      BUG. get_group_from_list() used in 'L'lookup_msgid() couldn't handle
           FWS as of RFC 5536 3.1.4.
      ADD. rename FOLLOW_USEFOR_DRAFT to ALLOW_FWS_IN_NEWSGROUPLIST
      ADD. remove some redundant assigns
      ADD. switch from autoconf-2.13.20110430 to autoconf-2.52.20181006
      ADD. be more verbose on connections errors when get_tcp6_socket()
           is used (debian bug #232924)
      FIX. active.c, art.c, auth.c, config.c, cook.c, debug.c, feed.c
           getline.c, group.c, header.c, help.c, init.c, keymap.c, lang.c
           list.c, mail.c, main.c, misc.c, newsrc.c, nntplib.c, options_menu.c
           page.c, post.c, read.c, rfc1524.c, rfc2045.c, rfc2046.c, rfc2047.c
           save.c, search.c, screen.c, select.c, signal.c, sigfile.c
           strftime.c, string.c, extern.h, proto.h, tin.h, config.guess
           config.sub, aclocal.m4, configure[.in], autoconf.h[in]
           Makefile[.in], tin.1, tin.5

-- 2.4.2 release 20171224 "Lochhead" --

 007) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      FIX. aclocal.m4, configure[.in]

 006) Mesutcan Kurt <mesutcank@gmail.com>
      ADD. updated Turkish translation
      FIX. tr.po

 005) Dennis Preiser <dennis@d--p.de>
      ADD. cancel_lock_algo config option
      ADD. sha256 and sha512 as possible algorithms for cancel_locks
      ADD. sigfile=!command no longer passes the name of the current
           newsgroup to command, but %G is replaced by groupname if
           specified
      ADD. remove sleep(1) from unshar loop
      BUG. possible buffer overrun in rfc1522_decode()
      BUG. wildcard search doesn't advance past a match in a line for a
           subsequent search
      BUG. last line in the info_pager (help, posting-history) lacked
           truncation
      BUG. quoted pairs in CFWS were not ignored
      ADD. cleanup
      FIX. attrib.c, config.c, inews.c, init.c, lang.c, options_menu.c, page.c
           post.c, regex.c, rfc2045.c, rfc2046.c, rfc2047.c, save.c, sigfile.c
           string.c, wildmat.c, tincfg.tbl, extern.h, tinrc.h, version.h
           libcanlock/*, tin.1, tin.5

 004) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

 003) Urs Janssen <urs@tin.org>
      BUG. possible NULL dereference when IDNA-decoding with libicuuc
      BUG. possible NULL dereference with -D 4
      BUG. possible use of uninitialized variable in debug output
      BUG. posting history screen failed to use additional space
           if window was widened
      BUG. 2nd arg of tin_getline() is int not bool
      BUG. multibyte input to prompts was grabbled if using ncurses but not
           ncursesw
      ADD. config.guess, config.sub update
      ADD. adjust argument names to be the same in declaration and definition
      ADD. install rtin.5 manpage
      ADD. skip group query for -w if group was given on the cmd.-line
      ADD. remove redundant return statement at the end of void functions
      ADD. tweak MAIL_REGEX to not capture a tailing ')'
      ADD. use uidna_nameToUnicode() instead of uidna_IDNToUnicode() if
           linked against ICU >=4.6
      FIX. art.c, attrib.c, auth.c, charset.c, config.c, curses.c, feed.c
           filter.c, group.c, help.c, keymap.c, lang.c, main.c, mimetypes.c
           misc.c, newsrc.c, nntplib.c, pgp.c, post.c, prompt.c, refs.c
           rfc2047.c, save.c, screen.c, select.c, tcurses.c, thread.c, proto.h
           tin.h, Makefile[.in], configure[.in], autoconf.h[in], config.guess
           config.sub, tin.1, tin.5

-- 2.4.1 release 20161224 "Daill" --

 002) Dennis Preiser <dennis@d--p.de>
      BUG. reconnection problem if started with '-n' and multiple
           "LIST COUNTS grp1,grp2,..." were sent
      BUG. overlapping strcpy(3)/wcscpy(3)
      FIX. getline.c, select.c

 001) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. clarify ternary condition
      BUG. logic error when connecting to a server in transit mode forced
           user to auth even if server didn't request it
      BUG. resource leak in post_process_uud() and parse_rfc2045_article()
      BUG. possible nullpointer dereferenced when running out of memory in
           makecfg (during compilation)
      BUG. memleak if using libunistring for unicode normalization
      FIX. active.c, art.c, auth.c, config.c, feed.c, group.c, makecfg.c
           misc.c, nntplib.c, post.c, rfc2046.c, save.c, select.c, string.c
           config.guess, config.sub, tin.5

-- 2.4.0 release 20160823 "Octomore" --

U031) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      FIX. aclocal.m4, configure, Makefile, conf-tin

U030) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

U029) Corinna Vinschen <vinschen@redhat.com>
      BUG. missing prototypes on cygwin
      FIX. aclocal.m4

U028) Dennis Preiser <dennis@d--p.de>
      BUG. memleak on exit due to unexpected nntp connection vanishing
      FIX. art.c, memory.c

U027) Urs Janssen <urs@tin.org>
      Dennis Preiser <dennis@d--p.de>
      ADD. log reconnect limit reached (debian bug #832397)
      ADD. document NNTP_ERROR_EXIT code (debian bug #832397)
      ADD. give error messages on exit after curses has ended (debian bug
           #832397)
      FIX. proto.h, active.c, header.c, lang.c, mail.c, main.c, misc.c
           newsrc.c, nntplib.c, page.c, read.c, select.c, signal.c, thread.c
           tin.[15]

U026) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U025) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.3.4 release 20160628 "Newton" --

U024) Dennis Preiser <dennis@d--p.de>
      ADD. hide strip_blanks option when using curses
      ADD. LookupMessage ('L') to selection level if reading via NNTP
      BUG. toggling inverse_okay didn't refresh Menu header
      BUG. progress message when piping/printing articles looked odd
      BUG. spurious revers mark in menu in !USE_CURSES case when toggling
           ON/OFF options
      BUG. select_format wasn't fully honored in
           !USE_CURSES && !MULTIBYTE_ABLE case
      BUG. strip_blanks (!USE_CURSES) wasn't always honored
      FIX. config.c, feed.c, group.c, help.c, init.c, keymap.c, lang.c
           options_menu.c, screen.c, select.c, thread.c, tincfg.tbl, extern.h
           tin.h, tinrc.h, tin.1

U023) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. LookupMessage ('L') to selection level if reading via NNTP
      BUG. filter menu required = sign if filtering on exact line number
      BUG. didn't compile with --disable-piping / -DDONT_HAVE_PIPING
      BUG. missing checks for successful fopen of debug refs dump files
      BUG. typos in debug message
      FIX. active.c, filter.c, nntplib.c, refs.c, save.c, screen.c, select.c
           xref.c, config.guess, config.sub, tin.1, de.po

U022) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.3.3 release 20160327 "Kinloch" --

U021) Glenn Spell <glenn@gs.fay.nc.us>
      BUG. progress message when piping/printing articles looked odd
      FIX. extern.h, feed.c, lang.c, prompt.c, screen.c

U020) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U019) Urs Janssen <urs@tin.org>
      BUG. single quoted lines not always colored
      BUG. -Q [-nqd] didn't work with servers announcing LIST COUNTS
      BUG. NNTP cmd. arguments could exhaust RFC 3977 3.1 limit
      BUG. -z leaked file descriptors and memory with no unread news present
      BUG. possible null pointer dereference with gmtime() and localtime()
      BUG. automatic auth on non RFC 3977 servers didn't update can_post status
      BUG. memleak in buffer_to_local()
      BUG. overlapping strcpy in join_references()
      BUG. handle missing server name in xref overview data in xref-filters
      BUG. didn't remove old SCOPES-[RW], REFS.dump, REFS.info before logging
           to them
      BUG. ! was disallowed in local part of From
      REM. idna_decode() from headers_to_display
      ADD. -D 128 to purge old debug files
      ADD. avoid useless strdup()/free()/realloc()
      ADD. updated German translation
      ADD. config.guess, config.sub update
      ADD. improve -u error message
      ADD. don't resend "LIST [NEWSGROUPS|COUNTS] wildmat" on reconnect
      ADD. warn about "-D 1" when not using nntp
      ADD. remove superfluous abs(size_t - size_t)
      ADD. removed fixed buffer from create_path()
      ADD. --enable-break-long-lines is now default
      ADD. avoid several comma operators (to silence -Wcomma)
      ADD. updated German translation
      FIX. active.c, art.c, auth.c, charset.c, cook.c, debug.c, filter.c
           group.c, lang.c, mail.c, main.c, misc.c, nntplib.c, page.c, post.c
           rfc2046.c, rfc2047.c, save.c, screen.c, thread.c, nntplib.h,de.po
           tin.1, config.guess, config.sub, de.po

U018) Dennis Preiser <dennis@d--p.de>
      ADD. allow RFC 2231 parameter value continuation with gaps in numbering
           and part numbering starting anywhere
      ADD. RFC 2231 decoding of non us-ascii MIME-parameter values
      ADD. fallback to RFC 2047 decoding of non us-ascii MIME-parameter values
      ADD. omit charset info for non text/*-parts in the attachment menu
      BUG. crash in RFC 2231 parameter value continuation if 0-part is missing
      BUG. out of bounds access in buffer_to_local() on invalid multibyte
           sequence
      BUG. unknown evaluation order in reconnect loop
      BUG. memory leak on unexpected end of file
      BUG. Content-Disposition filename wasn't used if found before
           Content-Type name
      BUG. changing extquote_handling in 'M'enu did not immediately took effect
      BUG. aborting exit of -w (post_article_and_exit) lead to endless
           drain_buffer()-loop
      BUG. delayed auth in read_newsrc_active_file() could lead to exit
           due to empty group list
      BUG. leaving a mailgroup might keep the cursor visible
      BUG. when prompting for username/password string may lack termination
      FIX. active.c, auth.c, cook.c, mail.c, misc.c, nntplib.c
           options_menu.c, read.c, rfc2046.c, save.c, proto.h, rfc2046.h

U017) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

U016) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.3.2 release 20151224 "Glenavullen" --

U015) Stefan Assmann <sassmann@kpanic.de>
      BUG. format string vulnerability with -Sv
      FIX. save.c, select.c

U014) Wei-Lun Chao <bluebat@member.fsf.org>
      ADD. update traditional chinese translation
      FIX. zh_TW.po

U013) Mingye Wang <arthur200126@gmail.com>
      ADD. simplified chinese translation
      FIX. zh_CN.po

U012) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      FIX. aclocal.m4

U011) Dennis Preiser <dennis@d--p.de>
      BUG. uue parts in mime articles were not mime decoded before uue
           decoding
      BUG. used freed fp if cooking of article fails
      BUG. Cygwin >= 2.0 was treated as Cygwin < 1.7
      BUG. ncurses >= 6.0 wasn't recognized
      BUG. possible crash on initial reconnect loop when network is down
      BUG. socket not closed on early exit
      BUG. memory leak when aborting index_group() from select level
      BUG. memory leak when reading mailgroup articles without Message-ID
      BUG. memory leak in makecfg
      BUG. in thread level space calculation for %F was wrong with
           S'ubject or 'P'ercent threading active
      BUG. in thread level show_author was ignored with S'ubject or 'P'ercent
           threading active
      BUG. thread level didn't show subject with 'P'ercent or 'M'ultibyte
           threading active and '%T' present in thread_format
      ADD. AttachSelect and AttachPipe now perform charset translation for
           text/*-parts
      ADD. handle CRLF spread over two lines in base64 decoding
      ADD. options to color external quotes (extquote_handling,
           extquote_regex, col_extquote)
      ADD. skip over RFC 2231 language parameter in encoded words
      ADD. RFC 2231 parameter value continuation
      ADD. allow comments in Content-* headers
      REM. groupname_max_length tinrc option (replaced by select_format)
      FIX. extern.h, rfc2046.h, tcurses.h, tin.h, tinrc.h, version.h, art.c
           attrib.c, color.c, config.c, cook.c, group.c, init.c, lang.c
           main.c, makecfg.c, memory.c, misc.c, nntplib.c, options_menu.c
           page.c, rfc2045.c, rfc2046.c, rfc2047.c, save.c, select.c, string.c
           thread.c, tincfg.tbl, tin.[15], configure[.in]

U010) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U009) Urs Janssen <urs@tin.org>
      ADD. updated German translation
      ADD. config.guess, config.sub update
      ADD. fix hypothetic null pointer dereference
      ADD. allow hand supplied Sender header with external news
      ADD. avoid useless strdup()/free()
      ADD. onion TLD to disallowed TLDs
      ADD. removed redundant conditions in auth code
      ADD. --enable-heapsort is now default
      ADD. --enable-ipv6 is now default
      REM. dead code
      BUG. wrong format string in CLOSEDIR macro used
      BUG. uncontrolled format string in nntp error messages.
      BUG. tin_errno wasn't always cleared when aborting index_group()
      BUG. in batch mode rebindable keys were malloced but not freed
      FIX. auth.c, cook.c, group.c, lang.c, main.c, misc.c, nntplib.c
           page.c, post.c, prompt.c, rfc2047.c, search.c, thread.c, policy.h
           tin.h, de.po, config.guess, config.sub, configure[.in]
           Makefile[.in]

U008) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.3.1 release 20141224 "Tallant" --

U007) Dennis Preiser <dennis@d--p.de>
      ADD. also validate "utf8" input
      FIX. misc.c

U006) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U005) Urs Janssen <urs@tin.org>
      ADD. fix hypothetic null pointer dereference
      ADD. config.guess, config.sub update
      ADD. updated German translation
      FIX. proto.h, filter.c, post.c, save.c, tin.1, config.guess, config.sub
           de.po

-- 2.3.0 release 20141003 "Glenfoyle" --

U004) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U003) Urs Janssen <urs@tin.org>
      ADD. !HAVE_LONG_FILE_NAMES code path to my_tmpfile()
      ADD. allow TLDs with up to 14 chars (.cancerresearch) in
           URL_REGEX and NEWS_REGEX
      BUG. memleak in normalize() if libidn is used for normalization
      BUG. '-d' didn't work as it was always overwritten by tinrc setting
      ADD. config.sub update
      FIX. attrib.c, config.c, filter.c, mail.c, my_tmpfile.c, string.c
           config.sub, tin.[15]

U002) Dennis Preiser <dennis@d--p.de>
      BUG. in base64 encoding multibyte chars could have been broken into
           multiple encoded words which is prohibited by RFC 2047
      FIX. rfc2047.c

U001) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

-- 2.2.1 release 20140504 "Tober an Righ" --

 004) Dennis Preiser <dennis@d--p.de>
      BUG. don't stop utf8 validation on first \n
      BUG. possible buffer overrun in build_gline().
      BUG. missing check for art->refptr in build_tline().
      ADD. handle space-stuffing from RFC 2646 4.4
      ADD. tweak URL_REGEX, don't stop before closing ) if there was an
           opening ( in the URL.
      ADD. allow editing of captured URL before spawning viewer
      FIX. cook.c, misc.c, page.c, rfc2046.c, select.c, thread.c, rfc2046.h
           tin.h

 003) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

 002) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

 001) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. updated German translation
      ADD. no-c-format hint for xgettext
      BUG. hypothetic 1 byte buffer overrun in read_newsrc_active_file() with
           newsgoup names longer than 511 bytes (RFC 3977 guarantees them to
           be 497 bytes max).
      BUG. hypothetic out of bounds write in msg_add_header() if more than
           MAX_MSG_HEADERS are added automatically
      BUG. don't null strings with illegal multibyte sequences, just replace
           everything after the fist illegal sequence with ?
      FIX. active.c, config.c, feed.c, lang.c, page.c, post.c, read.c,
           rfc2046.c, string.c, config.guess, config.sub, de.po

-- 2.2.0 release 20131224 "Lochindaal" --

U025) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U024) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      FIX. aclocal.m4, configure.in

U023) Dennis Preiser <dennis@d--p.de>
      BUG. do not truncate long subjects in group level if they
           fit on the screen
      FIX. group.c

U022) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

U021) Urs Janssen <urs@tin.org>
      ADD. removed some useless initializations
      ADD. config.guess update
      BUG. don't give error message for manually aborted saves
      BUG. fixed a possible free(NULL) if linked against libgsasl
      BUG. forged cancels (-DFORGERY) didn't include all original headers
           in the body as it was done before tin 2.0.0
      BUG. memleak in pos_group_in_newsrc() when moving a group to new position
      FIX. active.c, auth.c, curses.c, feed.c, group.c, inews.c, lang.c, mail.c
           main.c, misc.c, newsrc.c, page.c, post.c, prompt.c, save.c, select.c
           string.c, thread.c, xref.c, config.guess

U020) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.1.5 release 20131126 "Meadowburn" --

U019) Dennis Preiser <dennis@d--p.de>
      BUG. possible dereference null return value
      BUG. fixed various uncritical resource leeks
      BUG. possible wrong position of %U and %f with user defined screen
           layout
      FIX. select.c, string.c, tin.h

U018) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

U017) Urs Janssen <urs@tin.org>
      ADD. updated German translation
      ADD. remove FWS from Newsgroups and Followup-To when posting a followup
      ADD. allow new gTLDs xn--ngbc5azd, xn--80asehdb, xn--80aswg, xn--unup4y
      ADD. allow new IDN ccTLD of Iran
      ADD. allow new gTLDs graphics, contractors, gallery, sexy, construction
           tattoo, technology, estate, land, bike, ventures, camera, clothing
           lighting, singles, voyage, guru, holdings, equipment
      ADD. make the filter debug output somewhat more readable
      ADD. more verbose "LIST OVERVIEW.FMT" debugging
      ADD. updated mbox and mmdf manpage
      ADD. set default of disable_gnksa_domain_check to TRUE
      ADD. mention mailaddress on the posting summary screen for mailgroups
      BUG. in mailgroups the posting summary screen wasn't updated after
           editing the article
      BUG. fixed various uncritical resource leeks
      BUG. fixed various hypothetic buffer overruns
      BUG. removed some dead code
      BUG. in -n case a valid group could be treated as invalid on RFC 3977
           servers
      FIX. active.c, art.c, config.c, debug.c, feed.c, filter.c, getline.c
           group.c, header.c, help.c, inews.c, init.c, keymap.c, lang.c, lock.c
           main.c, memory.c, misc.c, my_tmpfile.c, newsrc.c, nntplib.c, page.c
           pgp.c, post.c, read.c, refs.c, rfc1524.c rfc2046.c, rfc2047.c
           save.c, search.c, select.c, sigfile.c, version.c, xface.c, xref.c
           extern.h, policy.h, proto.h, de.po, mbox.5, mmdf.5

U016) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 2.1.4 release 20131019 "Killarow" --

U015) Dennis Preiser <dennis@d--p.de>
      ADD. user defined screen layout at selection, group and thread level
           (debian bug #63877)
      BUG. the code for generating initials (used for quote_chars) was not
           multibyte safe
      FIX. attrib.c, config.c, group.c, init.c, lang.c, memory.c, misc.c
           options_menu.c, page.c, post.c, save.c, screen.c, select.c, string.c
           thread.c, tincfg.tbl, extern.h, proto.h, tin.h, tinrc.h, version.h
           tin.1, tin.5

U014) Urs Janssen <urs@tin.org>
      BUG. off by one error when checking for valid ISO2ASC settings
      BUG. current article was not recooked if changing
           news_headers_to_display and/or news_headers_to_not_display
           in the attributes menu
      BUG. used 'K' instead of 'k' as kilo SI suffix when shortening large
           numbers
      ADD. skip "Can't find base article" message if not running in
           DEBUG_FILTER or DEBUG_REFS mode
      ADD. allow new IDN ccTLD of Mongolia
      ADD. allow gTLD post.
      ADD. tweaked manpage
      ADD. make target install_nls_man for translated manpages
      ADD. config.guess update
      FIX. charset.c, config.c, init.c, options_menu.c, string.c, policy.h
           Makefile, Makefile.in, tin.1, tin.5, config.guess

-- 2.1.3 release 20130812 "Scarabus" --

U013) Dennis Preiser <dennis@d--p.de>
      BUG. contents of Supersedes header was shown mime decoded in pager
      FIX. cook.c

U012) Wei-Lun Chao <chaoweilun@gmail.com>
      ADD. updated chinese translation
      FIX. zh_TW.po

UO11) Dennis Grevenstein <dennis@pcde.inka.de>
      BUG. used strdup() instead of my_strdup() (strdup is not mandatory
           in ANSI-C)
      FIX. art.c

U010) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U009) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U008) Urs Janssen <urs@tin.org>
      BUG. interactive prompting for username/password in batch-mode
      BUG. don't generate Cancel-Lock if cancel secret is empty
      BUG. used strdup() instead of my_strdup()
      ADD. prefer $XDG_RUNTIME_DIR over $HOME for fifos used by xface
      ADD. allow new IDN ccTLD of Ukraine
      ADD. allow new ccTLD of Sint Maarten
      ADD. config.guess, config.sub update
      ADD. avoid charset conversion if the local charset is the same as
           the network charset
      ADD. mention $TIN_NOVFILENAME in man pages
      FIX. auth.c, debug.c, lang.c, misc.c, post.c, prompt.c, xface.c, bool.h
           extern.h, policy.h, Makefile, config.guess, config.sub, tin.[15]

-- 2.1.2 release 20121224 "Langholm" --

U007) Vincent Lefevre <vincent@vinc17.net>
      BUG. doubled % in some description strings where single % are needed
           (debian bug #684587)
      FIX. lang.c

U006) Urs Janssen <urs@tin.org>
      BUG. possible printf with null pointer in check_moderated() when trying
           to post an article to a non existent group
      ADD. config.guess, config.sub update
      ADD. allow new IDN ccTLDs of Oman and Malaysia
      BUG. username and password wasn't converted to UTF-8 for SASL AUTH PLAIN
      BUG. missing square brackets in gsasl.h check
      FIX. auth.c, post.c, policy.h, configure[.in], config.guess, config.sub

U005) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

-- 2.1.1 release 20120623 "Mulindry" --

 007) Urs Janssen <urs@tin.org>
      ADD. allow new IDN ccTLD of Kazakhstan and new ccTLD of Curacao
      FIX. policy.h

 006) Wei-Lun Chao <chaoweilun@gmail.com>
      ADD. chinese translation
      FIX. zh_TW.po

 005) Dennis Preiser <dennis@d--p.de>
      BUG. in read groups with show_only_unread_arts base article was invalid
           but should be displayed after 'M'enu
      FIX. group.c, options_menu.c, page.c, post.c, select.c, thread.c, proto.h

U004) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      ADD. --enable-heapsort configure switch
      ADD. 'M'enu option for sort_function if --enable-heapsort
      FIX. art.c, config.c, heapsort.c, init.c, lang.c, options_menu.c
           tcurses.c, tincfg.tbl, extern.h, proto.h, tin.h, tinrc.h
           configure[.in], autoconf.h[in], aclocal.m4

U003) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. heapsort.c fallback
      ADD. compile heapsort.c and xface.c conditionally
      ADD. configure check for libunistring if libicuuc is not found
      ADD. configure check for setvbug
      ADD. prefer libicuuc for idna2003 decoding over libidn
      ADD. use NFC instead of NFKC as default normalization if possible
      ADD. swapped args for append_file() to match order of copy_fp()
      BUG. creation of several temporary files could fail if $TMPDIR didn't
           end with /
      BUG. doubled % in some description strings where single % are needed
      BUG. used strftime() instead of my_strftime() in debug.c
      BUG. cached overview wasn't converted to undeclared_charset if set for
           the group and post_8bit_header was active
      FIX. art.c, config.c, debug.c, heapsort.c, inews.c, init.c, lang.c
           mail.c, misc.c, nntplib.c, pgp.c, post.c, refs.c, select.c
           string.c extern.h, proto.h, tin.h, autoconf.h[in], configure[.in]
           config.guess, config.sub, Makefile, tin.1, tin.5, *.po

-- 2.1.0 release 20111224 "Bridgend" --

 004) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

 003) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U002) Dennis Preiser <dennis@d--p.de>
      ADD. support for article numbers > 2^31 (--enable-long-article-numbers)
      ADD. reduce memory usage if getart_limit is set
      ADD. store supersedes in posted_articles_file
      FIX. active.c, art.c, debug.c, group.c, lang.c, mail.c, memory.c
           newsrc.c, page.c, post.c, rfc2046.c, save.c, screen.c, select.c
           string.c, thread.c, xref.c, extern.h, proto.h, tin.h, autoconf.h[in]
           configure[.in]

 002) Dennis Preiser <dennis@d--p.de>
      BUG. buggy error-message for attributes with no scope
      BUG. abbreviated group names might get unnecessary cut off
      BUG. OPT_MONO_* options were shown in menu when use_color is enabled
      BUG. in some cases huge article numbers might get corrupted due to
           the use of atoi()
      BUG. possible uninitialized ext_color member in cchar_t (new in ncurses6)
      FIX. art.c, attrib.c, lang.c, options_menu.c, select.c, tcurses.c
           extern.h, tincfg.tbl

U001) Urs Janssen <urs@tin.org>
      ADD. some more debugging output
      ADD. timestamps to debugging output
      ADD. configure check for libidnkit (IDNA 2008)
      ADD. configure check for clock_gettime(2)
      ADD. updated German translation, switch to UTF-8 encoding
      ADD. configure check for inet_ntoa in libnsl
      ADD. configure check for idna_strerro in libidn
      ADD. use range in LISTGROUP if getart_limit is set
      FIX. active.c, art.c, debug.c, filter.c, group.c, lang.c, mail.c, misc.c
           nntplib.c, screen.c, signal.c, xref.c, proto.h, tin.h, tin.1, tin.5
           Makefile[.in], configure[.in] autoconf.h[in], aclocal.m4, de.po

 001) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      BUG. crash when entering scope menu without active group
      FIX. select.c, config.guess, config.sub

-- 2.0.0 release 20110823 "Ardenistiel" --

U029) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros; switch to 2.13.20110430
      ADD. --with-pkg-config configure switch
      ADD. --with-textdomain configure switch
      ADD. don't use hard coded number of available colors; don't try to set
           colors out of identified range
      FIX. color.c, curses.c, init.c, main.c, tcurses.c, autoconf.h[in]
           proto.h aclocal.m4, configure[.in], Makefile, Makefile.in
           install-sh

U028) Dennis Preiser <dennis@d--p.de>
      BUG. used preprocessor directives within snprintf which may be
           implemented as a macro
      BUG. fixed a typo
      BUG. fixed several display problems in the !USE_CURSES case
      BUG. fixed several display problems with non default foreground and
           background colors.
      BUG. dead increment
      BUG. didn't unfold structured news_headers_to_display before calling
           convert_to_printable which replaces \n with ?
      BUG. scopes with just quick_{kill,select}_* rules got lost when
           entering the scopes menu
      BUG. last option in options 'M'enu may be invisible
      BUG. unnecessary screen redraw in options 'M'enu
      ADD. reject out of range background colors in menu/tinrc
      ADD. removed some unnecessary variables
      ADD. PageToggleAllHeaders
      ADD. do not strip tabs from Subject or Organization in page header
      ADD. tinrc.utf8_graphics to use UTF-8 characters for various graphics
      FIX. extern.h, keymap.h, proto.h, tcurses.h, tin.h, tinrc.h, art.c
           attrib.c, charset.c, color.c, config.c, cook.c, curses.c, feed.c
           filter.c, group.c, help.c, init.c, keymap.c, lang.c, mail.c, misc.c
           nntplib.c, options_menu.c, page.c, pgp.c, post.c, prompt.c, read.c
           rfc2046.c, save.c, screen.c, select.c, string.c, tcurses.c, thread.c
           tincfg.tbl, tin.1, tin.5, keymap.sample

U027) Urs Janssen <urs@tin.org>
      BUG. used preprocessor directives within snprintf which may be
           implemented as a macro
      BUG. tinrc.ask_for_metamail had no effect
      BUG. CHECK_SIGN for gpg was wrong (at least for gpg 1.4.x)
      BUG. .so TLD wasn't allowed but is in use since 11/2010
      BUG. .xxx gTLD wasn't allowed but is in use since 04/2011
      BUG. .yu TLD was still allowed but is defunct since 04/2010
      BUG. forged supersedes (-DFORGERY) were only allowed via 'x'(repost)
           but not via 'D'(cancel)
      BUG. superseding own articles in forgery conf. didn't add Cancel-Key
      BUG. possible double fclose
      ADD. allow -- in domain names in URL_REGEX and NEWS_REGEX
      ADD. allow new IDN ccTLDs of Algeria, India, Korea, Morocco, Serbia
           Singapore and Syria
      REM. Kinyarwanda po files
      REM. configure check for unused getpass(3)
      ADD. cache getenv("NNTPSERVER") result early
      ADD. -4 / -6 cmd. line switch
      ADD. config.guess, config.sub update
      ADD. configure check for stdint.h and inttypes.h
      ADD. configure check for fsync()
      FIX. help.c, init.c, lang.c, main.c, newsrc.c, nntplib.c, pgp.c, post.c
           prompt.c save.c, extern.h, policy.h, tin.h, tincfg.tbl
           Makefile[.in], autoconf.h[in], configure[.in], config.guess
           config.sub, tin.1, rw.po

U026) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

-- 1.9.6 release 20101126 "Burnside" --

U025) Matt Anton <tin@syrius.org>
      ADD. updated French translation
      FIX. fr.po

U024) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U023) Joe Hansen <joedalton2@yahoo.dk>
      ADD. updated Danish translation
      FIX. da.po

U022) Thomas E. Dickey <dickey@invisible-island.net>
      BUG. _XOPEN_SOURCE was defined on darwin
      ADD. CF_SIGWINCH - compile check for SIGWINCH
      FIX. aclocal.m4, configure[.in], Makefile[.in]

U021) Dennis Preiser <dennis@d--p.de>
      BUG. SIGWINCH at page level after a connection timeout lead to a crash
      BUG. no SIGWINCH handling in setup_check_article()
      BUG. comments in references were not skipped
      BUG. fixed some display problems in the !USE_CURSES case
      ADD. info message on SearchRepeat without previous search
      ADD. attachment level 'V' at the article-pager
      ADD. URL level 'U' at the article-pager
      ADD. cancel article 'D' to the group and thread level
      ADD. shell escape '!' to the 'M'enu
      ADD. workaround for buggy isspace() implementations
      ADD. tinrc.abbreviate_groupname option
      ADD. don't take a copy of the article in raw mode when reading from
           local-spool
      ADD. skip over text/plain parts in multibyte charsets which may contain
           null-bytes
      ADD. message/rfc822 mime-parts are now parsed and included text/plain
           parts are shown to the user
      BUG. highlighting for SearchBody didn't work
      BUG. depending on used terminal highlighting sometimes ran too far
      BUG. fixed several sorting/threading/filtering options which did not
           instantly reflect changes when not being in select level
      BUG. help string was truncated at cCOLS without checking if inside a
           multibyte sequence
      BUG. build_gline() miscalculates free space for utf-8 groups &
           descriptions
      FIX. art.c, attrib.c, color.c, config.c, cook.c, curses.c, filter.c
           group.c, help.c, init.c, keymap.c, lang.c, mail.c, main.c, misc.c
           newsrc.c, nntplib.c, options_menu.c, page.c, post.c, prompt.c
           refs.c, rfc2046.c, rfc2047.c, save.c, screen.c, select.c, signal.c
           string.c, tags.c, thread.c, extern.h, keymap.h, proto.h, rfc2046.h
           tin.h, tinrc.h, tincfg.tbl, tin.1, tin.5, keymap.sample

U020) Urs Janssen <urs@tin.org>
      ADD. minor manpage tweaking
      ADD. config.guess, config.sub update
      ADD. disallow postings to 'j' groups
      ADD. disallow 198.51.100.0/24 and 203.0.113.0/24 in gnksa-checks
      ADD. forbid "poster" in Newsgroups, warn about "example" in Newsgroups
      ADD. forbid "poster" and a groupname in Followup-To, warn about "example"
           in Followup-To
      ADD. allow IDN ccTLDs in 'GNKSA'-parser
      ADD. keep failed article in dead.article is server closes the
           connection and no reconnection is done.
      BUG. DEFAULT_VERBATIM_BEGIN_REGEX / DEFAULT_VERBATIM_END_REGEX allowed
           tailing text in the line
      BUG. da.po was missing from the tarball
      BUG. x-posting to an unexisting group named first in Newsgroups caused
           a crash
      BUG. remembered capabilities over reconnects, they are flushed now
      BUG. memleak on duplicated overview fields
      BUG. don't send GROUP for groups not listed in the servers active file
           when newsrc_active && list_active is set
      FIX. active.c, art.c, attrib.c, config.c, curses.c, filter.c, init.c
           lang.c, misc.c, newsrc.c, nntplib.c, post.c, rfc2047.c, save.c
           select.c, sigfile.c, string.c, tcurses.c, thread.c, extern.h
           nntplib.h, policy.h, tin.h, Makefile, tin.1, tin.5, config.guess
           config.sub

-- 1.9.5 release 20091224 "Lochruan" --

U019) Urs Janssen <urs@tin.org>
      ADD. MarkFeedRead ^X / MarkFeedUnread ^Y to thread-level
      ADD. configure check for gethostbyname in libnetwork (Haiku)
      ADD. check if SIGBUS == SIGSEGV (Haiku)
      ADD. don't define HAVE_LINK on Haiku
      ADD. config.guess, config.sub update
      FIX. help.c, keymap.c, signal.c, thread.c, extern.h, tin.1, tin.5
           configure.in, aclocal.m4, config.guess, config.sub

U018) Frederic Briere <fbriere@fbriere.net>
      ADD. MarkFeedRead ^X / MarkFeedUnread ^W to page-level
      FIX. feed.c, group.c, help.c, keymap.c, lang.c, extern.h, keymap.h, tin.h

U017) Joe Hansen <joedalton2@yahoo.dk>
      ADD. initial Danish translation
      FIX. da.po

U016) Volker Borchert <v.borchert@vistecprivat.de>
      BUG. used towupper() in the !MULTIBYTE_ABLE case
      ADD. fallback for missing sys_errlist declaration
      FIX. prompt.c, string.c, pcre/Makefile[.in]

U015) Dennis Preiser <dennis@d--p.de>
      ADD. scope and attributes menu
      ADD. help pages to the various menus
      ADD. PageSkipIncludedText now skips over the next quoted block
      ADD. runtime calculation of the filter file offset
      ADD. '-w' now suggests the first given cmd-line group to post to
      ADD. '-s', '-m' and '-G' cmd-line switches no longer change the
           corresponding tinrc values
      ADD. -G for the !NNTP-case
      ADD. disable creation of cached overviews in getart_limit case
      ADD. disable getart_limit in -u case
      ADD. mail/pipe/print articles now work on ranges
      ADD. NNTP read timeout
      BUG. maildirs starting with '=' caused tin to hang after 's'aving an
           article to a mailbox
      BUG. savedirs starting with '+' caused tin to hang after 's'aving an
           article to a file
      BUG. in rare cases (aborted article load or '-' after cancel) one
           article was incorrectly marked as unavailable
      BUG. memleaks in canlock operations
      BUG. fix a long overflow in print_bitmap_seq() when xmax = __LONG_MAX__
      BUG. didn't create Message-ID when cancelling own article when
           configured as FORGERY + EVIL_INSIDE
      BUG. batch mode wasn't as quitet/as verbose as it could be
      BUG. aborted prompt_getart_limit() lost previous value
      BUG. MARK_FEED_READ/MARK_FEED_UNREAD in thread level with no selected
           or tagged arts and selecting 'a' marks the base-art read/unead
      BUG. signal handler not unset while piping
      BUG. sort_article_type didn't always work correct with
           thread_articles={2,3}
      BUG. realloc in expand_ctrl_chars() caused a crash
      FIX. active.c, art.c, attrib.c, auth.c, config.c, cook.c, curses.c
           feed.c, filter.c, group.c, help.c, inews.c, init.c, keymap.c, lang.c
           mail.c, main.c, makecfg.c, memory.c, misc.c, newsrc.c, nntplib.c
           nrctbl.c, options_menu.c, page.c, post.c, prompt.c, read.c
           rfc1524.c, rfc2046.c, save.c, select.c, sigfile.c, signal.c
           tcurses.c, thread.c, tincfg.tbl, extern.h, keymap.h, nntplib.h
           proto.h, tcurses.h, tin.h, tinrc.h, tin.1, tin.5

U014) Urs Janssen <urs@tin.org>
      ADD. minor code cleanup
      ADD. assume pid_t is long instead of int
      ADD. comment out trace.o dependency-rule if not configured --with-trace
      ADD. disable abort-posting for cursor-keys on check-article screen
           (debian bug #231070)
      ADD. try AUTHINFO USER/PASS on -A if CAPABILITIES didn't announce any
           supported auth methods
      ADD. config.guess, config.sub update
      ADD. configure check for towupper(), wcscat(), wcscpy() and wctomb() in
           AM_MULTIBYTE_ABLE
      ADD. disallow 192.0.2.0/24 in gnksa-checks
      ADD. convert MOTD from UTF-8 to local-charset
      ADD. warn about aliased groups
      ADD. reduce number of "LIST ACTIVE grp" cmds send with -n if server
           announces "LIST ACTIVE" capability
      ADD. reduce number of "LIST NEWSGROUPS grp" cmds send with -n if server
           announces "LIST NEWSGROUPS" capability
      ADD. prefer "LIST COUNTS" over "LIST ACTIVE" when announced via
           CAPABILITIES
      BUG. NULL was only allowed once to unbound a keymapping
      BUG. don't de/encode header(-fields) which can not hold RFC2047-encoded
           words (but strings which may look like encoded words)
      BUG. memleaks in cancel_article(), submit_mail_file(),
           create_normal_article_headers()
      BUG. expand_ctrl_chars() misscalculated tabexpansion on multiline input
      BUG. uuencoded parts might get 'V'iewd twice
      BUG. when pipelinming GROUP cmds. and server requires auth for some groups
           tin got confused
      BUG. attributes autoupdate on version change didn't work
      BUG. entered wrong group at startup if a groupname was given on the
           cmd.-line and there were new groups on the server
      REM. AUTHINFO GENERIC support
      FIX. active.c, art.c, attrib.c, auth.c, charset.c, color.c, config.c
           cook.c, debug.c, filter.c, init.c, keymap.c, lang.c, mail.c, main.c
           memory.c, misc.c, my_tmpfile.c, newsrc.c, nntplib.c, pgp.c, post.c
           prompt.c, refs.c, rfc2047.c, save.c, select.c, xref.c, extern.h
           nntplib.h, proto.h, tin.h, configure[.in], src/Makefile[.in]
           aclocal.m4, tin.1, tin.5

-- 1.9.4 release 20090211 "Rieclachan" --

U013) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      ADD. configure check to guess $ARFLAGS
      FIX. aclocal.m4, configure[.in], libcanlock/Makefile.in, pcre/Makefile.in

 021) Dennis Preiser <dennis@d--p.de>
      BUG. memleak in free_attributes()
      FIX. memory.c

U012) Dennis Preiser <dennis@d--p.de>
      ADD. enhance attributes documentation
      ADD. menu-option/attribute to turn verbatim block handling on and off
      ADD. menu-option to color the lines between the verbatim marks
      ADD. menu-option/attribute to trim article body (compact empty lines)
      ADD. most tinrc options to attributes
      ADD. merged auto_cc and auto_bcc into auto_cc_bcc
      BUG. mem-leak in set_colors()
      BUG. -S used group specific savedir if set via attributes
      BUG. long lines in verbatim blocks may grabble the screen
      BUG. unescaped metacharacter in DEFAULT_VERBATIM_BEGIN_REGEX
      BUG. rot13 does not rotate the verbatim_begin_regex line
      BUG. numeric attributes got lost on big-endian OSs
      BUG. missing newline in multipart/mixed articles before the very last
           text/plain part
      FIX. active.c, art.c, attrib.c, color.c, config.c, cook.c, debug.c
           feed.c, filter.c, group.c, inews.c, init.c, lang.c, mail.c, main.c
           memory.c, misc.c, options_menu.c, page.c, post.c, refs.c, rfc2047.c
           save.c, search.c, select.c, sigfile.c, tags.c, thread.c, extern.h
           proto.h, rfc2046.h, tin.h, tinrc.h, version.h, tincfg.tbl, tin.1
           tin.5

U011) Urs Janssen <urs@tin.org>
      ADD. minor code cleanup
      ADD. workaround bogus XHDR response from SoftVelocity Discussions 2.5q
      ADD. configurable path via tin.defaults to overview.fmt file
      ADD. send "LIST HEADERS" before doing "HDR" if server supports it
      ADD. config.guess, config.sub update
      ADD. started German manpage translation
      ADD. issue extra "GROUP" when NEXT receives 412
      ADD. issue a warning if attributes file has an unexpected version number
      ADD. check for 8bit chars in Newsgroups, Followup-To and Distribution
           before posting
      ADD. check user supplied Message-ID, Date and Expires-header before
           posting
      ADD. speedup -S, -N, -M
      ADD. improved DEFAULT_STRIP_WAS_REGEX
      BUG. PageEditArticle was allowed for GROUP_TYPE_SAVE
      BUG. Distribution was mime-decoded
      BUG. don't break long body-lines in original article when superseding
      BUG. don't send "LIST NEWSGROUPS" for mailgroups in the -n case
      BUG. empty but present Followup-To header (server bug) was used in f'ups
      BUG. didn't recheck CAPABILITIES after successful auth or after mode
           switching if received 500er response in the first pass
      BUG. don't prompt for authdata if we can't auth as the server doesn't
           offer any auth-method we can send
      BUG. configure options --program-prefix, --program-suffix and
           --program-transform-name didn't work
      BUG. headers with just one byte content were automagically removed
      BUG. -R didn't work if savedir was set to an unexpanded path
      BUG. fixed memleak with -R
      BUG. --disable-posting didn't catch 'x' (repost) early enough
      FIX. active.c, art.c, attrib.c, auth.c, config.c, cook.c, debug.c, feed.c
           filter.c, getline.c, group.c, header.c, help.c, inews.c, init.c
           keymap.c, lang.c, list.c, mail.c, main.c, memory.c, misc.c
           my_tmpfile.c, newsrc.c, nntplib.c, options_menu.c, page.c, post.c
           prompt.c, refs.c, regex.c, rfc2046.c, save.c, screen.c, select.c
           sigfile.c, tags.c, thread.c, version.c, xface.c, xref.c, extern.h
           proto.h, stpwatch.h, tin.h, version.h, tincfg.tbl, Makefile[.in]
           configure[.in], tin.defaults, tin.5, config.guess, config.sub
           doc/l10n/*

-- 1.9.3 release 20080506 "Dalintober" --

U010) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      FIX. aclocal.m4, configure[.in], mkdirs.sh

U009) Dirk Nimmich <nimmich@muenster.de>
      ADD. (g)oto group search now is case insensitive
      ADD. infrastructure for editing and writing attributes
      ADD. write attributes file from internal structures
      BUG. possible memleak when freeing group attributes
      ADD. check joinpath for overruns
      BUG. potential buffer overruns
      BUG. memleak in curses.c:ReadWch()
      BUG. uninitialized mm_local_charset when no config files available,
           leading to an endless loop on exit when newsrc cannot be written
      BUG. inconsistent update of mm_local_charset on runtime
      BUG. fixed length buffer in rfc1522_do_encode()
      FIX. extern.h proto.h, tin.h, active.c, art.c, attrib.c, auth.c, config.c
           curses.c, debug.c, feed.c, inews.c, init.c, joinpath.c, keymap.c
           list.c, mail.c, main.c, memory.c, mimetypes.c, my_tmpfile.c
           newsrc.c, nntplib.c, nrctbl.c, options_menu.c, pgp.c, post.c
           rfc2046.c, save.c, select.c, sigfile.c, string.c, xref.c

 020) Urs Janssen <urs@tin.org>
      BUG. my_realloc() didn't handle zero size reallocs
      BUG. subjects > 256 chars were tunrcated at group-level without adding
           a \0-termination
      FIX. group.c, memory.c

U008) Rado S <regrado@web.de>
      ADD. use same article numbers in different levels
      FIX. extern.h, lang.c, page.c

 019) Philip Hazel <ph10@cam.ac.uk>
      BUG. missing a check for a possible return value of pcre_exec()
      FIX. misc.c, regex.c

U007) Urs Janssen <urs@tin.org>
      ADD. enable some more CAPABILITIES related code
      ADD. minor code cleanup
      ADD. config.guess, config.sub update
      ADD. allow .kp, .me, .rs, .tel and .asia TLDs
      ADD. check permissions of .cancelsecret-file
      ADD. --enable-cancel-locks configure option
      ADD. --with-slrnface configure option
      ADD. libcanlock update (1.0 -> 2b-4)
      ADD. url_handler.pl as new DEFAULT_URL_HANDLER
      ADD. remove leading/tailing whitespace in filter scope
      ADD. increase internal buffer in rfc1522_encode()/rfc1522_do_encode()
      ADD. restrictions to tin generated Message-IDs (disallow
           .invalid-TLD, disallow IDs > 250 octets)
      ADD. SIGUSR2 handler to write out newsrc
      ADD. configure check for gsasl.h/libgsasl
      ADD. AUTHINFO SASL PLAIN support if gsasl.h/libgsasl is found
      ADD. use "LIST NEWSGROUPS grp" with -n cmd-line switch
      ADD. use "LIST ACTIVE grp" with -n cmd-line switch
      ADD. don't treat empty Bytes or Lines-filed in overview as error in
           debug mode
      ADD. parse LIST OVERVIEW.FMT
      ADD. if LIST OVERVIEW.FMT didn't mention Xref:full, but XOVER includes
           Xref: use it instead of sending XHDR XREF
      ADD. do "XHDR XREF -" instead of gazillions of single cmds.
      BUG. missing utf-8 validation for news_headers_to_display
      BUG. newnewsrc tmp-file wasn't always removed
      BUG. subscribe_pattern() was overcomplex
      BUG. mail_to_someone() didn't convert the article into the local charset
      REM. libinn support (was broken for ages)
      FIX. active.c, art.c, attrib.c, auth.c, charset.c, config.c, color.c
           cook.c, debug.c, filter.c, group.c, header.c, help.c, inews.c
           init.c, keymap.c, lang.c, mail.c, main.c, memory.c, mimetypes.c
           misc.c, my_tmpfile.c, newsrc.c, nntplib.c, options_menu.c, page.c
           post.c, refs.c, regex.c, rfc2045.c, rfc2047.c, save.c, screen.c
           search.c, select.c, sigfile.c, signcal.c, string.c, tags.c
           tcurses.c, thread.c, version.c, xface.c, xref.c, config.guess
           config.sub, de.po, autoconf.h[in], debug.h, extern.h, policy.h
           proto.h, rfc2046.h, keymap.h, tin.h, version.h, Makefile
           configure[.in], Makefile[.in], libcanlock/*, tin.1, tin.5

-- 1.9.2 release 20070201 "Dalaruan" --

 018) Christian Weisgerber <naddy@mips.inka.de>
      BUG. assumed that wchar_t and wint_t are of the same size
      FIX. tcurses.c

 017) Antonio Querubin <tony@lava.net>
      BUG. misplaced ||
      FIX. nntplib.c

U006) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      FIX. aclocal.m4

U005) Dirk Nimmich <nimmich@muenster.de>
      BUG. raw-mode didn't allow rot13
      BUG. can't 'V'iew mime-parts with (illegally) encoded filename
      BUG. CatchupNextUnread in page level didn't always work
      BUG. 'C'atchup in pager was still not correct (we didn't ever enter the
           next group)
      BUG. fast/endless reconnection loop after a "200\n\r400\n\r" greeting
      BUG. resent command on 503 error
      ADD. rewrote NGLIMIT handling
      REM. return value of change_config_file()
      FIX. proto.h, tin.h, feed.c, group.c, nntplib.c, options_menu.c, page.c
           post.c, save.c, select.c

 015) Michael Bienia <michael@vorlon.ping.de>
      BUG. 'l' from the pager doesn't reposition cursor to last viewed
           article
      FIX. thread.c

 014) Urs Janssen <urs@tin.org>
      BUG. "Kill text pattern" form killfile menu was applied to
           Message-ID and References instead of Message-ID only
      BUG. FILTER_FILE_OFFSET was wrong
      ADD. allow .ax TLD
      FIX. filter.c, policy.h, tin.h

 013) Urs Janssen <urs@tin.org>
      ADD. minor manpage tweaking
      FIX. tin.1, tin.5

 012) Peter Breitenlohner <peb@mppmu.mpg.de>
      BUG. build problem with VPATH
      FIX. Makefile.in

 011) Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>
      ADD. updated Russian translation
      FIX. ru.po

 010) Urs Janssen <urs@tin.org>
      BUG. possible division by zero in thread_by_percentage()
      FIX. art.c

U004) Urs Janssen <urs@tin.org>
      ADD. pcre update (6.6 -> 7.0)
      ADD. RISC OS handling
      ADD. more options to filter menu "Kill text pattern"
      ADD. allow UTF-8 descriptions
      REM. don't generate Sender on Mac OS X
      ADD. config.guess, config.sub update
      ADD. hide some regex in 'M'enu if the related option is off
      ADD. disallow .so, .um TLDs
      ADD. warn about useless cmd-line option combinations
      ADD. enable CAPABILITIES code
      ADD. updated German translation
      FIX. Makefile, aclocal.m4, configure[.in], extern.h, policy.h, filter.c
           init.c, lang.c, main.c, mail.c, nntplib.c, options_menu.c, post.c
           pcre/*, config.guess, config.sub, de.po

U003) Michael Bienia <michael@vorlon.ping.de>
      ADD. 'M'enu option for VERBATIM_*_REGEXs
      ADD. new option: sort by date of last posted article
      ADD. merge tinrc.{pgdn_goto_next,tab_goto_next_unread,
           space_goto_next_unread} into one option tinrc.goto_next_unread
      ADD. merge PAGE_PAGE_DOWN3 (SPACE) into GLOBAL_PAGE_DOWN
      ADD. minor code cleanup
      FIX. extern.h, keymap.h, proto.h, tin.h, tinrc.h, version.h, art.c
           attrib.c, charset.c, config.c, cook.c, help.c, init.c, keymap.c
           lang.c, options_menu.c, page.c, tincfg.tbl, keymap.sample, tin.1
           tin.5

-- 1.9.1 release 20060409 "Benmore" --

U002) Urs Janssen <urs@tin.org>
      ADD. slrn style verbatim mark support (#v+/#v-)
      ADD. use tinrc.date_format for %D date expansion
      ADD. config.guess update
      REM. unused gb, so and um TLDs
      FIX. config.guess, autoconf.hin, extern.h, tin.h, cook.c, init.c
           memory.c, misc.c, tin.1

 009) Urs Janssen <urs@tin.org>
      BUG. didn't reissue GROUP cmd after reconnect with authentication
      BUG. possible buffer overflow
      REM. unnecessary test for wcsnlen
      ADD. cat, jobs, travel and mobi TLDs
      FIX. aclocal.m4, policy.h, misc.c, nntplib.c

-- 1.9.0 release 20060228 "Ardlussa" --

 008) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      FIX. config.guess, config.sub

 007) Michael Bienia <michael@vorlon.ping.de>
      BUG. buffer overflow in convert_tex2iso in UTF-8 environment
      FIX. charset.c

U001) Urs Janssen <urs@tin.org>
      ADD. pcre update (6.4 -> 6.6)
      REM. VMS support
      FIX. Makefile, aclocal.m4, attrib.c, curses.c, config.c, header.c
           inews.c, init.c, lang.c, mail.c, main.c, mimetypes.c, misc.c
           newsrc.c, nntplib.c, post.c, read.c, save.c, signal.c, bugrep.h
           tin.h, tnntp.h, version.h, pcre/*, vms/*

-- 1.8.1 release 20060215 "Mealasta" --

 006) Aleksey Salow <aleksey.salow@gmail.com>
      BUG. possible buffer overflow
      FIX. mail.c

 005) Daniel Nylander <po@danielnylander.se>
      ADD. initial Swedish translation
      FIX. sv.po

 004) Chung-chieh Shan <ken@digitas.harvard.edu>
      BUG. bogus '/' in MAILDIR_NEW
      FIX. misc.c

 003) Thomas E. Dickey <dickey@invisible-island.net>
      Urs Janssen <urs@tin.org>
      BUG. build problem on Mac OS X
      FIX. tin.h, header.c, nntplib.c

 002) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      FIX. config.guess, config.sub

 001) Andrey Simonenko <simon@comsys.ntu-kpi.kiev.ua>
      ADD. updated Russian translation
      FIX. ru.po

-- 1.8.0 release 20051224 "Ronay" --

For changes made till the 1.8.0 release look at CHANGES.old

-- 1.8.0 release 20051224 "Ronay" --

U056) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros
      FIX. aclocal.m4

U055) Urs Janssen <urs@tin.org>
      BUG. hypothetical buffer overrun in tin_ltoa()
      ADD. preserve Organization line in Supersedes
      ADD. handle bogus multiline response to XOVER with no group selected
      ADD. config.guess, config.sub update
      ADD. allow new .eu and .tl toplevel domains, disallow unused .bv and
           .sj toplevel domains
      ADD. config.guess, config.sub update
      FIX. nntplib.c, post.c, string.c, policy.h, onfig.guess, config.sub

U054) Michael Bienia <michael@vorlon.ping.de>
      ADD. allow non-ASCII keybindings
      FIX. extern.h, keymap.h, proto.h, global.c, keymap.c, lang.c, page.c
           prompt.c

U053) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 1.7.10 release 20050929 "Tahay" --

U052) Jessica Brennan <jib@panix.com>
      Urs Janssen <urs@tin.org>
      ADD. check for new mail now also works with maildir-format
      FIX. misc.c

U051) Matthias Buelow <mkb@incubus.de>
      ADD. cache nntp-username and password
      FIX. auth.c

U050) Thomas Bliem <bliem@math.uni-wuppertal.de>
      BUG. typos in the German translation
      FIX. de.po

U049) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U048) Michael Bienia <michael@vorlon.ping.de>
      ADD. user defined keymappings now do override default bindings
      ADD. look at char-width for long line warning
      FIX. keymap.c

U047) Urs Janssen <urs@tin.org>
      BUG. crash on broken overview data
      BUG. long line warning was wrong in multibyte environments
      BUG. incorrect prototypes for key_to_func(), func_to_key() and
           prompt_slk_response()
      BUG. newsgroups file caching didn't work
      ADD. pcre update (6.1 -> 6.4)
      ADD. check replyto address before mailing
      ADD. a few missing German translations
      ADD. config.guess, config.sub update
      ADD. allow unbinding keys by mapping them to "NULL"
      ADD. configure check for in_addr_t, mksh and fchmod declaration
      FIX. autoconf.h[in], extern.h, keymap.h, config.c, filter.c, header.c
           help.c, init.c, keymap.c, mail.c, main.c, misc.c, nntplib.c, post.c
           thread.c, de.po, config.guess, config.sub, aclocal.m4
           configure[.in], pcre/*

U046) Travis Brown <travisb@sfu.ca>
      ADD. THREAD_PERC to attributes
      FIX. tin.h, art.c, attrib.c, tin.5

-- 1.7.9 release 20050629 "Grimsay" --

U045) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update configure macros and some dependencies in Makefile
      FIX. aclocal.m4, configure[.in], Makefile[.in], art.c

U044) Travis Brown <travisb@sfu.ca>
      ADD. new threading method THREAD_PERC
      FIX. extern.h, tin.h, tinrc.h, art.c, config.c, init.c, lang.c
           options_menu.c, tincfg.tbl, tin.1, tin.5

U043) Urs Janssen <urs@tin.org>
      BUG. POST_EDIT was missing from post_cancel_keys
      BUG. GLOBAL_QUIT was missing from post_edit_keys and
           post_edit_ext_keys and not rebindable in post_continue_keys
      BUG. duplicated onlinehelp entries
      BUG. FeedRepost didn't work
      BUG. digits were missing in option_menu_keys
      BUG. PGP_INCLUDE_KEY in the pgp-2 case didn't work
      ADD. pcre update (5.0 -> 6.1)
      ADD. warning about lines exceeding 998 octets
      ADD. try LIST MOTD at start and show its output if any
      ADD. merged GroupBugReport, SelectBugReport, ThreadBugReport to
           BugReport; GroupMarkArtUnread, PageMarkArtUnread,
           ThreadMarkArtUnread to MarkArticleUnread; GroupMarkThdUnread,
           PageMarkThdUnread ThreadMarkThdUnread to MarkThreadUnread;
           GroupCatchup, PageCatchup, SelectCatchup, ThreadCatchup to
           Catchup; GroupCatchupNextUnread, PageCatchupNextUnread,
           SelectCatchupNextUnread, ThreadCatchupNextUnread to
           CatchupNextUnread
      ADD. don't care about subscriptions file if reading saved news
      ADD. extended tin_ltoa() and fix a hypothetical out of bounds write
      ADD. set LINT to : if no lint found
      ADD. config.guess, config.sub update
      ADD. some more CAPABILITIES parsing
      FIX. Makefile, aclocal.m4, configure[.in], extern.h, keymap.h, nntplib.h
           tin.h, art.c, attrib.c, debug.c, curses.c, feed.c, filter.c
           global.c, group.c, help.c, init.c, keymap.c, lang.c, main.c, misc.c
           newsrc.c, nntplib.c, options_menu.c, page.c, post.c, save.c
           select.c, string.c, thread.c, xref.c, tin.1, tin.5, config.guess
           config.sub, de.po, pcre/*

U042) Steven Michael Murphy <murf@e-tools.com>
      ADD. started kinyarwanda translation
      FIX. rw.po

U041) Andrei Emeltchenko <andrei.emeltchenko@finik.org>
      ADD. started Russian translation
      FIX. ru.po

U040) Michael Bienia <michael@vorlon.ping.de>
      BUG. keybindings were inited to late
      ADD. dynamic space calculation in filter_menu()
      ADD. use enum option_enum instead of int where appropriate
      FIX. Makefile[.in], proto.h, tin.h, filter.c, group.c, keymap.c, main.c
           options_menu.c, page.c, prompt.c, search.c, signal.c, thread.c
           makecfg.c

-- 1.7.8 release 20050321 "Hellisay" --

U039) Matt Anton <tin@syrius.org>
      ADD. added missing French translations
      FIX. fr.po

U038) Sebnem Korkmaz <sebnem_k@hotmail.com>
      ADD. started Turkish translation
      FIX. tr.po

U037) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U036) Michael Bienia <michael@vorlon.ping.de>
      ADD. rewrite keymap-rebinding
      ADD. keymap autoupdate feature
      FIX. Makefile[.in], extern.h, keymap.h, proto.h, tin.h, feed.c, filter.c
           global.c, group.c, help.c, inews.c, init.c, keymap.c, lang.c, main.c
           misc.c, nntplib.c, nrctbl.c, options_menu.c, page.c, pgp.c, post.c
           prompt.c, read.c, save.c, search.c, select.c, thread.c, version.c
           tin.1, tin.5

U035) Urs Janssen <urs@tin.org>
      ADD. basic code for new nntp-command CAPABILITIES
      ADD. config.guess, config.sub update
      ADD. GLOBAL_PRINT ('o') to thread-level
      ADD. EDIT_FILTER ('E') to select- and thread-level
      ADD. update online 'h'elp
      ADD. configure check and fallback for non ANSI-C strsep() function
      BUG. typos in the German translation
      BUG. didn't compile if configured with --disable-printing
      BUG. description of a few keys in the online help was wrong
      BUG. out of bounds read in utf8_valid()
      BUG. missing postinit_regexp() call in batch_mode.
      FIX. extern.h, keymap.h, nntplib.h, proto.h, tin.h, attrib.c, config.c
           debug.c, feed.c, filter.c, group.c, help.c, keymap.c, lang.c, main.c
           memory.c, misc.c, nntplib.c, options_menu.c, page.c, post.c
           screen.c, select.c, string.c, thread.c, xref.c, de.po, tr.po
           Makefile, configure[.in], autoconf.hin. config.guess, config.sub
           tin.1, tin.5

-- 1.7.7 release 20041215 "Scalpay" --

 026) Michael Bienia <michael@vorlon.ping.de>
      BUG. possible buffer overrun in get_mailcap_entry()
      FIX. rfc1524.c

U034) Michael Velten <tin@michnet.de>
      BUG. currmenu->curr off by one error for empty groups
      BUG. upward scrolling in !USE_CURSES was broken
      ADD. consistently display "End of ..." message
      BUG. reused the search offset when switching the context
      FIX. proto.h, global.c, group.c, page.c, search.c, select.c, thread.c

U033) Matt Anton <tin@syrius.org>
      ADD. added missing French translations
      FIX. fr.po

U032) Michael Bienia <michael@vorlon.ping.de>
      ADD. (w)strunc() now malloc()s the needed space
      ADD. line-scrolling in select-, group- and thread-level
      ADD. screen-scrolling iKeyScrollUp ('<'), iKeyScrollDown ('>')
      ADD. unify option-value description formats
      BUG. missing file truncation in do_rfc15211522_encode()
      FIX. extern.h, keymap.h, menukeys.h, proto.h, tin.h, cook.c, global.c
           group.c, help.c, keymap.c, lang.c, options_menu.c, page.c, post.c
           prompt.c, rfc2045.c, rfc2047.c, screen.c, select.c, string.c
           thread.c, keymap.sample, tin.1, tin.5

U031) Urs Janssen <urs@tin.org>
      ADD. keymap-file version number
      ADD. config.guess, config.sub update
      ADD. pcre update (4.5 -> 5.0)
      ADD. configure check for ftruncate(3)
      ADD. make sscanf(3)s first two args non-constant for backward
           portability
      BUG. missing #ifdef in the disable-color case
      BUG. systemtype detection broken
      FIX. Makefile.in, extern.h, proto.h, version.h, init.c, keymap.c, lang.c
           misc.c, newsrc.c, options_menu.c, post.c, version.c, keymap.sample
           pcre/*, config.guess, config.sub, de.po, en_GB.po, fr.po, tin.1
           tin.5, configure.in, autoconf.hin

-- 1.7.6 release 20040906 "Baleshare" --

U030) Dennis Grevenstein <dennis@pcde.inka.de>
      Urs Janssen <urs@tin.org>
      ADD. --enable-broken-system-fix
      FIX. configure[.in], autoconf.hin, misc.c

U029) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. warn about attributes outside scope
      ADD. move .article to dead.article if $EDITOR dies
      ADD. tweak URL_REGEX, NEWS_REGEX
      ADD. also check for alloca if we're going to build intl/*
      BUG. memleak in wstrunc()
      BUG. repost to a different group didn't restore the current group
           pointer
      FIX. configure[.in], extern.h, tin.h, art.c, attrib.c, charset.c, cook.c
           curses.c, lang.c, post.c, string.c, xref.c, config.guess
           config.sub

 025) Michael Bienia <michael@vorlon.ping.de>
      BUG. ensure CURR_GROUP always points to current group even for
           non interactive group-processing
      FIX. art.c, save.c

U028) Michael Bienia <michael@vorlon.ping.de>
      BUG. missing string termination
      ADD. allow to hide options in the 'M'enu based on the value of other
           options
      ADD. crsr-up/dowm in option-list
      ADD. remove CURR_GROUP dependency from sort functions
      ADD. wcspart() now mallocs the needed space on its own
      ADD. kill/hot-menu "Kill/Select pattern scope" now walks up the
           hierarchy level
      ADD. move '-V' code into a function, use it inside mail_bug_report()
      ADD. use mark_screen() also in GROUP_LEVEL and THREAD_LEVEL
      ADD. move the options menu code from config.c to options_menu.c
      REM. draw_line()
      FIX. Makefile[.in], extern.h, proto.h, tcurses.c, tin.h, art.c
           charset.c, config.c, filter.c, getline.c, group.c, init.c, lang.c
           main.c, misc.c, options_menu.c, post.c, prompt.c, rfc2046.c
           screen.c, select.c, string.c, thread.c

-- 1.7.5 release 20040615 "Gighay" --

 024) Herbert Xu <herbert@gondor.apana.org.au
      BUG. potential use/free of uninitialized data in get_recipients()
      FIX. post.c

 023) Michael Bienia <michael@vorlon.ping.de>
      BUG. negative tinrc.groupname_max_length set via 'M'enu could lead to
           a crash
      FIX. extern.h, proto.h, active.c, config.c, group.c, init.c, select.c

 022) Urs Janssen <urs@tin.org>
      BUG. long cmd-line group could overflow a buffer in match_group_list()
      BUG. empty newsgroups file leads to a crash
      FIX. active.c, mail.c

U027) Urs Janssen <urs@tin.org>
      BUG. can't link when configured with --with-included-gettext
      BUG. checknadd_headers() didn't handle folded headers
      ADD. replace raw 8bit chars in From:-header
      ADD. remove empty headers before passing article to inews
      ADD. minor code cleanup
      ADD. config.guess, config.sub update
      ADD. configure check for unicode/ubidi.h
      FIX. intl/loadmsgcat.c, configure.in, proto.h, autoconf.hin, art.c
           cook.c, getline.c, filter.c, misc.c, nntplib.c, post.c, refs.c
           config.guess, config.sub, fr.po, et.po

U026) Matt Anton <tin@syrius.org>
      ADD. added a some missing French translations
      FIX. fr.po

U025) Elmar W. Tischhauser <tischhau@rbg.informatik.tu-darmstadt.de>
      ADD. mime_forward (message/rfc822) attributes option
      FIX. proto.h, tin.h, attrib.c, post.c, rfc2047.c, tin.5

U024) Thomas E. Dickey <dickey@invisible-island.net>
      BUG. didn't build with pdcurses
      BUG. unportable linewrapping used in configure macro
      FIX. aclocal.m4, tcurses.c

U023) Michael Bienia <michael@vorlon.ping.de>
      BUG. in case of a reconnect unmalloced memory could be freed
      BUG. didn't always initialize articles score
      BUG. expand_rel_abs_pathname() truncated pathnames in tinrc
      ADD. dynamic Menu option-width.
      ADD. minimalistic BiDi support (tinrc.render_bidi)
      ADD. check for valid UTF-8 in process_text_body_part()
      ADD. minor code cleanup
      ADD. redrawing support inside prompt_slk_response()
      ADD. use dash instead hyphen for options in manpages
      ADD. check for senseless tinrc-values
      FIX. extern.h, proto.h, tin.h, tinrc.h, art.c, charset.c, color.c
           config.c, cook.c, curses.c, feed.c, filter.c, getline.c, init.c
           lang.c, makecfg.c, misc.c, newsrc.c, page.c, prompt.c, save.c
           screen.c, search.c, select.c, signal.c, string.c, tags.c
           tcurses.c, tincfg.tbl, tin.1, tin.5, de.po, en_GB.po

-- 1.7.4 release 20040225 "Benbecula" --

U022) Lech Szychowski <lech7@pse.pl>
      BUG. didn't check if message-ids taken from the References:-header are
           valid before using them for threading.
      FIX. refs.c

U021) Matt Anton <tin@syrius.org>
      ADD. added a few missing French translations
      FIX. fr.po

U020) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. allow cross-compiling
      FIX. aclocal.m4, configure[.in], autoconf.hin, proto.h, tcurses.h, tin.h
           Makefile.in, config.c, langinfo.c, pcre/Makefile.in
           intl/Makefile.in, intl/dcigettext.c, intl/gettextP.h
           intl/loadmsgcat.c, intl/localealias.c

 021) Urs Janssen <urs@tin.org>
      BUG. did allow unused .eh and .kp TLDs
      BUG. still used some old keynames in keymap.sample
      ADD. mention supersede possibility in manpage/online help
      FIX. policy.h, lang.c, tin.1, de.po, keymap.sample

U019) Michael Bienia <michael@vorlon.ping.de>
      BUG. error_message() clobbers global var mesg
      BUG. didn't catch KEY_RESIZE in USE_CURSES wide-char mode thus a
           windows-resize was taken a keypress
      ADD. several checks for valid utf-8 data
      ADD. display non-printable characters as octals in raw-mode
      ADD, redraw tin_getline()-prompt after window-resizing
      ADD. minor code cleanup
      FIX. extern.h, proto.h, tin.h, art.c, color.c, feed.c, filter.c
           getline.c, group.c, help.c, lang.c, misc.c, page.c, post.c
           prompt.c, rfc2046.c, screen.c, search.c, select.c, signal.c
           string.c, tags.c, tcurses.c, thread.c, wildmat.c, xref.c
           configure[.in], autoconf.h[in]

U018) Urs Janssen <urs@tin.org>
      ADD. allow standalone -c cmd-line flag.
      ADD. config.guess, config.sub update
      ADD. increase MAXREFSIZE to 998
      ADD. minor manpage update
      ADD. don't read keymapfile when using -o cmd-line flag
      ADD. [un]install_helpers includes tinews.pl
      ADD. configure test if gettimeofday() takes two arguments
      BUG. didn't compile on !CHARSET_CONVERSION systems
      REM. some unused vars
      FIX. Makefile[.in], configure[.in], autoconf.h[in], extern.h, tin.h
           filter.c, group.c, init.c, main.c, nntplib.c, post.c, pgp.c, save.c
           tin.1, tin.5, config.guess, config.sub

-- 1.7.3 release 20031220 "Taransay" --

U017) Martin Treusch von Buttlar <martin+tin@t17r.de>
      ADD. show_info attribute
      FIX. tin.h, attrib.c, group.c, thread.c, tin.5

U016) Piotr Kucharski
      ADD. tinrc.col_urls
      FIX. tin.1, tin.5, extern.h, tinrc.h, config.c, init.c, lang.c, page.c
           tincfg.tbl

U015) Michael Bienia <michael@vorlon.ping.de>
      BUG. didn't search first article line and rest of the line after a
           match
      BUG. option and filter menus weren't multibyte safe
      BUG. in REGEX-mode an iKeyGroupSelPattern of "*" wasn't transformed
           into a valid regex
      ADD. search again wraps around if no more matches are found
      ADD. turn pcre into UTF-8 mode if useful
      ADD. unicode normalization for search items
      FIX. extern.h, proto.h, tin.h, tinrc.h, config.c, feed.c, filter.c
           group.c, init.c, lang.c, misc.c, page.c, prompt.c, regex.c
           search.c, string.c, tincfg.tbl, *.po

 020) Jason Faultless <jason@altarstone.com>
      BUG. Content-* headers might be ignored in multipart article headers
      FIX. rfc2046.c

U014) Jason Faultless <jason@altarstone.com>
      ADD. newsrc.h, misc cleanups
      ADD. cleanup of group indexing code
      REM. more hungarian notation
      FIX. Makefile[.in], extern.h, newsrc.h, proto.h, tin.h, art.c, debug.c
           lang.c, mail.c, main.c, newsrc.c, post.c, xref.c

U013) Joshua Crawford <mortarn@softhome.net>
      ADD. x_headers now can be generated by a script or be a multiline
           header if read from a file
      FIX. post.c, tin.5

U012) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

 019) Urs Janssen <urs@tin.org>
      BUG. in the -R case the server-config dir had spaces in its name
      FIX. config.c, newsrc.c

U011) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. pcre update (4.4 -> 4.5)
      ADD. install.sh update
      ADD. configure check for libidn, idna.h, stringprep.h
      ADD. configure check for nl_item
      ADD. configure check for libicuuc, unicode/unorm.h, unicode/ustring.h
      ADD. minimalistic IDNA decoding support
      FIX. config.guess, config.sub, install.sh, configure[.in]
           autoconf.h[in], proto.h, tin.h, debug.c, init.c, misc.c
           nntplib.c, page.c, search.c

-- 1.7.2 release 20031104 "Eriskay" --

U010) Dirk Nimmich <nimmich@muenster.de>
      ADD. Fcc feature for mail
      FIX. tin.5, proto.h, tin.h, attrib.c, inews.c, post.c

U009) Lech Szychowski <lech7@pse.pl>
      BUG. used which_response() instead of which_thread() to get the
           current threadnumber
      FIX. page.c

 018) Urs Janssen <urs@tin.org>
      BUG. changes to word_highlight weren't propagated back at runtime
      BUG. didn't catch KEY_RESIZE in USE_CURSES mode thus a
           windows-resize was taken a keypress
      FIX. config.c, tcurses.c

 017) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

 016) Matt Anton <tin@syrius.org>
      ADD. added a few missing French translations
      FIX. fr.po

U008) Michael Bienia <michael@vorlon.ping.de>
      REM. hungarian notation
      BUG. strunc() in !MULTIBYTE-ABLE-case did always add "..."
      ADD. tinrc.date_format
      ADD. rewrite draw_page_header()
      FIX. tin.1, tin.5, extern.h, proto.h, tcurses.h, tin.h, tinrc.h
           config.c, group.c, init.c, lang.c, misc.c, page.c, post.c, signal.c
           string.c, tcurses.c, thread.c, xref.c, tincfg.tbl

 015) Michael Bienia <michael@vorlon.ping.de>
      BUG. memory leak in ulBuildArgv()
      BUG. wrong logic to avoid negative arguments to which_thread()
      BUG. used quick-kill logic for kill-entries done via the menu
      FIX. config.c, filter.c, group.c

 014) Dirk Nimmich <nimmich@muenster.de>
      BUG. unterminated buffer in put_rest()
      FIX. cook.c

U007) Jason Faultless <jason@altarstone.com>
      ADD. cleanup of group indexing code
      REM. open.c, code integrated elsewhere
      FIX. Makefile[.in], extern.h, proto.h, active.c, art.c, filter.c, mail.c
           misc.c, newsrc.c, nntplib.c, open.c, rfc2046.c, xref.c

U006) Urs Janssen <urs@tin.org>
      REM. amiga support
      REM. NO_LOCALE on MAC_OS_X
      ADD. replaced some sprintf() by snprintf() calls
      ADD. a few missing German translations
      ADD. config.guess, config.sub update
      BUG. fixed a small memleak when using Fcc:
      BUG. fixed possible use of uninitialized attributes data
      FIX. Makefile, bugrep.h, extern.h, nntplib.h, proto.h, tin.h, tnntp.h
           version.h, active.c, config.c, curses.c, hashstr.c, header.c, init.c
           joinpath.c, lang.c, mail.c, main.c, memory.c, misc.c, newsrc.c
           nntplib.c, open.c, post.c, read.c, sigfile.c, signal.c, string.c
           xref.c, de.po, config.guess, config.sub

-- 1.7.1 release 20030918 "Berneray" --

U005) Michael Bienia <michael@vorlon.ping.de>
      REM. DEBUG_NEWSRC_FIXME
      ADD. cleanup newsrc_test_harness()
      ADD. trunc(), wtrunc() and my_wcsdup()
      FIX. configure[.in], autoconf.h[in], extern.h, proto.h, tin.h, main.c
           newsrc.c, page.c, prompt.c, screen.c, string.c

 013) Joshua Crawford <mortarn@softhome.net>
      BUG. thinko in read_server_config()
      FIX. config.c

 012) Urs Janssen <urs@tin.org>
      BUG. overview data wasn't unfolded before storing it
      BUG. mem-leak in free_and_init_header()
      BUG. "domainname missing" warning was displayed too short
      BUG. allowed spaces in username/password portion of URLs
      FIX. tin.h art.c, init.c, lang.c, rfc2046.c

U004) Dirk Nimmich <nimmich@muenster.de>
      BUG. art.c didn't compile with DEBUG on

 011) Dirk Nimmich <nimmich@muenster.de>
      BUG. 'V' didn't work with one multimedia part only
      BUG. possible buffer overrun in escape_shell_meta()
      BUG. mailcap command expansion didn't take shell meta characters into
           account
      BUG. mailcap nametemplate expansion took place twice
      BUG. MIME Content-Type parameters parsed incorrectly
      BUG. didn't refresh screen after viewing files and URLs
      BUG. mem-leak in _lookup_mimetype
      BUG. mem-leak in new_uu()
      FIX. proto.h, tin.h, cook.c, mimetypes.c, misc.c, page.c, rfc1524.c
           rfc2046.c, save.c

 010) Michael Bienia <michael@vorlon.ping.de>
      BUG. source and destination overlap in strncpy
      FIX. config.c

U003) Urs Janssen <urs@tin.org>
      ADD. don't rely on the output of LIST EXTENSIONS
      ADD. replaced some sprintf() by snprintf() calls
      ADD. config.guess, config.sub update
      ADD. pcre update (4.3 -> 4.4)
      FIX. active.c, art.c, config.c, header.c, open.c, page.c, post.c
           version.c, config.guess, config.sub, pcre/*

 009) Dirk Nimmich <nimmich@muenster.de>
      BUG. doesn't try to reconnect after a 205 response
      FIX. open.c

U002) Jason Faultless <jason@altarstone.com>
      ADD. LIST EXTENSIONS
      ADD. rewrite overview-parser
      FIX. extern.h, nntplib.h, proto.h, tin.h, art.c, open.c, string.c
           xref.c

U001) Dirk Nimmich <nimmich@muenster.de>
      BUG. don't feed headers to interactive mailreader and using -M/-N
      ADD. allow interactive mailer to get headers
      ADD. tinrc variable to control URL highlighting
      FIX. extern.h, tin.h, tinrc.h, config.c, feed.c, init.c, lang.c, misc.c
           page.c, post.c, save.c, tincfg.tbl, tin.1, tin.5

-- 1.7.0 release 20030810 "Sandray" --

 008) Darrell Tangman <dgtangman@acm.org>
      BUG. refine txt_help_thread_mark_article_read
      FIX. lang.c

 007) Dirk Nimmich <nimmich@muenster.de>
      BUG. attributes were ignored when mailing
      FIX. proto.h, feed.c, post.c

-- 1.6.1 release 20030810 "Mingulay" --

 006) Darrell Tangman <dgtangman@acm.org>
      ADD. mark_ignore_tags
      FIX. extern.h, tinrc.h, config.c, group.c, init.c, lang.c, thread.c
           tincfg.tbl, tin.1, tin.5

 005) Dirk Nimmich <nimmich@muenster.de>
      BUG. make install_sysdefs didn't honour $DESTDIR
      BUG. filter on References didn't work on deep threads
      BUG. upgrading from use_metamail=ON could lead to
           metamail_prog=--internal
      BUG. lines that were exactly cCOLS bytes long introduced an extra line in
           raw mode
      BUG. word_h_display_marks=0 didn't work with !USE_CURSES
      BUG. To/Cc/Bcc headers in postings were interpreted when using -M/-N
           use MIME message/rfc822 wrapping now instead
      ADD. enter no_posting mode when unable to get FQDN
      ADD. no_posting command line option (-x)
      ADD. RPM spec file
      ADD. updated umlaut[es].txt
      REM. $METAMAIL handling
      FIX. config.c, curses.c, init.c, main.c, open.c, page.c, post.c, refs.c
           save.c, tin.1, tin.spec, Makefile, src/Makefile.in, umlaut[es].txt

 004) Michael Velten <tin@michnet.de>
      BUG. some info messages about (un)tagging weren't displayed
      BUG. strip_blanks wasn't always honoured
      BUG. in some cases body-search couldn't be aborted
      ADD. avoid some useless screen redraws
      FIX. extern.h, cook.c, feed.c, group.c, lang.c, page.c, tags.c, thread.c

 003) Michael Bienia <michael@vorlon.ping.de>
      BUG. possible bufferoverflows due to the use of vsprintf() instead of
           vsnprintf()
      BUG. wchar_t buffers weren't always '\0'-terminated
      FIX. curses.c, getline.c, group.c, page.c, screen.c, tcurses.c
           thread.c

 002) Urs Janssen <urs@tin.org>
      ADD. missing const
      ADD. updated German, French and Estonian translations
      ADD. missing includes for SEIUX
      BUG. off by one malloc bug
      REM. unused parameter
      FIX. extern.h, proto.h, tin.h, filter.c, group.c, lang.c, main.c, page.c
           post.c, de.po, fr.po. et.po, src/Makefile.in

 001) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 1.6.0 release 20030714 "Vatersay" --

U167) Matt Anton <tin@syrius.org>
      ADD. added a few missing French translations
      FIX. fr.po

U166) Andreas Metzler <tin-dev@downhill.at.eu.org>
      BUG. revert bogus cleanup
      FIX. page.c

U165) Michael Bienia <michael@vorlon.ping.de>
      BUG. manpage cleanups
      BUG. //TRANSLIT might not work correct
      BUG. changing thread_articles via 'M'enu while being an 'empty'
           group caused a crash
      ADD. +/-MULTIBYTE_ABLE to -V output
      FIX. config.c, main.c, misc.c, tin.1, tin.5

U164) Dirk Nimmich <nimmich@muenster.de>
      BUG. didn't unfold MIME-header before trying to parse the arguments
      BUG. art.c didn't compile with --enable-debug
      BUG. memleak in main.c
      BUG. newnews timestamps in tinrc got trashed when running multiple
           tins concurrently
      BUG. oldnewsrc got trashed when starting multiple tin concurrently
      NOP. various cleanups
      FIX. active.c, art.c, config.c, lang.c, main.c, newsrc.c, nntplib.c
           rfc2046.c

U163) Jason Faultless <jason@altarstone.com>
      ADD. overhaul find_nov_file() mechanism
      BUG. reading local spool always cached overview files
      BUG. spurious private overview cache dirs created
      BUG. private overview dirs not recreated properly
      BUG. private overview dirs not always uniquely named
      FIX. extern.h, proto.h, art.c, init.c, lang.c, main.c, misc.c
           newsrc.c, open.c, post.c, refs.c, tin.1

U162) Thomas E. Dickey <dickey@invisible-island.net>
      BUG. -lintl may not be linked to executable if using an "external" lib
      FIX. aclocal.m4, configure[.in], Makefile[.in], Makefile.inn

U161) Corinna Vinschen <corinna@vinschen.de>
      BUG. page header truncated too early
      ADD. Sort threads with equal scores by article sort order
      FIX. art.c, page.c, tin.h

U160) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U159) Urs Janssen <urs@tin.org>
      ADD. manpage updates
      ADD. updated German and French translation
      ADD. config.guess, config.sub update
      ADD. cleanup SEIUX handling
      BUG. possible bufferoverrun with charset conversion
      BUG. search in a localized Menu didn't use the translated text
      FIX. extern.h, tin.h, lang.c, post.c, search.c, tin.5, de.po
           fr.po, config.guess, config.sub, configure[.in], autoconf.h[in]

U158) Andreas Metzler <tin-dev@downhill.at.eu.org>
      ADD. updated German translation
      FIX. de.po

-- 1.5.18 release 20030602 "Darts" --

U157) Michael Velten <tin@michnet.de>
      BUG. iKeyThreadMarkArtRead always forced a full screen redraw
      ADD. iKeyThreadMarkArtRead/iKeyGroupMarkThdRead act on tagged articles
           (mark all tagged as read).
      FIX. group.c, keymap.c, lang.c, tags.c, thread.c, extern.h, keymap.h
           menukeys.h, proto.h

U156) Guido Ostkamp <Guido.Ostkamp@t-online.de>
      BUG. use real thread root (first Message-ID listed in References)
           for related quick kill
      FIX. proto.h, tin.h, filter.c, group.c, page.c

U155) Olaf Dietrich <olaf@dtrx.de>
      ADD. warn if local charset to network charset conversion
           loses information
      BUG. tried to access attributes for new groups which had no
           attributes assigned
      FIX. extern.h, proto.h, keymap.c, lang.c, memory.c, misc.c, post.c

U154) Joshua Crawford <mortarn@softhome.net>
      Drazen Kacar <dave@willfork.com>
      Urs Janssen <urs@tin.org>
      ADD. X-Face display support via slrnface if available (-DXFACE_ABLE)
      FIX. configure[.in], Makefile, Makefile[.in], autoconf.h[in], extern.h
           proto.h, tin.h, tinrc.h, config.c, init.c, lang.c, main.c, misc.c
           page.c, xface.c, tincfg.tbl, tin.1, tin.5

U153) Dirk Nimmich <nimmich@muenster.de>
      Michael Bienia <michael@vorlon.ping.de>
      BUG. lines >1024 chars lost a char
      FIX. cook.c

U152) Dirk Nimmich <nimmich@muenster.de>
      BUG. several checks didn't cope with folded header lines
      FIX. inews.c, misc.c, post.c

U151) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. version numbers to local configure macros
      ADD. use WEXITSTATUS/WIFEXITED macros
      FIX. aclocal.m4, tin.h, misc.c, signal.c

U150) Michael Bienia <michael@vorlon.ping.de>
      BUG. ReadWch() and draw_page_header() weren't multibyte safe
      BUG. plugged some small memory leaks
      REM. xref_score
      FIX. attrib.c, curses.c, filter.c, group.c, help.c, lang.c, memory.c
           page.c, screen.c, string.c, thread.c, extern.h, proto.h, tin.h
           tin.5

U149) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U148) Jason Faultless <jason@altarstone.com>
      ADD. don't process main article body as MIME-part
      ADD. rework Archive-name: handling
      ADD. new 'try harder' hide_uue=2 mode
      ADD. update attributes-file header
      ADD. CURR_GROUP-ectomy
      ADD. auto'S'ave works on selected articles too
      ADD. menu system always returns to previous level
      ADD. various cleanups
      BUG. feeding >1 hot/pattern arts saved under wrong filename
      BUG. don't ask to postprocess when nothing was saved
      BUG. Content-Description wasn't indented
      BUG. description of 'C' at page level was wrong
      BUG. aborting read of art after <TAB> keep trying to reopen the same art
      FIX. extern.h, proto.h, tin.h, tinrc.h, art.c, attrib.c, config.c
           cook.c, feed.c, group.c, help.c, init.c, lang.c, main.c, memory.c
           misc.c, nntplib.c, open.c, page.c, refs.c, rfc2046.c, save.c
           search.c, select.c, signal.c, tags.c, thread.c, tincfg.tbl, tin.1
           tin.5

U147) Matt Anton <tin@syrius.org>
      ADD. added a few missing French translations
      FIX. fr.po

U146) Urs Janssen <urs@tin.org>
      ADD. pcre update (4.1 -> 4.3)
      ADD. a few missing German translations
      ADD. tin(5)-man page updates
      ADD. filename extension guessing based on mimetype for unnamed
           attachments
      ADD. documented -l/-n for !NNTP mode
      ADD. avoid some string concatenations
      ADD. speed up '-Z' without '-v'
      ADD. honor $TMPDIR
      ADD. allow -u/-I when NNTP_ONLY & overview caching is requested
      ADD. don't create NOV-cache dir if running in NNTP mode and
           caching is not requested or needed
      ADD. merge back tinrc updates into config.c, warn on downgrades
      ADD. missing bool.h dependency, check for stdbool.h (not used yet)
      ADD. version number to attributes and filter file
      ADD. config.guess, config.sub update
      REM. tinrcupdate.pl
      REM. --with-local-charset
      REM. some unnecessary casts and unused vars
      REM. Author-IDs and persistent header support
      REM. xref_max
      REM. $BUG_ADDRESS
      BUG. plugged a few small memory leaks
      BUG. didn't read attributes file when started with '-q' flag
      BUG. parse_rfc822_headers() did also decode the address-part of
           of headers like From/To
      BUG. removed some hard coded keys
      BUG. fixed a few typos in the French translation
      BUG. -S without -n did also save new groups
      BUG. $AUTOSUBSRIBE was broken
      BUG. mailing_list attribute was ignored on no posting servers at
           select level
      BUG. posting from select-level with no groups shown didn't work
      BUG. automatic update of CTE when changing the network charset
           was broken
      FIX. Makefile, Makefile[.in], configure[.in], autoconf.h[in], extern.h
           keymap.h, menukeys.h, proto.h, rfc2046.h, tin.h, version.h
           active.c, art.c, attrib.c, auth.c, color.c, config.c, cook.c
           curses.c, debug.c, filter.c, group.c, help.c, inews.c, init.c
           keymap.c, lang.c, mail.c, main.c, memory.c, mimetypes.c, misc.c
           newsrc.c, nntplib.c, open.c, page.c, post.c, read.c, refs.c
           rfc2046.c, rfc2047.c, select.c, save.c, string.c, thread.c
           version.c, tin.1, tin.5, de.po, fr.po, pcre/*, config.guess
           config.sub

-- 1.5.17 release 20030407 "Peephole" --

U145) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. pcre update (3.9 -> 4.1)
      FIX. aclocal.m4, configure[.in], autoconf.h[in], pcre/*

U144) Lech Szychowski <lech7@pse.pl>
      BUG. SIGDASHES check was broken
      FIX. post.c

 048) Darrell Tangman <dgtangman@acm.org>
      BUG. malloc() mem. could be free()ed twice
      FIX. art.c

U143) Andreas Metzler <tin-dev@downhill.at.eu.org>
      ADD. manpage update
      FIX. tin.1, tin.5

U142) Matt Anton <tin@syrius.org>
      ADD. started French translation
      FIX. fr.po

U141) Christian Garbs <tin-dev@cgarbs.de>
      ADD. updated MH mailgroups documentation
      ADD. some German translations
      FIX. reading-mail.txt, de.po

U140) Jason Faultless <jason@altarstone.com>
      BUG. incorrectly nested multipart articles sometimes hung tin
      BUG. -S did not create subdirs
      BUG. -S was broken in reading news via NNTP
      BUG. unnamed binary attachments clobbered save temp files.
           Unique filename now generated based on MIME subtype
      ADD. tinrc.posted_articles_file (replaces tinrc.keep_posted_articles &
           tinrc.keep_posted_articles_file)
      ADD. parsing for Content-Description header
      ADD. mime_types_to_save attribute for selective viewing/saving
      ADD. cleanup MIME-viewing code
      ADD. renamed use_metamail to metamail_prog
      ADD. indent uue attachment. Show MIME type/subtype on tagline
      ADD. mime.types lookup searches all possible files for a match
      ADD. cleanup save code, make post processing more uniform with LIBUU
      ADD. post process viewing when using LIBUU
      FIX. extern.h, menukeys.h, proto.h, rfc2046.h, tin.h, tinrc.h, art.c
           attrib.c, config.c, cook.c, debug.c, feed.c, group.c, inews.c
           init.c, keymap.c, lang.c, mail.c, memory.c, mimetypes.c, misc.c
           open.c, page.c, post.c, rfc2046.c, rfc2047.c, save.c, screen.c
           search.c, sigfile.c, tincfg.tbl, tin.1, tin.5

U139) Olaf Dietrich <olaf@dtrx.de>
      ADD. allow PageGotoParent for killed parents if kill_level==KILL_THREAD
      FIX. page.c

U138) Dirk Nimmich <nimmich@muenster.de>
      BUG. "time remaining" was updated constantly, so it was unusable on a
           modem link
      BUG. raw multipart article didn't contain epilogue after last boundary
      BUG. highlighting in multibyte charset environment without USE_CURSES
           was broken
      ADD. more NNTP debug output
      NOP. revised TODO
      FIX. curses.c, mail.c, nntplib.c, open.c, rfc2046.c, screen.c, TODO

U137) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U136) Corinna Vinschen <corinna@vinschen.de>
      ADD. wrap_on_next_unread
      FIX. extern.h, tinrc.h, config.c, init.c, lang.c, thread.c
           tincfg.tbl, tin.1, tin.5

 046) Urs Janssen <urs@tin.org>
      BUG. comma separated group list in attribute scope didn't work
      BUG. "." might be resent as last command after a reconnect
      BUG. part of the threading code assumed that References are always
           space separated
      BUG. fixed some possible buffer overflows
      ADD. allow .pro-TLD
      FIX. policy.h, attrib.c, config.c, feed.c, header.c, inews.c, init.c
           main.c, misc.c, nntplib.c, post.c, refs.c, save.c, select.c

U135) Michael Bienia <michael@vorlon.ping.de>
      ADD. word highlighting for monochrome terminals
      ADD. renamed some vars
      ADD. moved several strings to lang.c
      ADD. tinrc.show_info (replaces tinrc.show_lines and tinrc.show_score)
      ADD. freshly killed arts (ART_KILLED_UNREAD) now count into the thread
           score
      REM. some hungarian notations
      ADD. replaced art->inthread by art->prev which holds a pointer to the
           previous article in the thread
      ADD. replace art_mark_{unread,read,will_return}() with
           art_mark(group, art, flag)
      BUG. if the base article of at thread was killed the entire thread
           was hidden
      BUG. count of hot and killed articles in the group page header was
           wrong
      BUG. in the MULTIBYTE_ABLE case convert_body2printable() could crash
           on long lines
      FIX. extern.h, menukeys.h, proto.h, tin.h, tinrc.h, version.h, active.c
           art.c, attrib.c, auth.c, charset.c, config.c, cook.c, curses.c
           debug.c, feed.c filter.c, group.c, help.c, init.c, keymap.c
           lang.c, mail.c, main.c, memory.c, misc.c, newsrc.c, nntplib.c
           open.c, page.c, post.c, prompt.c, refs.c, regex.c, save.c, signal.c
           tags.c, tcurses.c, thread.c, tincfg.tbl, keymap.sample, tin.1
           tin.5, tinrcupdate.pl

U134) Sebastian Bork <sebi@sebi.org>
      ADD. manpage update
      FIX. tin.1, tin.5

U133) Urs Janssen <urs@tin.org>
      BUG. used fprintf(stderr) instead of error_message()
      BUG. hypothetical use of undefined FOLD_TO_UPPER() macro
      BUG. used PCRE_EXTENDED without quoting #
      BUG. update_posted_info_file() called with wrong args if article
           has Followup-To: poster
      BUG. on startup (global) attributes file was read twice
      BUG. two small attribute memory leaks
      ADD. minor code cleanup
      REM. EUC-TW -> ISO-2022-KR autoconversion for 7bit mime_encoding
      REM. disallow ISO-2022-KR as network charset
      REM. base64 encoding force for EUC-KR
      REM. superfluous setlocale() call
      ADD. allow ISO-2022-* 7bit encodings
      ADD. config.guess, config.sub update
      ADD. post_8bit_header=ON now also disables body encoding
      ADD. expand path-names in 4th field of the active.mail file
      ADD. moved a few strings to lang.c
      FIX. Makefile, active.c, art.c, attrib.c, auth.c, config.c, cook.c
           curses.c, debug.c, feed.c, group.c, inews.c, init.c, keymap.c
           lang.c, mail.c, main.c, mimetypes.c, misc.c, nntplib.c, page.c
           post.c, regex.c, rfc2045.c, rfc2046.c, rfc2047.c, save.c, search.c
           string.c, tags.c, tcurses.c, thread.c, xref.c, extern.h, proto.h
           tin.h, tcurses.h, tin.1, tin.5, de.po, en_GB.po, config.guess
           config.sub, tinrcupdate.pl

-- 1.5.16 release 20030125 "Bubbles" --

 045) Urs Janssen <urs@tin.org>
      ADD. remove Message-IDs with illegal chars (i.e. 8bit chars) from
           References
      BUG. tabs weren't removed from (folded) References lines when
           creating local overviews
      REM. tinrc.tab_after_X_selection as it didn't work for years now
           and nobody complained about it
      FIX. art.c, config.c, init.c, lang.c, post.c, extern.h, tinrc.h, tin.1

U132) Yen-Ming Lee <leeym@leeym.com>
      Urs Janssen <urs@tin.org>
      ADD. define Big5 printable chars
      BUG. my_isprint() in NO_LOCALE case did depend on the network charset
           not on the local charset
      FIX. charset.c, cook.c, misc.c, page.c, tin.h

U131) Michael Velten <tin@michnet.de>
      BUG. prompt_option_char allowed empty strings
      ADD. '\' search again
      FIX. extern.h, keymap.h, menukeys.h, proto.h, config.c, group.c, help.c
           keymap.c, lang.c, page.c, prompt.c, search.c, select.c, thread.c

U130) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. compile-check that ncurses/ncursesw header files are
           consistent with the libraries
      FIX. aclocal.m4

U129) Michael Bienia <michael@vorlon.ping.de>
      ADD. make tin_getline() multibyte safe
      BUG. GroupDoAutoSel didn't do anything useful
      BUG. memory corruptions when compiled in a multibyte-able environment
           without using ncurses
      FIX. proto.h, tcurses.h, charset.c, curses.c, getline.c, group.c
           memory.c, string.c, tcurses.c, thread.c, tin.1

U128) Olaf Dietrich <olaf@dtrx.de>
      BUG. TeX2ISO was done before charset conversion
      BUG. curses.h was preferred over ncurses[w].h
      FIX. proto.h, charset.c, cook.c, misc.c, rfc2047.c, aclocal.m4

U127) Michael Bienia <michael@vorlon.ping.de>
      Urs Janssen <urs@tin.org>
      ADD. make line wrapping in pager multibyte safe
      FIX. cook.c, page.c

U126) Andreas Metzler <tin-dev@downhill.at.eu.org>
      BUG. wrap_column=0 (cCOLS) wasn't adjusted after on screen resize
      FIX. config.c, cook.c, init.c, tin.1, tin.5

U125) Urs Janssen <urs@tin.org>
      BUG. typo fixed
      BUG. used tin_done() instead of giveup() in init_selfinfo()
      BUG. used network_charset in cached oevrviews instead of local_charset
      BUG. a 'local' unknown group in the Newsgroup line caused a crash if
           listed as first group
      ADD. autotruncation of Menu items to 35 chars
      ADD. allow negative values for wrap_column
      ADD. config.guess, config.sub update
      ADD. don't read keymap file in batch-mode
      ADD. disabled Mac OS X specific charset stuff as it's not needed
           anymore in current OS X versions
      REM. some unnecessary casts
      FIX. proto.h, tinrc.h, art.c, config.c, cook.c, feed.c, filter.c
           inews.c, init.c, keymap.c, lang.c, main.c, misc.c, nrctbl.c
           post.c, rfc2047.c, tcurses.c, tin.1, tin.5, tin.pot, de.po, et.po
           en_GB.po, config.guess, config.sub, aclocal.m4, Makefile.[in]

U124) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

-- 1.5.15 release 20021115 "Spiders" --

U123) Jason Faultless <jason@altarstone.com>
      Michael Bienia <michael@vorlon.ping.de>
      ADD. tidy up range code
      FIX. proto.h, group.c, init.c, select.c, tags.c, thread.c

U122) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. new configure option --with-curses-dir
      FIX. aclocal.m4, configure[.in], trace.h

U121) Michael Bienia <michael@vorlon.ping.de>
      BUG. possible reuse of already freed mem
      ADD. wrap_column, user defined wrap margin
      FIX. extern.h, tinrc.h, config.c, cook.c, init.c, lang.c, tincfg.tbl
           tin.1, tin.5

 043) Urs Janssen <urs@tin.org>
      BUG. article numbers in the (broken) overview data which were higher
           than groups high water mark caused a crash
      FIX. art.c

U120) Toomas Soome <Toomas.Soome@microlink.ee>
      ADD. updated Estonian translation
      FIX. et.po

U119) Michael Bienia <michael@vorlon.ping.de>
      Urs Janssen <urs@tin.org>
      ADD. start multibyte/wide char support
      BUG. TeX2ISO didn't work with UTF-8 locales
      FIX. configure[.in], aclocal.m4, autoconf.h[in], proto.h, tcurses.h
           tin.h, charset.c, group.c, screen.c, string.c, tcurses.c, thread.c

U118) Philip Paeps <philip@paeps.cx>
      ADD. improve UUBEGIN_REGEX
      ADD. honor mode of uuencoded files
      FIX. init.c, save.c, tin.h

U117) Andreas Metzler <tin-dev@downhill.at.eu.org>
      BUG. possible overrun while expanding \t
      BUG. typos in the German translation
      BUG. wrong help-page entries
      ADD. from=filter exemplification
      FIX. cook.c, lang.c, tin.5, filtering, de.po

U116) Sebastian Bork <sebi@sebi.org>
      ADD. cosmetics
      ADD. use art_marked_killed, art_marked_read_selected in kill_level=0
      FIX. group.c, lang.c, thread.c

U115) Martin Klaiber <martinkl@zedat.fu-berlin.de>
      ADD. comment field to filter-file
      FIX. tin.5, extern.h, tin.h, filter.c, getline.c, lang.c

 042) Urs Janssen <urs@tin.org>
      BUG. didn't disallow unprintable chars in group descriptions
      FIX. select.c

U114) Urs Janssen <urs@tin.org>
      BUG. cached overview data date was in localtime() without holding a
           timezone
      BUG. in some cases tin created incorrect overview data
      BUG. add_posted_to_filter didn't work with -w and -o
      BUG. typo fixed in the English translation
      BUG. description-toggle didn't work for mailgroups
      BUG. redraw problem in the config-menu
      BUG. dir concatenation problem under VMS
      BUG. ISO2ASC conversion was done before TEX2ISO conversion
      BUG. fix iconv()-configure check
      BUG. can't handle very long subjects (>1K)
      ADD. restricted several file permissions
      ADD. removed unused vars under VMS
      ADD. use THREAD_BOTH instead of THREAD_MAX as initial threading
      ADD. manpage updates
      ADD. smarter check for inews
      ADD. config.guess, config.sub update
      ADD. ignore leading/tailing whitespaces in input at prompt_msgid()
      FIX. extern.h, proto.h, tin.h, art.c, charset.c, config.c, cook.c
           filter.c, group.c, header.c, help.c, inews.c, init.c, lang.c
           mail.c, main.c, misc.c, newsrc.c, nrctbl.c, page.c, pgp.c, post.c
           prompt.c, rfc2047.c, select.c, Makefile, Makefile[.in]
           configure[.in], tin.1, tin.5, de.po, en_GB.po, config.guess
           config.sub

-- 1.5.14 release 20020926 "Soil" --

U113) Olaf Dietrich <olaf@dtrx.de>
      ADD. search result highlighting for wildcard search
      FIX. proto.h, search.c, wildmat.c

U112) Martin Dickopp <firefly-mail@gmx.net>
      ADD. prefer TIN_DEFAULTS_DIR over libdir for global
           ATTRIBUTES_FILE and CONFIG_FILE
      FIX. init.c

U111) Michael Bienia <michael@vorlon.ping.de>
      ADD. filter-code cleanup (remove obsolete type= and scope=)
      ADD. rewrote word-highlighting code to use regex
      ADD. slash-highlighting
      ADD. config options for {stars,slashes,strokes,underscores}_regex
      BUG. wrong editor offset for filter-file edit.
      REM, word_h_display_marks=3
      FIX. tin.1, tin.5, extern.h, proto.h, tin.h, tinrc.h, color.c
           config.c, curses.c, filter.c, group.c, init.c, lang.c, memory.c
           page.c, regex.c, tcurses.c, tincfg.tbl

U110) Juergen Salk <juergen.salk@gmx.de>
      BUG. doesn't try to reconnect after a 400 response
      FIX. open.c

U109) Urs Janssen <urs@tin.org>
      ADD. config.guess, config.sub update
      ADD. stroke-highlighting
      ADD. word-highlighting without color
      ADD. some missing German translations
      ADD. smarter configure check for a shell, add dash to the list
           of sh shells
      ADD. reformat code, fixed a few typos
      ADD. backup_file() and rename_file() preserves file mode
      ADD. missing prototypes
      ADD. note about FQDN to README
      BUG. don't rfc2047-encode Sender if post_8bit_header is set
      BUG. possible use of group->attributes when not being in a
           (valid) group
      BUG. typo and logic error in tinrcupdate.pl
      BUG. fixed most chmod()-races
      REM. some unused vars and defines
      FIX. config.guess, config.sub, tin.1, tin.5, autoconf.h[in], extern.h
           keymap.h menukeys.h, proto.h, tin.h, tinrc.h, *.c, de.po
           tinrcupdate.pl, configure[.in], aclocal.m4, README

-- 1.5.13 release 20020703 "Chop Suey!" --

U108) Philip Paeps <philip@paeps.cx>
      ADD. quote_style
      REM. quote_empty_lines, quote_signatures
      FIX. extern.h, proto.h, tin.h, tinrc.h, config.c, init.c, lang.c, misc.c
           post.c, tincfg.tbl, tin.1, tin.5

U107) Jason Faultless <jason@altarstone.com>
      ADD. code cleanup
      ADD. cursor position is retained when sorting active,
           show_only_unread/list_bogus flags etc. are honoured
      FIX. extern.h, proto.h, tin.h, active.c, config.c, curses.c, feed.c
           group.c, init.c, lang.c, list.c, main.c, page.c, select.c, tags.c
           thread.c, tincfg.tbl

U106) Michael Bienia <michael@vorlon.ping.de>
      ADD. join use_getart_limit and getart_limit
      ADD. new sort_article_types: Lines descend and Lines ascend
      ADD. score_limit_kill, score_limit_sel, score_kill, score_select
      BUG. sort_threads_type > 0 didn't work without -DTHREAD_SUM
      ADD. thread_score, replaces THREAD_SUM and THREAD_WEIGHT
      FIX. extern.h, tin.h, tinrc.h, art.c, attrib.c, config.c, filter.c
           group.c, init.c, lang.c, main.c, refs.c, thread.c, tincfg.tbl
           tin.1, tin.5

U105) Olaf Dietrich <olaf@dtrx.de>
      BUG. MAC_OS_X and CHARSET_CONVERSION could be both defined
      BUG. --disable-locale might corrupt !ISO-8859-* articles
      BUG. network_charset change in menu wasn't propagated to local_charset
           if compiled with CHARSET_CONVERSION && NO_LOCALE
      BUG. ISO2ASC might have been called with !ISO data
      FIX. proto.h, tin.h, charset.c, config.c, cook.c, misc.c, rfc2047.c
           INSTALL

U104) Marc Prud'hommeaux <marc@solarmetric.com>
      BUG. unititialised newbitmap might be used
      FIX. newsrc.c

U103) Andreas Metzler <tin-dev@downhill.at.eu.org>
      ADD. joined confirm_action and confirm_to_quit to confirm_choice
      ADD. missing German translations
      ADD. mm_network_charset to attributes
      ADD. undeclared_charset to attributes
      FIX. tin.1, tin.5, extern.h, proto.h, tin.h, tinrc.h, art.c, attrib.c
           config.c, group.c, inews.c, init.c, lang.c, misc.c, page.c, post.c
           rfc2046.c, rfc2047.c, select.c, thread.c, tincfg.tbl, de.po

U102) Urs Janssen <urs@tin.org>
      BUG. CODESET might be used undeclared
      BUG. mm_network_charset change in the 'M'enu wasn't propagated to
           group attribute
      ADD. moved some var-declarations out of loops
      ADD. Big5 as possible network charset
      ADD. some missing German translations
      ADD. tinrcupdate.pl
      ADD. config.guess, config.sub update
      REM. some casts
      FIX. tin.h, *.c, de.po, tinrcupdate.pl, tin.1, tin.5, config.guess
           config.sub, INSTALL

-- 1.5.12 release 20020427 "Sugar" --

U101) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. update/resync the macros in aclocal.m4
      BUG. fix some misuses of const
      FIX. aclocal.m4, configure[.in], autoconf.h[in], tcurses.h, lock.c
           misc.c, rfc1524.c, rfc2047.c, string.c, trace.c, intl/gettextP.h
           intl/localcharset.c

U100) Michael Bienia <michael@vorlon.ping.de>
      ADD. recent article counter to group header
      FIX. group.c, tin.1

U099) Alex Vasylenko <lxv@omut.org>
      Urs Janssen <urs@tin.org>
      ADD. my_calloc
      BUG. my_groups isn't initialized
      FIX. proto.h, tin.h, config.c, malloc.c

U098) Marc Brockschmidt <marc@marcbrockschmidt.de>
      Urs Janssen <urs@tin.org>
      ADD. tinews.pl - external inews replacement which does pgp signing
      FIX. tinews.pl

U097) Igor Goryachev <rudeboy@pisem.net>
      BUG. %C (firstname) and %I (initials) couldn't handle surnames
      FIX. misc.c

U096) Guido Ostkamp <Guido.Ostkamp@t-online.de>
      BUG. possible buffer overflow in search_active()
      FIX. search.c

U095) Jason Faultless <jason@altarstone.com>
      ADD. code cleanup
      ADD. sorting of newsgroups with '.'
      ADD. attrib cleanup, error reporting
      ADD. scroll_lines pager tuning control
      ADD. don't reconnect to server just to issue a QUIT
      ADD. improvements to URL handling, url_handler, url history
      ADD. explicit 'q' to quit info pager, to fix...
      BUG. resizing screen exits info pager
      BUG. multiple URL's per line not working
      REM. show_last_line_prev_page, full_page_scroll, HAVE_UUDECODE
      FIX. tin.1, tin.5, extern.h, keymap.h, menukeys.h, proto.h, tin.h
           tinrc.h, active.c, art.c, config.c, cook.c, global.c, group.c
           help.c, keymap.c, init.c, lang.c, list.c, main.c, misc.c
           nntplib.c, page.c, post.c, select.c, signal.c, tincfg.tbl

 038) Urs Janssen <urs@tin.org>
      ADD. new TLDs .coop and .aero
      REM. obsolete TLD .zr, .fx, and .uucp
      BUG. typo fixed
      BUG. missing Subject caused crashes when followupping
      FIX. autoconf.h[in], policy.h. misc.c

U094) Dirk Nimmich <nimmich@muenster.de>
      BUG. didn't ignore \r after softbreaks in qp-articles
      BUG. progress meter in group body search was broken
      FIX. cook.c, feed.c, page.c, rfc2046.c, save.c, search.c

U093) Philip Paeps <philip@paeps.cx>
      Urs Janssen <urs@tin.org>
      ADD. configure check for strcasestr
      BUG. pgp-actions in mail_loop might crash
      FIX. configure[.in], autoconf.h[in], proto.h, post.c, string.c

U092) Toomas Soome <tsoome@ut.ee>
      BUG. get_fqdn() might return a domainname with a tailing \n
      FIX. header.c

U091) Andreas Metzler <tin-dev@downhill.at.eu.org>
      BUG. mail_to_author() ignores current group (needed for attributes)
      BUG. overlong translation in filtermenu
      BUG. unnecessary rfc1522_encode()-calls
      BUG. typo in CA_ERROR_MISSING_NEWSGROUPS error-message
      ADD. some missing German translations
      REM. $SPAMTRAP
      ADD. gettext update (0.10.35 -> 0.10.40)
      FIX. Makefile, aclocal.m4, configure[.in], autoconf.h[in], inews.c
           lang.c, post.c, de.po, en_GB.po, et.po, TODO, tin.1, intl/*

U090) Olaf Dietrich <olaf@dtrx.de>
      ADD. ignore MIME_STRICT_CHARSET if iconv(3) is available
      ADD. with MIME_STRICT_CHARSET and iconv(3) unknown charsets
           are reduced to us-ascii
      ADD. new ^L-handling
      ADD. replace untranslatable multibyte chars with one ? instead
           of one for each byte.
      ADD. MIME_STRICT_CHARSET + buffer_to_local() cleanup
      BUG. decode_save_one() didn't honor MIME_STRICT_CHARSET
      BUG. --with-local-charset= was broken
      BUG. rfc1522_decode() can't handle multiple charsets/line
      FIX. configure[.in], proto.h, cook.c, main.c, misc.c, page.c, post.c
           rfc2046.c, rfc2047.c, save.c, search.c, tin.1

U089) Urs Janssen <urs@tin.org>
      ADD. moved some var-declarations out of loops
      ADD. config.guess, config.sub update
      ADD. "No match"-message for unsuccessful-body searches
      ADD. check for sys/pool.h
      ADD. tinrc.mailbox_format
      ADD. tinrc.translit
      ADD. mmdf(5)-man page
      ADD. install rtin-man page
      ADD. automatically set mm_local_charset to current local charset
      ADD. made match_item() case insensitive
      ADD. turned default for ask_for_metamail and use_metamail to off
      ADD. tin(1,5)-man page updates
      ADD. prefer inews_prog over INEWSDIR/inews -h
      REM. --enable-mmdf-mailer, HAVE_MBOXRD, save_to_mmdf_mailbox
      REM. check for OK_NOIHAVE, OK_NOPOSTIHAVE responses to MODE READER,
           they are no loner mentioned in the draft
      BUG. p'^O'st postponed articles didn't respect attributes
      BUG. $EDITOR had higher priority as $VISUAL (introduced in 006;
           never trust your local guru!)
      BUG. strfpath()-called with uninitialized group-pointer
      BUG. possible bufferoverruns due to missing string-termination
      BUG. sometimes illegal From-fields were written to
           local cached overviews
      BUG. missing From caused crashes when replying
      BUG. match_string() doesn't allow empty strings (U048)
      BUG. duplicated Cancel-Lock in rare cases
      BUG. eat_re() could modify subject in aborted posts
      BUG. unknown Content-Transfer-Encodings defaulted to 7bit instead of
           binary
      BUG. Content-Type header with additional parameters but no charset
           caused crashes
      BUG. if included gettext was needed tin doesn't build due to
           dependency problems
      FIX. Makefile, Makefile.in, configure[.in], autoconf.h[in], aclocal.m4
           extern.h, policy.h, proto.h, rfc2046.h, tin.h, tinrc.h, active.c
           art.c, charset.c, config.c, cook.c, header.c, help.c, inews.c
           init.c, keymap.c, lang.c, langinfo.c, lock.c, main.c, mimetypes.c
           misc.c, nntplib.c, nrctbl.c, open.c, page.c, post.c, refs.c
           rfc1524.c, rfc2045.c, rfc2046.c, save.c, tags.c, thread.c
           tincfg.tbl, mbox.5, mmdf.5, tin.1, tin.5, config.guess, config.sub

-- 1.5.11 release 20020130 "Toxicity" --

U088) Toomas Soome <tsoome@ut.ee>
      ADD. updated Estonian translation
      FIX. et.po

U087) Olaf Dietrich <olaf@dtrx.de>
      BUG. a resync after reread_active_file_secs in 'y'ank in all-state
           groups didn't change yank_in_active_file.
      BUG. runtime change of post_mime_encoding might garble next posting
      ADD. use cooked art instead of raw for supersedes/reposts
      FIX. post.c, rfc2045.c, select.c

U086) Martin Klaiber <martinkl@zedat.fu-berlin.de>
      BUG. missing sort_base() call
      FIX. art.c

U085) Andreas Metzler <tin-dev@downhill.at.eu.org>
      ADD. docu update
      REM. $TEX2ISO env-var
      ADD. tex2iso_cov menu/tinrc/attributes-item
      BUG. gpg didn't append pub.key
      ADD. allow user specified wildcard-mailcaps to override
           system wide exact ones
      FIX. INSTALL, TODO, tin.1, tin.5, tin.defaults, extern.h, tin.h, tinrc.h
           attrib.c, config.c, cook.c, init.c, lang.c, page.c, pgp.c
           rfc1524.c, rfc2046.c, tincfg.tbl, de.po, en_GB.po, et.po, tin.pot

U084) Sven Hartge <hartge@ds9.argh.org>
      Andreas Metzler <tin-dev@downhill.at.eu.org>
      ADD. de.po update
      FIX. de.po

U083) Urs Janssen <urs@tin.org>
      ADD. updated pcre (3.7 -> 3.9)
      ADD. config.guess, config.sub update
      ADD. improved NEWS_REGEX and URL_REGEXP, simplified MAIL_REGEX
      ADD. FOLLOW_USEFOR_DRAFT (see doc/INSTALL)
      ADD. skip comments in resolv.conf
      ADD. allow --with-pcre without argument to take the lib from
           system-path
      ADD. minor code cleanup (removed some unused vars, added missing
           ifdefs, ...)
      REM. ISO-8859-6 and ISO-8859-8 from possible mm_network_charsets
      BUG. missing initialization of mailcaps[]
      BUG. possible buffer overrun and empty pgp-address
      BUG. missing screen redraw after supersede
      BUG. possible dereferenced pointer (network_charset)
      BUG. fixed some typos, reformatted po-files
      BUG. mailing_list attribute was ignored on no posting servers in page
           level
      FIX. config.guess, config.sub, Makefile, extern.h, tin.h, art.c
           charset.c, config.c, cook.c, feed.c, filter.c, header.c, lang.c
           main.c, misc.c, page.c, pgp.c, post.c, rfc1524.c, rfc2047.c
           search.c, version.sh, tin.1, tin.5, pcre.c, pcretest.c, aclocal.m4
           *.po

U082) Mark Trumbull <mjt@pipedreaminteractive.com>
      BUG. multipart threading sometimes joins threads which don't belong
           together
      FIX. art.c

 037) Urs Janssen <urs@tin.org>
      ADD. allow new GTLDs: .biz, .info, .name, .museum
      FIX. policy.h

-- 1.5.10 release 20011117 "Darkcell" --

U081) Mark Trumbull <mjt@pipedreaminteractive.com>
      ADD. new threading method: join multipart arts to a thread
      FIX. propto.h, tin.h, art.c, group.c, lang.c, thread.c

U080) Toomas Soome <tsoome@ut.ee>
      ADD. updated Estonian translation
      FIX. et.po

U079) Andreas Metzler <tin-dev@downhill.at.eu.org>
      Thomas E. Dickey <dickey@invisible-island.net>
      Urs Janssen <urs@tin.org>
      BUG. missing localization of some 'M'enu items
      FIX. proto.h, config.c, filter.c, lang.c, prompt.c, de.po

 036) Dirk Nimmich <nimmich@muenster.de>
      BUG. base64 encoding was broken
      FIX. rfc2045.c

U078) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. updated pcre (3.4 -> 3.7)
      ADD. new ncursesw option to --with-screen
      ADD. subtitles to the config-screen
      ADD. allow the config screen to be called from the thread screen
      BUG. off-by-one allocation of the filename for saving articles
      FIX. aclocal.m4, configure[.in], autoconf.h[in], extern.h, tcurses.h
           config.c, help.c, init.c, keymap.c, lang.c, makecfg.c, misc.c
           save.c, thread.c, tincfg.tbl, pcre/*

U077) Dirk Nimmich <nimmich@muenster.de>
      BUG. '^H' was handled as a physical backspace
      BUG. duplicate addresses when displaying recipient addresses
      BUG. duplicate Cc and Bcc addresses when mailing to yourself and
           auto_cc or auto_bcc enabled
      BUG. end of header was not recognized when mailing
      BUG. folded From: header was not treated correctly when mailing
      BUG. pressing arrow keys when reading article from a file or server
           may lead to unexpected "Do you want to abort" question
      BUG. abort bugreport prompt was invisible -- don't use global
           buffers that may get changed meanwhile!
      BUG. counted header lines when displaying progress
      FIX. proto.h, rfc2046.h, tin.h, cook.c, misc.c, post.c, read.c
           rfc2046.c

U076) Andreas Metzler <tin-dev@downhill.at.eu.org>
      ADD. joined use_builtin_inews/inews_prog
      BUG. IPv6 checking was broken due to comments
      FIX. aclocal.m4, configure, extern.h, tin.h, tinrc.h, config.c, inews.c
           init.c, lang.c, post.c, sigfile.c, tincfg.tbl

U075) Randy Scott <scottr9@yahoo.com>
      ADD. turned percent progress meter into a timer
      FIX. screen.c

 035) Stephan Kulow <coolo@caldera.de>
      BUG. format-strings passed to prompt_slk_response() weren't "quoted".
      FIX. feed.c, post.c

U074) Yury July <july@july.stealth.ru>
      Timur Maryin <tima@east.ru>
      BUG. add-date destroys $LC_ALL/$LC_TIME
      FIX. post.c

U073) Urs Janssen <urs@tin.org>
      Gerald Krause <gerald@divbyzero.de>
      ADD. UTF-8 sequence checker
      FIX. misc.c

U072) Joseph Parmelee <jparmele@wildbear.com>
      ADD. made 'S' and 's' (in conjunction with delete_tmp_files and/or
           post_proc_type) more consistent. 'S' now only does postprocessing
           if told to and 's' now prompts for tmp-file deletion if
           delete_tmp_files is set.
      FIX. feed.c, save.c

U071) Urs Janssen <urs@tin.org>
      ADD. updated German/English translation (still incomplete)
      ADD. ',' as NEWS_REGEX 'terminator'
      BUG. match_item() didn't look for exact matches, but took the first
           partial match
      BUG. typo in the man-page
      BUG. 8bit chars in Subject weren't rfc2047 encoded in local cached
           overviews
      BUG. From was rfc2047 encoded in local cached overviews even if
           post_8bit_chars was on.
      ADD. crsr-right with auto_list_thread=OFF and no more
           unread arts in the current thread now enters the first
           article in the current thread instead of advance to the
           next unread art.
      ADD. tinrc.mm_local_charset, tinrc.mm_network_charset
           to perform local_charset<->network_charset conversion via
           iconv() if available
      ADD. config.guess, config.sub update
      ADD. start BeOS port (networking missing)
      ADD. renamed some vars to avoid shadowing on QNX
      ADD. new quad_t check to avoid warning with autoconf >= 2.5
      ADD. w2r.pl and opt-case.pl man-pages
      BUG. nls didn't work
      BUG. shell detection failed in some cases
      BUG. make install_manpage didn't create $(DESTDIR)$(INS_MANUAL_DIR)5
           if needed
      FIX. tin.1, tin.5, config.guess, config.sub, Makefile[.in], aclocal.m4
           configure[.in], autoconf.h[in], tincfg.tbl, extern.h, proto.h
           tin.h, tinrc.h, tnntp.h, active.c, art.c, config.c, cook.c
           curses.c, group.c, inews.c, init.c, lang.c, misc.c, plp_snprintf.c
           post.c, rfc2046.c, rfc2047.c, read.c, screen.c, thread.c
           POTFILES.in, de.po, en_GB.po

-- 1.5.9 release 20010723 "Chord of Souls" --

U070) Thomas E. Dickey <dickey@invisible-island.net>
      REM. top-level makefile.in
      ADD. configure option --with-shell, to set the DEFAULT_SHELL.
      ADD. configure option --with-pcre
      ADD. configure option --with-screen
      ADD. update doc/INSTALL
      FIX. Makefile, aclocal.m4, configure[.in], INSTALL, autoconf.h[in]
           oldconfig.h, tcurses.h, tin.h, trace.h, Makefile[.in], curses.c
           mail.c, main.c, page.c, signal.c, tcurses.c. trace.c

 034) Andreas Metzler <tin-dev@downhill.at.eu.org>
      BUG. gnksa_split_from() didn't treat missing @ as error
      FIX. misc.c

U069) Enrik Berkhan <enrik@tin.org>
      REM. raw() call
      FIX. tcurses.c

U068) Mark Nowiasz <buckaroo@gmx.de>
      Urs Janssen <urs@tin.org>
      ADD. local<->network charset conversion for MacOS X
      FIX. README.MAC, Makefile, configure[.in], autoconf.h[in], cook.c
           init.c, misc.c, rfc2046.c, rfc2047.c

U067) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. C preprocessor flags configure check update
      ADD. smarter locking scheme configure check
      FIX. aclocal.m4, configure[.in], autoconf.h[in], tcurses.h, tin.pot
           auth.c, lock.c, tmpfile.c

U066) Toomas Soome <tsoome@ut.ee>
      ADD. updated Estonian translation
      FIX. et.po

U065) Dawid Kuroczko <dk@ssw.krakow.pl>
      ADD. 'fold' deep thread trees
      FIX. thread.c

 033) Dieter Baron <dillo@danbala.ifoer.tuwien.ac.at>
      BUG. 'Y' didn't check for new messages in mailgroups
      BUG. parse_headers() might use To: header as originator
      FIX. active.c, art.c, mail.c

U064) Kazushi Marukawa <jam@pobox.com>
      BUG. error_message() can't handle %s outside the first argument
      FIX. screen.c

 032) Herbert Martin Dietze <herbert@spamcop.net>
      Urs Janssen <urs@tin.org>
      BUG. empty random organization file could crash tin
      FIX. misc.c

U063) Dirk Nimmich <nimmich@muenster.de>
      BUG. article with 0 lines in cooked body quits tin
      BUG. automatic unfolding of headers is not always desired
      BUG. posting of folded headers was impossible
      BUG. post key when following up to a posting with Followup-To poster
           set was 'w' instead of 'p'
      BUG. 'Y'ank didn't toggle show_only_unread_groups setting
      BUG. 'a'uthor search was disabled in pager
      ADD. note about FQDN
      ADD. more general pager for just viewing files (not articles)
      ADD. clean up help/posting history
      ADD. highlight found strings in help
      ADD. search in posting history
      FIX. INSTALL, extern.h, proto.h, art.c, cook.c, help.c, info.c
           keymap.c, lang.c post.c, rfc2046.c, rfc2047.c, read.c, select.c

U062) Martin Klaiber <martinkl@zedat.fu-berlin.de>
      ADD. option to sort threads by score (descend/ascend)
      ADD. quick return in case of regex-errors
      BUG. rotating dash wasn't colorized
      FIX. tin.1, tin.5, extern.h, tin.h, tinrc.h, art.c, attrib.c, config.c
           filter.c, init.c, lang.c, refs.c, screen.c, tincfg.tbl

U061) Andreas Metzler <tin-dev@downhill.at.eu.org>
      Dirk Nimmich <nimmich@muenster.de>
      ADD. Message-ID (if known) to filter-file
      ADD. Message-ID (if known) to posted_articles_file
      ADD. Date to posted_articles_file
      ADD. remove empty headers from article before appending it to
           posted_articles_file
      FIX. TODO, proto.h, filter.c, post.c

U060) Dirk Nimmich <nimmich@muenster.de>
      Nickolay Dudorov <nnd@wint.itfs.nsk.su>
      BUG. some environment variables could be destroyed
      FIX. keymap.c

U059) Urs Janssen <urs@tin.org>
      BUG. insert_from_header() didn't fclose() open files on invalid
           From: lines
      BUG. off by one quoting error in cooked mode with no headers shown
           in followups/replies
      BUG. backup_file() treated missing source files as an error
      BUG. if a nntp:-url only contained the name of a group but didn't
           specify an article the last group name component wasn't recognized
      BUG. crashed when hitting iKeySelectReadGrp*, iKeySelectMoveGrp
           or iKeySelectBugReport with show_only_unread_groups=ON and
           all arts read
      BUG. uninitialized string in info-message saving one hot/pattern
           article
      BUG. right arrow && auto_list_thread=OFF didn't go to first unread
           article in thread
      BUG. show_progress() didn't respect col_message
      BUG. dumped core on missing passwd-file
      ADD. note recipient address in posted_info_file for
           'r'eplys/Followup-To: poster and mailing_lists
      ADD. smarter fall back for missing From: in insert_from_header()
      ADD. moved 'article'-tmp-filenames to tin.h
      ADD. joined iKeyPagePrint/iKeyGroupPrint
      ADD. news:, snews:, nntp: scheme to url_handler.sh
      ADD. news:, snews:, nntp: and mailto: to 'U'RL-command
      ADD. recognize IPv6 http:, ftp: and gopher: URLs
      ADD. config.guess, config.sub, install.sh update
      ADD. (dot-)file locking routines
      ADD. portable unique tmpfile generation
      ADD. tmpfile() fall back
      ADD. strrstr() fall back
      ADD. THREAD_WEIGHT
      ADD. made some vars static
      ADD. check for missing/duplicated From: line before posting
      ADD. minor code cleanup
      ADD. $GNUPGHOME support
      REM. "Article unchanged" prompt for postings (not mails, not reposts)
      REM. printer from attributes file
      REM. show_xcommentto code, use news_headers_to_display instead
      REM. WIN32 and OS_2 specific code
      FIX. config.guess, config.sub, configure[.in], install.sh
           url_handler.sh, de.po, keymap.sample, mailcap.sample
           newsoverview.5, tin.1, tin.5, Makefile[.in], autoconf.h[in]
           extern.h, keymap.h, menukeys.h, rfc2046.h, tin.h, tinrc.h
           tincfg.tbl, attrib.c, auth.c, cook.c, curses.c, feed.c, getline.c
           global.c, group.c, header.c, help.c, init.c, keymap.c, lang.c
           lock.c, main.c, memory.c, misc.c, newsrc.c, nntplib.c, nrctbl.c
           open.c, page.c, pgp.c, post.c, prompt.c, rfc2046.c, save.c
           screen.c, search.c, select.c, sigfile.c, signal.c, string.c
           thread.c, tmpfile.c, my_tmpfile.c

-- 1.5.8 release 20010221 "Blue Water" --

U058) Thomas Roessler <roessler@does-not-exist.org>
      Urs Janssen <urs@tin.org>
      ADD. mbox(5) manpage
      FIX. Makefile[.in], mbox.5

U057) Sebastian Bork <sebi@sebi.org>
      BUG. TIN eats the last "\n" of postponed articles.
      FIX. save.c

U056) Ulli Horlacher <framstag@belwue.de>
      BUG. removed absolute path for url_handler.sh
      FIX. page.c

U055) James Hawtin <oolon@ankh.org>
      ADD. "T" now uses the rightmost multipart counter
      FIX. tags.c

U054) Jason Faultless <jason@altarstone.com>
      Michael Bienia <michael@vorlon.ping.de>
      ADD. ^H wraps long lines
      FIX. page.c

U053) Dirk Nimmich <nimmich@muenster.de>
      BUG. existing tin.defaults and mime.types were not backed up when doing
           make install_sysdefs
      BUG. some config files could be trashed on a bad write
      ADD. if reading via NNTP fall back to internal inews if posting via
           external inews failed
      ADD. code cleanup
      REM. initialization of unused variables in active.c
      REM. hungarian notation (in parts)
      BUG. if pgp and gpg are both installed you get tons of warnings because
           of redefined preprocessor variables (must have worked before, just
           removed comments; pgp is preferred over gpg, useful?)
      BUG. String input in option menu left current line
      ADD. updated pgp.txt
      BUG. default values changed during quick_post_article() were not
           changed due to no_write logic
      BUG. ~/.signature was used instead of file named in tinrc/attributes
      BUG. memory leak and possible buffer overruns in
           post.c:user_posted_messages()
      BUG. sig-delimiter wasn't recognized if qp-encoded over 2 lines
      FIX. Makefile.in, pgp.txt, extern.h, config.c, cook.c, inews.c, lang.c
           pgp.c, post.c, prompt.c, sigfile.c

 031) Dirk Nimmich <nimmich@muenster.de>
      BUG. empty news_headers_to_[not_]display_array could cause a SIGSEGV
      BUG. changing beginner_level or show_description from the options menu
           messed up the screen
      FIX. proto.h, config.c, signal.c

U052) Urs Janssen <urs@tin.org>
      BUG. dumps core when opening a cached art which is cancelled in the
           meantime
      BUG. update_posted_msgs_file() didn't quote From_ lines in !MMDF
           mailboxes
      BUG. fetch_postponed_article() didn't unquote quoted From_ lines
      BUG. storing in MMDF mailboxes was broken
      BUG. quoting long lines in followups/replies lead to wrong quote
           levels
      BUG. didn't compile on MacOS X with apples gcc-port
      BUG. contains_nonprintables() check for encoded words was to soft
      BUG. off by one quoting error in followups/replies
      BUG. url_handler.sh didn't handle uppercase schemes and & in URLs
      BUG. 'U' in raw_mode crashed tin
      BUG. newline missing in bugreport
      ADD. .ps (Palestinian Territories) as a valid TLD
      ADD. use the raw-article for followups/replies if pager is in
           raw-mode
      ADD. config.guess, config.sub, metamutt (1.15 -> 1.17) update
      ADD. expiretover script for purging old cached overview data
      ADD. internal inews now breaks long body lines after 1024 chars, not 512
      ADD. news:, snews: and nntp: URL highlighting
      FIX. config.guess, config.sub, expiretover, metamutt, url_handler.sh
           extern.h, policy.h, proto.h, rfc2046.h, tin.h, cook.c, feed.c
           inews.c, memory.c, misc.c, page.c, post.c, rfc2046.c, rfc2047.c
           save.c, search.c, signal.c

-- 1.5.7 release 20001104 "Paradise Regained" --

U051) Thomas E. Dickey <dickey@invisible-island.net>
      BUG. won't compile on termcap systems
      ADD. updated pcre (3.2 -> 3.4)
      ADD. updated some configure script macros
      BUG. vms/parsdate.c required alloca(), regenerated with byacc
      FIX. aclocal.m4, extern.h, proto.h, trace.h, cook.c, curses.c
           feed.c, lang.c, signal.c, tcurses.c, trace.c, pcre/*

U050) L. Scott Emmons <scotte@center.uscs.com>
      BUG. gpg keyname must be last option
      FIX. pgp.c

U049) Won-kyu Park <wkpark@chem.skku.ac.kr>
      Urs Janssen <urs@tin.org>
      ADD. allow multi-byte environment
      FIX. configure[.in], autoconf.h[in], charset.c

U048) Urs Janssen <urs@tin.org>
      BUG. empty mm_charset in tinrc did override $MM_CHARSET
      ADD. submit_inews() returns the Message-ID if known
      ADD. URL_REGEX update
      ADD. config.guess, config.sub update
      ADD. turned some vsprintf calls into vsnprintf ones
      ADD. made -V a bit more verbose
      REM. -U option
      FIX. configure[.in], config.guess, config.sub, autoconf.h[in], proto.h
           tin.h, parsdate.y, config.c, cook.c, feed.c, inews.c, init.c
           lang.c, main.c, post.c, rfc2045.c, screen.c, tin.1, tin.5

 029) Urs Janssen <urs@tin.org>
      BUG. possible buffer overrun in read_groups_descriptions() on very
           long group names/descriptions
      ADD. allow superseding of articles even if one of the groups isn't
           in the active file.
      FIX. mail.c, post.c

-- 1.5.6 release 20000803 "Dust" --

 028) Urs Janssen <urs@tin.org>
      BUG. nntp_open() treated unknown 2xx responses as an error
      ADD. handling for new 202/203 return codes
      FIX. nntplib.h, open.c

 027) v9@fakehalo.org
      Urs Janssen <urs@tin.org>
      BUG. possible buffer overflow
      FIX. curses.c

U047) Scott Marovich <marovich@hpl.hp.com>
      ADD. removed few casts for a clean compile on HP-UX
      BUG. missing vars for HPs STREAMS-based network-protocol stack.
      FIX. nntplib.c

U046) Dirk Nimmich <nimmich@muenster.de>
      ADD. completed switching menus to "key=action" style
      ADD. current key mapping in mini help
      BUG. did not compile with --disable-curses
      BUG. save backend had no i18n stuff
      BUG. info line was not cleared after displaying a menu
      BUG. when writing a new article or superseding an old one there was
           no cursor in the editor
      BUG. ignoring followup-to header, aborting posting and trying to
           followup again on that article could lead to a crash
      FIX. TODO, feed.c, help.c, lang.c, misc.c, post.c, prompt.c, save.c

U045) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. definition NEED_TERM_H to include <term.h> if needed
      ADD. improved search-order for curses/ncurses libraries
      ADD. plausible default value for the editor and mailer in configure
      BUG. correct include-path in src/Makefile.in
      BUG. fixed logic to remove symbolic link for intl/libintl.h
      BUG. 'M' screen was not being repainted properly in some cases
      FIX. aclocal.m4, autoconf.h[in], configure[.in], proto.h, rfc2046.h
           tcurses.h, tin.h, Makefile[.in], art.c, config.c, cook.c
           curses.c, filter.c, group.c, help.c, newsrc.c, page.c, post.c
           rfc2046.c, save.c, string.c, thread.c

U044) Jason Faultless <jason@altarstone.com>
      ADD. URL-highlighting in termcap mode and if compiled without
           color support
      ADD. better positioning in article when hiding uuencoded data
      ADD. human readable connection time-stamp in tinrc
      ADD. rewrite find_reply_to() mechanism
      ADD. cleanup of header parsing code when posting
      ADD. migrate path/filename generation functionality to strfpath()
      ADD. rewrite save backend, better feedback when saving
      ADD. post_process_view, use MIME backend for viewing post-processed arts
      ADD. better feedback when post-processing
      ADD. big code cleanup
      REM. post_process_command, tinpp
      BUG. post-processing only worked on 1st uuencoded section in an article
      BUG. 'e' EditMailArt broken
      BUG. tin sometimes hung on multipart articles
      BUG. single line scrolling in the pager broken in curses mode if
           compiled without color support
      FIX. tin.1, extern.h, keymap.h, menukeys.h, proto.h, active.c, color.c
           config.c, cook.c, curses.c, feed.c, group.c, init.c, keymap.c
           lang.c, mail.c, main.c, misc.c, nrctbl.c, page.c, pgp.c, post.c
           prompt.c, regex.c, rfc1524.c, rfc2046.c, save.c, search.c
           sigfile.c

U043) Roland Rosenfeld <roland@spinnaker.de>
      BUG. ConvertBody2Printable was disabled
      FIX. proto.h, charset.c, cook.c, page.c

U042) Thomas E. Dickey <dickey@invisible-island.net>
      BUG. couple of problems with NLS configuration
      FIX. aclocal.m4, Makefile[.in]

U041) Dirk Nimmich <nimmich@muenster.de>
      ADD. prompt_yn prints current key bindings for PromptYes/PromptNo
      ADD. switched menus to "key=action" style
      BUG. unbound keys caused actions in several menus
      BUG. PProc* keys could not be remapped
      BUG. MIME-encoding of some headers broken
      FIX. extern.h, keymap.h, menukeys.h, proto.h, tin.h
           attrib.c, config.c, feed.c, filter.c, group.c, inews.c, keymap.c
           lang.c, page.c, pgp.c, post.c, prompt.c, save.c, select.c
           thread.c, tincfg.tbl

U040) Urs Janssen <urs@tin.org>
      ADD. mailcap %{parameter}-expansion
      ADD. look for localized keymaps
      ADD. config.guess, config.sub update
      ADD. minor code cleanup
      ADD. tin.5 manpage
      REM. seuid/setgid code
      FIX. mailcap.sample, Makefile[.in], tin.1, tin.5, configure[.in]
           config.guess, config.sub, keymap.h, menukeys.h, proto.h, tin.h
           cook.c, header.c, init.c, group.c, keymap.c, memory.c, misc.c
           page.c, post.c, rfc1524.c, rfc2046.c, save.c, select.c

U039) Roland Rosenfeld <roland@spinnaker.de>
      BUG. problems with keymap and only GPG support
      FIX. keymap.h

-- 1.5.5 release 20000613 "Lucretia" --

U037) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. updated pcre (2.08 -> 3.2)
      ADD. new config.sub/config.guess versions
      BUG. missing cursoron() on exit
      FIX. config.guess, config.sub, configure[.in], mkdirs.sh, autoconf.h[in]
           oldconfig.h, tin.h, misc.c, vms/select.h, pcre/*

U036) Toomas Soome <tsoome@ut.ee>
      ADD. updated Estonian translation
      FIX. et.po

U035) Dirk Nimmich <nimmich@muenster.de>
      Jason Faultless <jason@altarstone.com>
      ADD. allow remapping of keys
      BUG. potential buffer overruns when saving attachments
      ADD. moved some strings to lang.c and added i18n-macros
      FIX. Makefile[.in], extern.h, keymap.h, menukeys.h, proto.h, config.c
           feed.c, filter.c, global.c, group.c, init.c, keymap.c, lang.c
           main.c, nrctbl.c, page.c, pgp.c, post.c, prompt.c, rfc1524.c
           save.c, select.c, thread.c

U034) Urs Janssen <urs@tin.org>
      ADD. made some funcs static, renamed mailcap.c to mimetypes.c
      ADD. dynamic malloc space for mailcap meta expansion
      ADD. updated German translation
      REM. unused vars
      REM. translations for low-level error/debug messages
      FIX. Makefile[.in], extern.h, auth.c, color.c, config.c, global.c
           lang.c, memory.c, mimetypes.c, misc.c, newsrc.c, nntplib.c, post.c
           read.c, refs.c, rfc1524.c, rfc2047.c, save.c, sigfile.c, signal.c
           string.c, tags.c, thread.c, xref.c, de.po

-- 1.5.4 release 20000523 "1959" --

U033) Robert Brady <rwb197@ecs.soton.ac.uk>
      ADD. English translation
      FIX. en_GB.po

U032) Toomas Soome <tsoome@ut.ee>
      ADD. updated Estonian translation
      FIX. et.po

U031) Kai Bojens <kbojens@herkules.on-luebeck.de>
      Sven Hartge <hartge@ds9.argh.org>
      ADD. updated German translation
      FIX. de.po

 024) Dirk Nimmich <nimmich@muenster.de>
      BUG. possible core on empty groups with out of sync overviews
      FIX. art.c

U030) Dirk Nimmich <nimmich@muenster.de>
      BUG. last line in qp-encoded arts isn't always displayed
      FIX. cook.c

U029) Jason Faultless <jason@altarstone.com>
      Urs Janssen <urs@tin.org>
      BUG. missing initialization artinfo and hdr
      ADD. rewrote mailcaps parsing, added $MAILCAPS support and recommended
           fall backs, added mime.types fall back
      ADD. renamed rfc2045[.hc] to rfc2046.[hc], rfc1521.c to rfc2045.c
           and rfc1522.c to rfc2047.c
      FIX. Makefile[.in], POTFILES.in, curses.c, feed.c, mailcap.c, rfc1524.c
           rfc2046.c, mime.types

U028) Jason Faultless <jason@altarstone.com>
      BUG. possible errors/crashes when 'q'uitting during article load
      BUG. off-by-1 error in mailcap %s expansion
      BUG. count in "%d articles mailed" sometimes incorrect
      ADD. don't search beyond ^L when ^L hiding is enabled
      ADD. 'V' in pager now saves/views uuencoded files where possible
      ADD. minor doc updates
      FIX. tin.1, proto.h, rfc2045.h, tin.h, art.c, cook.c, feed.c, filter.c
           group.c, mailcap.c, main.c, misc.c, page.c, post.c, rfc2045.c
           save.c, search.c, select.c

 023) Urs Janssen <urs@tin.org>
      BUG. add Sender to FORGERY cancels
      BUG. top level domains .kh and .zw not recognized
      FIX. policy.h, post.c

 021) Urs Janssen <urs@tin.org>
      BUG. removed unsupported o from TIN_EDIT_KEYS_EXT
      FIX. post.c

U027) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. several configure cleanups/improvements
      BUG.
      FIX. aclocal.m4, configure[.in], autoconf.h[in], makefile[.in]
           Makefile[.in], extern.h, cook.c, curses.c, lang.c, pgp.c
           rfc2045.c, wildmat.c

U026) Roland Rosenfeld <roland@spinnaker.de>
      BUG. f'uping/replying to qp/b64-base encoded arts didn't use the
           decoded 8bit data, but the 7bit encoded art.
      BUG. inverse art_marked_selected marker might get lost
      FIX. post.c, screen.c

 020) Ralf Doeblitz <doeblitz@gmx.de>
      BUG. missing gnksa initialization for add_posted_to_filter
      FIX. filter.c

U025) Urs Janssen <urs@tin.org>
      BUG. didn't check for new groups
      BUG. possible crash on articles with broken Content-Type:-header
      ADD. minor URL_REGEX, MAIL_REGEX, NEWS_REGEX improvements
      FIX. tin.h, active.c, rfc2045.c

U024) Dirk Nimmich <nimmich@muenster.de>
      BUG. didn't compile with pgp/gpg support turned on
      BUG. upper case Content-Type problem
      ADD. per-line scrolling in the pager for !USE_CURSES configurations
      BUG. empty line at the top of an article if no headers are shown
      REM. distinction between first and following page screens in article
           viewer
      FIX. extern.h, proto.h, cook.c, curses.c, misc.c, page.c, pgp.c
           rfc2045.c

U023) Jason Faultless <jason@altarstone.com>
      ADD. rewrite article handling
           rewrite pager
           RFC2045 MIME parsing / display of articles
           per-line scrolling in pager
           '?' backward search to pager
           'U' browse URL's in pager
           'V' view/save multipart attachments in pager
           search string and URL highlighting
           'B'ody search at all levels locates string in article
           separate article contexts reduces # article reloads performed
      FIX. Makefile, INSTALL, TODO, art_handling.txt, tin.1, extern.h
           menukeys.h, proto.h, rfc2045.h, tin.h, Makefile[.in], art.c
           attrib.c, charset.c, color.c, cook.c, curses.c, feed.c, filter.c
           group.c, header.c, init.c, lang.c, memory.c, misc.c, open.c, page.c
           pgp.c, post.c, regex.c, rfc1521.c, rfc1522.c, rfc2045.c, save.c
           screen.c, search.c, sigfile.c, signal.c, string.c, tcurses.c
           thread.c, wildmat.c

U022) Toomas Soome <tsoome@ut.ee>
      ADD. Estonian translation
      ADD. keep_posted_articles_file
      BUG. several _()/N_() macros missing
      FIX. extern.h, tinrc.h, config.c, feed.c, filter.c, group.c, help.c
           init.c, lang.c, main.c, nntplib.c, post.c, save.c, select.c
           thread.c, tincfg.tbl, et.po

U021) Dirk Nimmich <nimmich@muenster.de>
      BUG. decide posting type (base article (w) or followup (f)) based on
           References: (don't rely on "Re: " in Subject:)
      BUG. 'F'ollowup with Followup-To: poster quoted text when 'm'ailing
      BUG. '^W' (followup with header) did not include header when
           Followup-To: poster was set and 'm'ailing the answer
      BUG. empty From:/Cc:/Bcc: line when mailing and no mail_address set
      ADD. spamtrap warning even with use_mailreader_i=ON
      ADD. honour unlink_article when mailing, too
      ADD. warn if Subject: begins with "Re: " but there are no References:
      ADD. warn if there are References: but Subject: does not begin with
           "Re: " and does not contain "(was:"
      ADD. make translations of plurals easier
      ADD. moved some more strings to lang.c
      FIX. TODO, extern.h, proto.h, art.c, config.c, feed.c, group.c, lang.c
           main.c, misc.c, page.c, post.c, save.c, select.c

 019) Dirk Nimmich <nimmich@muenster.de>
      BUG. don't MIME encode headers when using external mail client
           (use_mailreader_i)
      BUG. close several potential security holes (buffer overruns) in
           strfmailer()
      BUG. "\x" sequences (x != '\0', 'n') in default_mailer_format got
           replaced by "%x"
      FIX. TODO, misc.c

 018) Park Chong-Dae <cdpark@jupiter.kaist.ac.kr>
      Urs Janssen <urs@tin.org>
      BUG. Do not GNKSA-test From: for FORGERY cancels
      FIX. inews.c, post.c

U020) Jason Faultless <jason@altarstone.com>
      Urs Janssen <urs@tin.org>
      BUG. --disable-nls creates libintl.h-link
      ADD. x-headers (via attributes) support to mails if not using
           use_mailreader_i
      ADD. minor code cleanup
      ADD. extended DEFAULT_STRIP_RE_REGEX for Danish prefixes, changed
           quote_signatures default to false
      FIX. aclocal.m4, proto.h, tin.h, art.c, init.c, lang.c, misc.c, post.c
           save.c, screen.c, search.c

 017) Roland Rosenfeld <roland@spinnaker.de>
      BUG. under special conditions filter entries got duplicated
      REM. global filter
      FIX. extern.h, proto.h, filter.c, group.c, init.c, lang.c, main.c
           page.c

-- 1.5.3 release 20000221 "For Her Light" --

U019) Roland Rosenfeld <roland@spinnaker.de>
      ADD. editing the filter file in select and page menu ('E').
      FIX. select.c, page.c, menukeys.h, proto.h, filter.c, tin.1

 016) Roland Rosenfeld <roland@spinnaker.de>
      BUG. change line offset when editing filter from 22 to 25.
      FIX. filter.c

U018) Jason Faultless <jason@altarstone.com>
      ADD. Pipe '|' to thread menu
      ADD. rewrote feed.c
      ADD. general cleanup
      ADD. inverse highlight on config screen if draw_arrow=FALSE
      ADD. batch_save now does something
      ADD. auto_save attribute is now honoured
      ADD. more intuitive handling when strip_bogus=KEEP
      BUG. 'ignore art unavailable' broken
      BUG. invalid start_line_offset in mail_bugreport()
      BUG. batch operations don't need curses init
      BUG. articles were marked read before they were really saved
      FIX. CHANGES, TODO, WHATSNEW, tin.1, menukeys.h, proto.h, tin.h
           attrib.c, config.c, filter.c, getline.c, group.c, header.c
           help.c, init.c, lang.c, main.c, memory.c, misc.c, page.c
           post.c, prompt.c, rfc1522.c, save.c, screen.c, select.c
           string.c, thread.c

 014) Jason Faultless <jason@altarstone.com>
      BUG. Sender: errors on posting hung NNTP socket
      BUG. possible buffer overrun in the wildmat code
      FIX. inews.c, wildmat.c

 013) Urs Janssen <urs@tin.org>
      BUG. terminal mode wasn't restored after -Z
      BUG. tin -v -Z was a bit too verbose
      ADD. changed default of quote_empty_lines to ON
      ADD. changed default of batch_save to ON
      FIX. art.c, filter.c, init.c, main.c

U017) Hideaki Yoshfuji <yoshfuji@ecei.tohoku.ac.jp>
      BUG. ensure hostname is terminated with null-character.
      FIX. nntplib.c

U016) Urs Janssen <urs@tin.org>
      BUG. redefinition of VERSION
      ADD. moved ~/.tin/headers support to attributes
      ADD. removed ~/.tin/bug_report support
      ADD. ART_MARKED_READ, ART_MARKED_KILLED, ART_MARKED_READ_SELECTED
           configurable via 'M'enu and tinrc
      REM. highlighting of ART_MARKED_READ_SELECTED in KILL_THREAD
      FIX. extern.h, tinrc.h, version.h, attrib.c, config.c, init.c, lang.c
           main.c, misc.c, post.c, thread.c, tin.1, tincfg.tbl

-- 1.5.2 release 20000206 "Black Planet" --

 015) Urs Janssen <urs@tin.org>
      ADD. smarter check when quotes around real names are needed
      FIX. header.c

 011) Urs Janssen <urs@tin.org>
      ADD. number of hot arts/group to verbose -Z output
      FIX. save.c

U015) Dirk Nimmich <nimmich@muenster.de>
      BUG. reconnect on QUIT is not necessary
      ADD. allow interactive authentication on startup if invoked with -A
      FIX. extern.h, auth.c lang.c, nntplib.c

U014) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. configure script improvements (NLS, passwd.pw_gecos)
      ADD. uninstall rule to makefiles
      ADD. removed most unbalanced curly braces
      BUG. redundant parenthesis in N_ macro
      BUG. wrong fall back prototype for mkstemp
      FIX. aclocal.m4, config.guess, config.sub, configure[.in], makefile.in
           autoconf.h[in], extern.h, tin.h, trace.h, Makefile.in, active.c
           art.c, auth.c, color.c, config.c, curses.c, debug.c, global.c
           group.c, header.c, init.c, joinpath.c, list.c, misc.c, nntplib.c
           open.c, post.c, rfc1522.c, save.c, select.c, sigfile.c, signal.c
           tcurses.c, thread.c, plp_snprintf.c, parsdate.y, Makefile.inn
           tin.pot

U013) Sven Hartge <hartge@ds9.argh.org>
      Kai Bojens <kbojens@on-luebeck.de>
      Urs Janssen <urs@tin.org>
      ADD. (basic) German translation
      FIX. de.po

U012) Jason Faultless <jason@altarstone.com>
      ADD. better PGP/GPG support
      ADD. big group/thread menu cleanup
      ADD. proper return code handling to group menu
      ADD. generic keymap/mouse handling
      ADD. cleanup draw/erase arrow routines
      ADD. cleanup attribute code
      ADD. big cleanup of mailing code
      ADD. made 'K' on thread menu more consistent with group menu
      ADD. use 'from' attribute for PGP signing if set
      ADD. updated WHATSNEW
      BUG. catchup handling in thread menu inconsistent
      BUG. silly typo in menu handling
      BUG. group 'z' and 'Z' unread message corrupt
      BUG. not all attributes were free()d
      FIX. tin.1, menukeys.h, proto.h, tin.h, attrib.c, global.c, group.c
           page.c, pgp.c, select.c, thread.c

 009) Jason Faultless <jason@altarstone.com>
      BUG. -z did not restore terminal modes
      BUG. manpage had '[' and ']' in thread section instead of pager
      FIX. tin.1, menukeys.h, main.c, page.c

U011) Ralf Doeblitz <doeblitz@gmx.de>
      ADD. human readable time-stamp in filters
      ADD. GNKSA filter documentation
      FIX. filtering, filter.c

U010) Urs Janssen <urs@tin.org>
      ADD. BSD-license
      ADD. minor Makefile/configure cleanup
      ADD. use mail_address for Cc/Bcc
      ADD. ART_MARK_READ_SELECTED to KILL_NOTHREAD
      FIX. Makefile, Makefile[.in], aclocal.m4, configure[.in], include/*.h
           src/*.c

U009) Arkadiusz Miskiewicz <misiek@misiek.eu.org>
      BUG. missing freeaddrinfo()
      FIX. nntplib.c

-- 1.5.1 release 20000103 "Sumerland" --

U008) Urs Janssen <urs@tin.org>
      BUG. typo broke snprintf() fall back
      BUG. used strlen() instead of sizeof() in various places
      BUG. possible Y2K bug in parsedate.y (can't show up in tin)
      BUG. --disable-nls didn't work
      ADD. check for gpg
      ADD. -DTHREAD_SUM
      ADD. code cleanup
      REM. patch 006
      FIX. configure[.in], autoconf.h[in], tin.h, parsedate.y, active.c
           config.c, group.c, nntplib.c, pgp.c, post.c, select.c, tags.c
           thread.c

U007) Michael Bienia <michael@vorlon.ping.de>
      Urs Janssen <urs@tin.org>
      BUG. gpg support didn't work if neither pgp nor pgp-5 was
           found on the system
      FIX. configure[.in], autoconf.h[in], extern.h, menukeys.h, proto.h
           help.c, init.c, lang.c, page.c, pgp.c, post.c

 008) Jason Faultless <jason@altarstone.com>
      Urs Janssen <urs@tin.org>
      BUG. removed annoying "Reading attributes file ..."-messages
           for each new group
      ADD. speed-up start when there are several new groups on the server
      FIX. active.c, attrib.c, lang.c, main.c

U006) Sebastian Bork <sebi@sebi.org>
      BUG. misplaced parenthesis
      FIX. post.c

U005) Arkadiusz Miskiewicz <misiek@misiek.eu.org>
      ADD. better check is system is IPv6 ready
      ADD. NLS support
      FIX. configure[.in], autoconf.h[in], *.c

U004) Mark Ayzenshteyn <marka@bonzo.org>
      ADD. uudecode files with spaces in name
      FIX. save.c

U003) Jason Faultless <jason@altarstone.com>
      ADD. split article tagging type code to tag.c
      ADD. start of GPG support
      ADD. big code cleanup
      ADD. turn off curses scrolling after startup - causes display problems
      FIX. README, CHANGES, TODO, extern.h, proto.h, tin.h, auth.c
           config.c, curses.c, feed.c, filter.c, group.c, lang.c, memory.c
           misc.c, page.c, pgp.c, select.c, thread.c

-- 1.5.0 release 19991201 "Blueprint" --

U002) Dawid Kuroczko <dk@ssw.krakow.pl>
      ADD. indicator for articles newer than n-days
      FIX. extern.h, tin.h, tinrc.h, config.c, init.c, lang.c, thread.c
           tincfg.tbl

U001) Urs Janssen <urs@tin.org>
      ADD. Patrick Powells snprintf(), vsnprintf() fall backs
      REM. INDEX_DAEMON-code
      FIX. configure[.in], autoconf.h[in], plp_snprintf.c, *.c

-- 1.4.1 release 19991201 "Polish" --

 006) Jeremy Buhler <jbuhler@cs.washington.edu>
      ADD. check for server requested auth type
      FIX. auth.txt, nntplib.h, proto.h, auth.c, inews.c, nntplib.c, open.c

 005) Thomas E. Dickey <dickey@invisible-island.net>
      ADD. configure script improvements
      BUG. screen modes weren't restored before piping to external command
      FIX. aclocal.m4, configure[.in], autoconf.h[in], extern.h, feed.c
           makecfg.c, misc.c, tincfg.tbl

 004) Henryk Bochmann <bochmann@tudurz.urz.tu-dresden.de>
      ADD. add X-Headers in cancels and reposts
      FIX. post.c

 003) Jason Faultless <jason@altarstone.com>
      BUG. fixed the newgroup during session hack which didn't work
           with leafnode
      BUG. Possible core when entering newgroups
      BUG. Possible core when saving from the pager
      ADD. documentation / manpage update
      REM. changes to 'g' semantics on group selection menu
      FIX. WHATSNEW, tin.1, active.c, feed.c, post.c, select.c

 002) Carsten Theis <c.theis@ndh.net>
      BUG. unwanted \n in Subject if using mailreader_i
      FIX. post.c

 001) Urs Janssen <urs@tin.org>
      ADD. better check for 'article changed?'
      ADD. check ~/.newsauth permissions
      BUG. default permissions allowed other users to read
           users .inputhistory-file which might have cached
           the users nntp-password
      FIX. Makefile, extern.h, proto.h, auth.c, getline.c, init.c, misc.c
           post.c

-- 1.4.0 release 19991113 "No Labels" --

684) Wolfgang Becker <uafr@gmx.de>
     ADD. updated README.WIN
     FIX. README.WIN

683) Niklas Edmundsson <nikke@ing.umu.se>
     BUG. in some cases returnval of getaddrinfo() was interpreted wrong
     FIX. nntplib.c

682) Serge N. Pokhodyaev <snp@ru.ru>
     ADD. %G in savefile string in group attributes
     FIX. misc.c

681) Vincent Lefevre <vlefevre@ens-lyon.fr>
     BUG. used C-style comparison in shell script
     FIX. configure[.in]

680) Dawid Kuroczko <dk@ssw.krakow.pl>
     BUG. with start_editor_offset=off userdefined default_editor_format
          was ignored
     FIX. misc.c

679) Charles S. Kerr <charles@skywalker.ecn.ou.edu>
     ADD. 'T'ag multipart-articles in group level
     FIX. menukeys.h, group.c

678) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. unread articles in killed threads not displayed in some cases
     BUG. allocation/expansion of bitmaps for all groups
     BUG. current bitmap not retained when subscribing to group
     ADD. kill_level to control processing/display of killed articles
     ADD. stop excessive reloading of articles when feeding articles
     ADD. reduce some tinrc vars PATH_LEN -> LEN
     ADD. reorganisation of help screens. All keys documented.
     ADD. big manpage update. All keys documented.
     ADD. 'W' to thread menu
     ADD. code cleanup
     FIX. tin.1, extern.h, menukeys.h, tin.h, tinrc.h, active.c, config.c
          feed.c, filter.c, init.c, lang.c, misc.c, newsrc.c, page.c, post.c
          refs.c, save.c, select.c, thread.c, tincfg.tbl

677) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. base64 encoding didn't convert CRs <-> CRLFs when needed
     FIX. extern.h, proto.h, lang.c, rfc1521.c

676) Sven Paulus <sven@tin.org>
     Urs Janssen <urs@tin.org>
     ADD. minor code cleanup
     ADD. post_mime_encoding/mail_mime_encoding to tin.defaults
     ADD. X-Headers on supersede
     BUG. disabled IPv6 support as it didn't work on AIX and causes
          unwanted nameserver lookups (/etc/hosts is ignored - bug or
          feature?) on Linux
     BUG. several regexp weren't initialized when there was no tinrc at
          startup
     BUG. passed wrong argument to update_posted_info_file()
     BUG. wrong order of initial tinrc.* values
     FIX. aclocal.m4, configure[.in], Makefile, autoconf.h[in], extern.h
          proto.h, tin.h, version.h, active.c, auth.c, config.c, inews.c
          init.c, lang.c, main.c, post.c, screen.c, select.c, rfc1521.c
          rfc1522.c, Build, canlocktest.c, old/*

-- pre-1.4 release 19990927 "Nine While Nine" --

675) Thomas E. Dickey <dickey@clark.net>
     BUG. on unexpected errors the terminal modes were not restored
     ADD. check if tin fallback prototypes work with the system headers
     ADD. update configure script macros to accommodate cygwin32
     ADD. rearrange the configure script's check for network libraries
     ADD. fix a couple of casts losing const
     FIX. aclocal.m4, configure[.in], proto.h, getline.c, init.c, main.c
          memory.c, misc.c, nntplib.c, read.c, refs.c, select.c, signal.c

674) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. Huge cleanup of quick_post_article(), post_existing_article(),
          post_article(), post_response(), repost_article()
     ADD. cleanup of mail_to_someone(), mail_bug_report(), mail_to_author()
     ADD. print an error when an external command could not be invoked
     REM. various error messages now that reporting is centralised in
          invoke_cmd()
     ADD. Change process_only_unread default to OFF
     ADD. 'w' post article, 'm' mail article to thread menu
     ADD. big code cleanup
     ADD. clear status line after error_message() is displayed
     ADD. correct initial cursor position when mailing bug reports
     ADD. cleanup tinrc/option menu variable naming
     BUG. mail bug report coredumps on bogus groups in selection menu
     FIX. extern.h, proto.h, tin.h, filter.c, group.c, inews.c, init.c
          page.c, post.c, select.c, thread.c

673) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. authentication was not first command after MODE READER if
          invoked with -A
     BUG. if server sent 201 after MODE READER posting was not possible
          even after successful authentication
     BUG. user was not notified when XOVER was not available
     BUG. Followup-To: line was not examined whether the mentioned group(s)
          were valid on the server
     BUG. Fixed small memory leak in post.c
     BUG. Fixed several potential bufferoverruns (make_prefix(),
          show_selection_page())
     ADD. also try OVER (if XOVER failed) at connection startup
     ADD. use OVER if available (and not XOVER)
     ADD. warn if using quoted-printable or base64 and external inews
     FIX. extern.h, lang.c, open.c, post.c, thread.c, select.c

672) Urs Janssen <urs@tin.org>
     BUG. fixed uncritical memleak in free_attributes_array()
     BUG. fixed possible call of free(NULL)
     ADD. overview_xref_support() now handles Xref:full entries in
          overview.ftm with trailing garbage on the line
     ADD. check for duplicated Newsgroups, Subject and Followup-To
          header before posting
     ADD. key to ignore Followup-To in followups
     ADD. -DEVIL_INSIDE and -DUSE_CANLOCK
     ADD. updated pcre (2.07 -> 2.08)
     FIX. Makefile, Makefile[.in], extern.h, lang.c, memory.c, newsrc.c
          page.c, post.c, xref.c, pcre/*, libcanlock/*

671) Wolfgang Behrens <wolfgang@snoopy.flensburg.de>
     Urs Janssen <urs@tin.org>
     ADD. regexp/color for 2nd and >=3rd level quotes
     ADD. minimal code cleanup
     FIX. tin.1, extern.h, tin.h, tinrc.h, color.c, config.c, header.c
          init.c, lang.c, memory.c, tincfg.tbl

670) Arkadiusz Miskiewicz <misiek@misiek.eu.org>
     ADD. IPv6 connects
     FIX. configure[.in], autoconf.h[in], tin.h, nntplib.c

669) Dawid Kuroczko <dk@ssw.krakow.pl>
     ADD. allow negative values in getart_limit to specify the number
          of already read articles which should be fetched again.
     ADD. signature level to word_h_display_marks
     ADD. changed algorithm of syntax highlighting
     ADD. userdefined regexp for Re: and was: subject stripping in
          followups
     FIX. extern.h, proto.h, tin.h, tinrc.h, art.c, color.c, config.c
          getline.c, init.c, lang.c, memory.c, misc.c, prompt.c, regex.c
          tincfg.tbl, tin.1

668) William McBrine <wmcbrine@clark.net>
     BUG. lines which were exactly cCOLS wide caused a LF in the pager
          and the LF was not counted note.lines
     FIX. color.c, page.c

667) Stuffed Crust <pizza@shaftnet.org>
     Urs Janssen <urs@tin.org>
     BUG. normal text was colored as quoted-text if quote_regex was empty
     FIX. tin.h, color.c, config.c, init.c, lang.c

-- pre-1.4 release 19990805 "Preacher Man" --

666) Olaf Dietrich <olaf.dietrich@urz.uni-heidelberg.de>
     BUG. cursor position gets lost after rereading the active file
     FIX. select.c

665) Martin Reising <mreising@irrlicht.Ruhr.DE>
     ADD. ART_MARK_READ_HOT for -DKILL_READ
     FIX. thread.c

664) Urs Janssen <urs@tin.org>
     ADD. S_IFMT and S_IFREG fallback for fcc
     ADD. 'Z' to pager
     ADD. updated pcre (2.06 -> 2.07)
     BUG. don't prompt user for rewrite newsrc if it is empty
     BUG. use tin_getline() instead of getpass() for passwd prompt again
          as getpass() might truncate passwords
     FIX. menukeys.h, proto.h, tin.h, auth.c, getline.c, lang.c, misc.c
          page.c, prompt.c, pcre/*

663) Erik van Roode <erik@cthulhu.demon.nl>
     BUG. articles with missing realname in From:-line crashed debug-level 2
     FIX. debug.c

662) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. quote_regex option for highlighting quoted text
     ADD. minor code cleanup
     BUG. long groupnames in .newsrc could crash tin
     BUG. interactive authorisation was broken
     BUG. filename 'guessing' for uudecoded used mtime which sometimes
          lead to wrong results
     BUG. formatstrings in txt_saved_pattern_to weren't quoted
     FIX. extern.h, proto.h, tin.h, tinrc.h, active.c, auth.c, color.c
          config.c, curses.c, filter.c, init.c, lang.c, main.c, memory.c
          regex.c, save.c, tcurses.c, tincfg.tbl, tin.1, rcvars.txt

-- pre-1.4 release 19990624 "Dawnrazor" --

661) Thomas E. Dickey <dickey@clark.net>
     ADD. configure script updates/improvements
     FIX. aclocal.m4, config.guess, config.sub, configure.in, internal.h
          active.c

660) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. some minor AmigaOS fixes
     FIX. config.h, tin.h, version.h, smakefile, amiga.c, init.c
          read.c, tin.readme

659) Urs Janssen <urs@tin.org>
     ADD. prompt before abort unmodified postings/followups/bugreports
     ADD. warning if less lines are written to newsrc as read on start
     ADD. moved some strings to lang.c
     ADD. ispell opts to attributes
     ADD. updated pcre (2.05 -> 2.06)
     BUG. whole Reference:-tree was added to In-Reply-To:
     BUG. compiling with --disable-color failed with --enable-curses
     BUG. removed a few typos
     BUG. fixed some eval-order dependencies bugs
     FIX. configure[.in], extern.h, proto.h, tin.h, active.c, attrib.c
          config.c, inews.c, lang.c, main.c, misc.c, newsrc.c, post.c
          save.c, select.c, tcurses.c, pcre/*

658) John R. Myers <jmyers@netcom.com>
     Urs Janssen <urs@tin.org>
     BUG. tins atol() didn't ignore leading whitespace(s)
     FIX. string.c

657) Fabrice Bellet <Fabrice.Bellet@imag.fr>
     BUG. screen init was done before reading cmd-line options
     FIX. main.c

656) Albert Chin-A-Young <china@thewrittenword.com>
     BUG. CF_NETLIBS was missing if compiling with --with-socks5 on Solaris
     FIX. configure[.in]

655) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. read articles were filtered even with unset KILL_READ
     FIX. filter.c

654) Ruediger Geys <aage@fen.baynet.de>
     Urs Janssen <urs@tin.org>
     ADD. --disable-printing
     BUG. removed unused cmd_line_printer var
     FIX. configure[.in], autoconf.h[in], extern.h, menukeys.h, tinrc.h
          attrib.c, config.c, feed.c, group.c, help.c, init.c, lang.c
          memory.c, page.c, tincfg.tbl

-- pre-1.4 release 19990517 "Psychonaut" --

653) Wolfgang Becker <uafr@gmx.de>
     ADD. updated README.WIN
     FIX. README.WIN

652) Borislav Deianov <borislav@CS.Cornell.EDU>
     BUG. various buffer over/underruns and reads from uninitialized
          memory
     FIX. active.c, misc.c, page.c, read.c, select.c

651) Urs Janssen <urs@tin.org>
     ADD. strip_address() for removing mailaddress
     ADD. updated pcre (2.04 -> 2.05)
     BUG. --disable-pipe-command was broken
     FIX. config.c, misc.c, pcre/*

650) Thomas E. Dickey <dickey@clark.net>
     BUG. typo in Makefile
     BUG. didn't compile on !HAVE_POSIX_JC systems
     FIX. Makefile[.in], signal.c

649) GianPiero Puccioni <gip@fox.ino.it>
     BUG. trying to set SA_RESTART on systems which don't know
          BSD-like signals
     FIX. signal.c

648) Helmut Springer <delta@rus.uni-stuttgart.de>
     BUG. compiling with --disable-color failed
     FIX. extern.h

647) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. input_history wasn't saved
     BUG. 'g'oto group didn't enter a group with all articles read
           if show_only_unread_groups was set
     BUG. 'l', <TAB> till you reach one article of the next thread, 'l'
          shows the threading-tree of the 'old' thread not the current one
     BUG. tin -w didn't work with use_color
     BUG. during interactive auth requests curses stuff was called
          before enabling it.
     FIX. proto.h, tin.h, active.c, attrib.c, config.c, group.c, lang.c
          mail.c, main.c, misc.c, open.c, page.c, post.c, prompt.c
          open.c, select.c, signal.c, thread.c

646) Meelis Roos <mroos@cs.ut.ee>
     BUG. typo in the configure script
     FIX. configure[.in]

-- pre-1.4 release 19990413 "Endemoniada" --

645) Urs Janssen <urs@tin.org>
     BUG. use_keypad was missing in t_config
     ADD. --enable-broken-listgroup-fix
     FIX. configure.[in], autoconf.h[in], extern.h, tinrc.h, config.c
          curses.c, init.c, open.c

644) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. 'L'ookup Message-ID to group and thread menus
     ADD. minor code cleanup
     FIX. group.c, page.c, help.c, tin.1

643) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. split config variables into new structure
     BUG. online show_description toggles affected tinrc copy
     BUG. search config menu used wrong default
     FIX. tinrc.h, *.c

642) Darrell Tangman <darrelltman@mindspring.com>
     BUG. mark thread read didn't always work
     FIX. thread.c

641) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. refs_only filter
     FIX. tin.h, filter.c, lang.c

640) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. code cleanup
     ADD. some man-page corrections
     REM. create_subdir, because it was constant
     FIX. feed.c, save.c, tin.1

639) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. respect mail_address for mail-replies if not using interactive
          mailer (!use_mailreader_i)
     FIX. post.c

638) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. resizeterm() was called during malloc()/realloc() calls
     BUG. fixup_thread() was called after show_thread_page()
     BUG. confirm_to_quit=yes 'disabled' 'Q'
     ADD. fixed '-' to work without toggling show_only_unread
     FIX. extern.h, menukeys.h, proto.h, tin.h, art.c, config.c, curses.c
          group.c, help.c, misc.c, page.c, select.c, signal.c, thread.c

637) Borislav Deianov <borislav@CS.Cornell.EDU>
     ADD. rewrote -X (no-overwrite) mode
     BUG. reposting ('x') to a 'D'eleted group dumped core
     BUG. the pager asks for metamail every time it's scrolled to the top
     BUG. after metamail quits we are left in the pager with a blank screen
     FIX. extern.h, active.c, art.c, attrib.c, config.c, filter.c, lang.c
          mail.c, main.c, misc.c, newsrc.c, page.c, post.c, save.c
          select.c, tin.1

636) Urs Janssen <urs@tin.org>
     ADD. updated pcre (2.03 -> 2.04)
     ADD. automatically abort unmodified ('empty')
          postings/followups/bugreports
     ADD. check if realname in Sender: contains '.' and add "" if needed
     BUG. posted_msgs_file wasn't updated if default_maildir was changed
          via 'M'enu
     FIX. config.c, header.c, post.c, pcre/*

635) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. MH mail folder reading was broken
     FIX. reading-mail.txt, active.c, mail.c

-- pre-1.4 release 19990216 "Styrofoam" --

634) Urs Janssen <urs@tin.org>
     BUG. case for GRP_QUIT was missing
     BUG. thread_catchup_on_exit && !confirm_action did not catchup
          the thread
     ADD. skip "mark thread read?" if confirm_action &&
          thread_catchup_on_exit and the whole thread is read already
     ADD. minor code cleanup (removed unused vars, made some
          functions static, ...)
     ADD. updated pcre (2.01 -> 2.03)
     FIX. configure[.in], autoconf.h[in], Makefile, tin.defaults, proto.h
          tin.h, feed.c, group.c, misc.c, post.c, rfc1522.c, thread.c
          pcre/*

633) Ralf Doeblitz <doeblitz@gmx.de>
     FIX. the GNKSA-checks now try to decode the given address as far as
          possible
     ADD. option to disable Sender: via tin.defaults
     ADD. option to disable GNKSA check of top level domain and domain
          literals via tin.defaults
     FIX. Makefile.in, tin.defaults, extern.h, policy.h, proto.h, inews.c
          init.c, lang.c, misc.c, post.c

632) Wolfgang Becker <uafr@gmx.de>
     ADD. README.WIN
     FIX. README.WIN

631) Bernhard Oemer <oemer@tph.tuwien.ac.at>
     BUG. posting ('w') to a 'D'eleted group dumped core
     FIX. post.c

630) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. updated metamutt (1.13 -> 1.15)
     FIX. metamutt

629) Dirk Nimmich <nimmich@uni-muenster.de>
     ADD. documentation cleanup
     ADD. missing configure flags
     FIX. autoconf.h[in], configure[.in], INSTALL, umlauts.txt

628) Thomas E. Dickey <dickey@clark.net>
     BUG. several array index checks were missing
     ADD. updated config.guess/config.sub
     FIX. config.guess, config.sub, thread.c

627) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. searching in a group with all articles read and
          show_only_unread=TRUE caused a crash
     ADD. improved signal handling with HAVE_POSIX_JC
     ADD. debug assertion check around handle_resize()
     FIX. group.c, select.c

-- pre-1.4 release 981225 "Volcane" --

626) Urs Janssen <urs@tin.org>
     ADD. minor code cleanup
     BUG. FromSameUser() was case sensitive
     BUG. thread_catchup_on_exit && confirm_action && 'n' did not leave
          the thread
     FIX. Makefile, metamutt, active.c, art.c, post.c, select.c, thread.c

625) Thomas E. Dickey <dickey@clark.net>
     BUG. group_num could get negative
     ADD. configure test to set HAVE_POSIX_JC
     ADD. j/k to up/down arrows in help.c
     ADD. new option --with-socks, --with-socks5 now can take a pathname
     ADD. minor fixes/updates to some of the configure macros
     FIX. aclocal.m4, config.guess, config.sub, configure[.in]
          autoconf.h[in], tin.h, tnntp.h, help.c, select.c, signal.c

624) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. '-' at group level dumped core if previous article no longer
          threaded
     BUG. various selection menu options would coredump with no active
          group set
     BUG. 'S''*' on select menu coredumped when no ~/.tin and ~/.newsrc
     ADD. 'B' search all articles to thread menu
     ADD. saved filenames have trailing whitespace removed
     ADD. minor code cleanup
     FIX. menukeys.h, proto.h, feed.c, group.c, open.c, page.c, post.c
          save.c, search.c, select.c, thread.c

623) Jeremy Buhler <jbuhler@cs.washington.edu>
     BUG. will not build if the 'configure' command is issued in a
          directory other than the source
     FIX. pcre/Makefile[.in]

622) Borislav Deianov <borislav@CS.Cornell.EDU>
     BUG. cur_groupnum could get negative
     FIX. newsrc.c, select.c

-- pre-1.4 release 981114 "The Watchman" --

621) Michael Stenns <stenns@hal.tci.uni-hannover.de>
     ADD. minor VMS-code cleanup
     FIX. vms/*

620) Fabrice Bellet <Fabrice.Bellet@imag.fr>
     BUG. insecure usage of fprintf()
     FIX. save.c

619) Manoj Kumar <manoj@sasi.com>
     ADD. speed up highlighting code
     FIX. color.c

618) Borislav Deianov <borislav@CS.Cornell.EDU>
     BUG. the cursor position gets 'lost' after 'y'ank in 'y'ank out
     FIX. select.c

617) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. updated metamutt (1.11 -> 1.13)
     FIX. metamutt

616) Urs Janssen <urs@tin.org>
     ADD. removed --enable-forgery configure option
     ADD. support for server-side generated Message-IDs in POST response
     ADD. minor code cleanup
     ADD. updated pcre (2.00 -> 2.01)
     BUG. possible bufferoverflow in show_cont_header() and bAddFilterRule()
     FIX. active.c, config.c, filter.c, group.c, inews.c, main.c, misc.c
          page.c, regexp.c, autoconf.h[in], configure[.in], pcre/*

615) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. fix inconsistencies in [Cc]atchup and other menus
     ADD. cleaned up navigation between menus and commented existing code
     ADD. 'l'ist thread to pager
     ADD. '-' enter previous article to thread menu
     ADD. 'a', 'A', '?' searching to thread menu
     ADD. article position lost when cycling threading mode
     ADD. big code cleanup
     BUG. wrong values returned from show_page()
     BUG. core dump when using 'N' and 'P' on unavailable articles
     BUG. author search in group menu entered the article unlike Subject
          search
     BUG. -> on thread menu and art unavailable, screen redraw was needed
          to remove the +
     BUG. more bad handling of art unavailable on group page
     BUG. tiny memleak in read_input_history_file()
     BUG. various inconsistencies / minor errors in searching
     REM. unnecessary checks for error returns from my_malloc()
     REM. #ifdef SHOW_PROGRESS - it is on by default
     REM. auto_save_msg, it was not used
     FIX. tin.1, extern.h, menukeys.h, proto.h, tin.h, active.c, art.c
          attrib.c, config.c, filter.c, group.c, help.c, init.c, lang.c
          main.c, misc.c, newsrc.c, page.c, post.c, prompt.c, read.c
          save.c, search.c, select.c, sigfile.c, thread.c

614) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. show_score in thread/group-level
     ADD. GNKSA-checks for valid From/Sender/Approved
     FIX. extern.h, proto.h, tin.h, version.h, config.c, group.c, init.c
          lang.c, misc.c, post.c, thread.c, tincfg.tbl

613) Jeon Hyoung-Jo <hjjeon@cclab.kaist.ac.kr>
     ADD. -G cmd-line switch/getart_limit,use_getart_limit
          to limit the number of articles/group being fetched from
          the server
     FIX. extern.h, menukeys.h, art.c, config.c, group.c, help.c
          init.c, lang.c, main.c, tincfg.tbl

-- pre-1.4 release 981002 "Phobia" --

612) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. updated metamutt
     FIX. metamutt

611) Dirk Nimmich <nimmich@uni-muenster.de>
     ADD. -A cmd-line switch to force auth on connect
     FIX. extern.h, init.c, main.c, open.c

610) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. if the shell tin is running in is SIGHUP tin could fall into
          an endless loop
     FIX. read.c, signal.c

609) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. conversion tables for ibm437/ibm850 <-> iso-8859-1
     FIX. ibm437_l1.tab, ibm850_l1.tab, l1_ibm437.tab, l1_ibm850.tab
          l1_next.tab, next_l1.tab, misc.c

608) Urs Janssen <urs@tin.org>
     ADD. minor code cleanup
     ADD. <ESC> now aborts shell_escape '!' request
     ADD. updated pcre (1.09 -> 2.00)
     FIX. misc.c, signal.c, pcre/*

-- pre-1.4 release 980818 "Laura" --

607) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. updated metamutt
     FIX. metamutt

606) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. initialisation of h_addr_list was missing
     FIX. nntplib.c

605) Urs Janssen <urs@tin.org>
     ADD. minor code cleanup
     ADD. configure check for libuu, inet_aton()
     ADD. removed -C cmd-line flag (did the same as -l -n which is default)
     BUG. default signal-handler was missing
     FIX. configure[.in], autoconf.h[in], tin.h, init.c, mail.c, main.c
          page.c, open.c, nntplib.c, read.c, save.c, signal.c, strftime.c

604) Kazushi Marukawa <jam@pobox.com>
     ADD. speedup reading low/high marks for each group via GROUP
     FIX. extern.h, active.c, nntplib.c

-- pre-1.4 release 980730 --

603) Thomas E. Dickey <dickey@clark.net>
     BUG. spurious escaping of '<' and '>' in mailer commands
     FIX. misc.c

602) Urs Janssen <urs@tin.org>
     BUG. new my_strdup() didn't work on system which come with bcopy only
     BUG. declaration of sys_errlist didn't work on systems which need it
     BUG. in some cases newsrcs was written out even if '-X'-flag was
          present.
     ADD. minor code cleanup
     ADD. 'Z' mark group unread in top-level (select.c)
     FIX. bool.h, extern.h, menukeys.h, proto.h, tin.h, *.c

601) Nick Efthymiou <NEFT@pacbell.net>
     ADD. SCO-port
     BUG. possible curses calls in 'command-line-mode'
     BUG. memory leak in the TLI-code
     BUG. typo in the TLI interface
     BUG. fixed a few types (int -> pid_t/uid_t/...)
     FIX. init.c, misc.c, nntplib.c, prompt.c

600) Greg Berigan <gberigan@cse.unl.edu>
     ADD. support for persistent-headers
     ADD. minor code cleanup
     FIX. tin.h, page.c, post.c

599) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. random-sigs now allow different sigfixed-parts via
          random_sigdir/.sigfixed which has a higher precedence
          as ~/.sigfixed
     BUG. typo in vWriteFilterArray()
     FIX. filter.c, sigfile.c

598) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. speedup 'y'ank in
     FIX. select.c

597) Sven Paulus <sven@tin.org>
     BUG. possible buffer overrun
     FIX. init.c

596) Kazushi Marukawa <jam@pobox.com>
     BUG. tin now handles "LIST ACTIVE"/"GROUP" differences correct
     BUG. tins mailgroup feature was broken
     BUG. parse_headers() used MIME-decoded data which might be troublesome
     ADD. '-l' cmd-line switch to turn on "LIST ACTIVE" only-mode
     ADD. changed '-R' to read saved news (-S) off-line
     ADD. -s option to -R to point -R to the saved spool
     FIX. extern.h, active.c, art.c, group.c, inews.c, init.c, mail.c
          main.c, misc.c, memory.c, newsrc.c, open.c, page.c, post.c
          read.c, refs.c

595) Jason Faultless <jason@radar.tele2.co.uk>
     Kazushi Marukawa <jam@pobox.com>
     BUG: possible buffer overflow in rfc1521_decode()
     ADD. Made I/O code fully dynamic. Fixed header joining in all cases.
          Cured various related I/O & fd problems
     ADD. 'S'ave tagged in pager
     ADD. Various minor cleanups and fixes
     FIX. extern.h, menukeys.h, proto.h, tin.h, active.c, art.c, auth.c
          feed.c, group.c, lang.c, mail.c, main.c, misc.c, newsrc.c
          nntplib.c, open.c, page.c, post.c, prompt.c, read.c, rfc1521.c
          save.c, search.c, thread.c, xref.c

594) Phil Edge <phil@edge.demon.co.uk>
     ADD. minor code cleanup
     FIX. post.c

593) Dean Takemori <dean@uhheph.phys.hawaii.edu>
     ADD. better libuu support
     FIX. save.c

-- pre-1.4 release 980618 --

592) Urs Janssen <urs@tin.org>
     BUG. defines for HAVE_SETPGRP and SETPGRP_VOID were missing
     ADD. --disable-xhdr-xref switch to configure in case it slows down
          your reading process too much.
     ADD. check for empty domain_name is now done after site_config-file
          is read (simplifies binarie dist.)
     ADD. changed msg_add_x_headers() that "x_headers=foo" without
          a ':' in it is no longer treated as filename in the current
          dir, you could still use '/' or '~' to indicate that's a
          filename
     ADD. rewrote my_strdup() (little speedup)
     ADD. minor code cleanup
     FIX. configure[.in], autoconf.h[in], extern.h, init.c, lang.c, post.c
          string.c

591) Sven Paulus <sven@tin.org>
     Urs Janssen <urs@tin.org>
     ADD. y2k compliance
     FIX. post.c, open.c

590) Cameron Perkins <erasmus@cc.gatech.edu>
     BUG. when entering a group while the server is receiving a new article
          this article could be marked as read without having a chance to
          read it.
     FIX. art.c

589) Bernhard Oemer <oemer@tph.tuwien.ac.at>
     ADD. on catchup_read_groups=ON mark the whole group as read
          instead of each article
     FIX. misc.c

588) Kyle Rhorer <rhorer@clarc.org>
     ADD. just stat article before piping it instead of reading
          it to check if it still exists.
     FIX. feed.c, screen.c

587) Kazushi Marukawa <jam@pobox.com>
     ADD. allow ^U and ^W in string-prompts
     FIX. getline.c

586) Thomas E. Dickey <dickey@clark.net>
     BUG. use of null pointer in sprintf()
     BUG. misplaced fclose
     BUG. correct conflicting definitions of isascii
     BUG. duplicate switch cases
     ADD. case to the configure test for compiler options (HP-UX 10.*)
     ADD. improve check for HP curses, check for cursesX before curses
     ADD. code cleanup (fix misuses of const, removed NULL as a synonym for
          (char*)0, ...)
     FIX. aclocal.m4, configure[.in], autoconf.h[in], extern.h, nntplib.h
          tin.h, Makefile[.in], art.c, filter.c, header.c, init.c, mail.c
          makecfg.c, misc.c, newsrc.c, nntplib.c, nrctbl.c, post.c, read.c
          save.c, select.c, sigfile.c, tcurses.c, thread.c

-- pre-1.4 release 980514 --

585) Stanislav Latishko <sl@sl.spb.su>
     BUG. possible NULL-pointer reference in tind
     ADD. allow/expand "\t" into '\t' in strfquote()
     FIX. misc.c, refs.c

584) Simon Hosie <gumboot@clear.net.nz>
     ADD. minor code cleanup
     FIX. post.c

583) Urs Janssen <urs@tin.org>
     BUG. compile with -DDONT_HAVE_PIPING didn't work
     BUG. broken newsrc-lines could cause a core-dump
     BUG. if starting with on command-line group, tin doesn't display
          any groupnames after leaving group-level
     BUG. no check for empty but present Followup-To line if posting
          to multiple newsgroups
     ADD. disable etiquette warning if beginner_level is off
     ADD. cleaned up repost_article() to meet alt.humor.best-of-usenet
          criteria
     ADD. strip doubled newsgroups from Followup-To: before checking
          if it contains several groups
     ADD. searching in posted_message-file disabled
     ADD. allow <TAB> as fieldseparator in ~/.newsauth
     ADD. check for empty / all whitespace Subject
     ADD. updated pcre (1.07 -> 1.09)
     ADD. -X cmd-line switch
     ADD. minor code cleanup
     FIX. extern.h, menukeys.h, proto.h, active.c, art.c, auth.c
          feed.c, help.c, lang.c, main.c, misc.c, newsrc.c, post.c
          read.c, save.c, select.c, xref.c, pcre/*

581) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. depending on the auth-request authentication sometimes failed
     BUG. article was not resent on authentication request after POST command
     ADD. prompt default user name on authentication request
     FIX. proto.h, auth.c, inews.c, open.c, prompt.c

580) Kazushi Marukawa <jam@pobox.com>
     BUG. writing out of final ".\r\n" could fail on some systems.
     BUG. mail_address was extracted after MIME-decoding From:-line
          but parse_from() can't handle multiple '@'/'('
     BUG. @LIBS@ was missing in makecfg make-rule
     BUG. From:-line was not MIME-encoded in NOV-file entries
          created by tin
     FIX. Makefile[.in], art.c, nntplib.c, post.c

579) Dirk Nimmich <nimmich@uni-muenster.de>
     Urs Janssen <urs@tin.org>
     BUG. when saving/piping MIME-encoded articles they were automatically
          decoded but that's only useful if any post-processing is done
     FIX. extern.h, proto.h, charset.c, feed.c, lang.c, open.c, page.c
          save.c, search.c

578) Hans Werner Strube <strube@physik3.gwdg.de>
     BUG. unset TIN_DEFAULTS_PATH instead of TIN_DEFAULTS_DIR used
          to locate the system-wide tin.defaults file
     FIX. tin.h

577) Sven Paulus <sven@tin.org>
     ADD. spamtrap_warning_addresses option to .tin/tinrc
     ADD. mm_charset option tin.defaults
     BUG. off by one error in option numbers for OPT_CHAR/OPT_NUM
     BUG. MIME type and MIME encoding behaviour was a little confusing
     FIX. extern.h, tin.h, config.c, inews.c, init.c, lang.c, post.c
          prompt.c, rfc1522.c, tincfg.tbl

576) Philipp Mergenthaler <s_mergen@ira.uka.de>
     BUG. art_cnt[] was to small to hold terminating '\0'
     FIX. group.c

575) Dirk Nimmich <nimmich@uni-muenster.de>
     Jens Wuepper <wuepper@math.uni-hamburg.de>
     BUG. !alnum-chars were not always MIME encode where they should
     FIX. rfc1522.c

574) Helmut.Bohr@t-online.de (Helmut Bohr)
     ADD. configure check for pgp-5
     FIX. configure[.in], autoconf.h[in], pgp.c

573) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. updated metamutt
     FIX. metamutt

572) Thomas E. Dickey <dickey@clark.net>
     BUG. if giving syntactically wrong args to some configure options
          it didn't fallback to a useful value.
     FIX. aclocal.m4,configure[.in]

571) Jason Faultless <jason@radar.tele2.co.uk>
     FIX. Crash on 'L' when message already read
     ADD. Better fix for message bar crash from 468/9
     ADD. minor cleanup

570) Michael Stenns <stenns@hal.tci.uni-hannover.de>
     BUG. negative numerical timezone information was misinterpreted
          on systems with unsigned time_t (i.e. OpenVMS)
     FIX. parsedate.y

569) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. charset/encoding mismatch considered an error even when there
          are no 8bit characters in the body
     ADD. check for 7bit encoding when posting 8bit article
     FIX. extern.h, lang.c, post.c

568) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. removed D_NAMLEN() macro
     FIX. tin.h, active.c, mail.c, open.c

567) Thomas E. Dickey <dickey@clark.net>
     BUG. check for color support was broken for old ncurses version
     FIX. aclocal.m4, configure[.in]

-- pre-1.4 release 980226 --

566) Michael Stenns <stenns@hal.tci.uni-hannover.de>
     ADD. fallback to "XHDR Xref" (if possible) if Xref is no present
          in the overviewfile
     FIX. lang.c, xref.c

565) Kirk Bauer <kirk@kaybee.org>
     Urs Janssen <urs@tin.org>
     ADD. pass newsgroup name as first argument to external sigfile creator
     FIX. sigfile.c

564) Thomas E. Dickey <dickey@clark.net>
     ADD. missing strerror() for SunOS 4.x
     ADD. new/improved configure script checks for curses & termcap libraries
          and headers.
     ADD. configure options/checks for default editor, mailer and mailpath
     ADD. configure check for curses-color support
     ADD. ifdef in tin.h to reduce the noise when compiling on SunOS 4.x
     FIX. aclocal.m4, configure[.in], autoconf.h[in], proto.h, tin.h
          screen.c, string.c

563) Florian Kuehnert <sutok@gmx.de>
     Urs Janssen <urs@tin.org>
     ADD. skip article header when spell checking
     BUG. append_file() was broken
     FIX. misc.c

562) Sven Paulus <sven@tin.org>
     ADD. 'z' (lynx style) as abort-key
     FIX. read.c

561) Yuri Kuzmenko <yuri@killer.cracksoft.kiev.ua>
     BUG. tin sometimes freezes if getting a SIGHUP
     FIX. init.c, open.c, signal.c

560) Borislav Deianov <borislav@CS.Cornell.EDU>
     BUG. tin retrys to connect after getting a 503 response from the
          server
     FIX. nntplib.c, open.c

559) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. screen not cleared when scrolling by page
     BUG. screen not redrawn when forcing redraw with
          iKeyConfigRedrawScr
     ADD. check for US-ASCII when posting with non-7bit encoding
     FIX. extern.h, config.c, lang.c, post.c

558) Zbigniew Zych <zych@onet.pl>
     Florian Kuehnert <sutok@gmx.de>
     BUG. typos
     FIX. lang.c, README

557) Urs Janssen <urs@tin.org>
     ADD. updated pcre (1.05 -> 1.07)
     FIX. pcre/*

556) Thomas E. Dickey <dickey@clark.net>
     BUG. sh_format() escaped already escaped chars
     FIX. save.c, string.c

555) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. rule.icase sometimes used uninitialized
     FIX. filter.c

554) Henryk Bochmann <bochmann@TUDURZ.urz.tu-dresden.de>
     Michael Stenns <stenns@hal.tci.uni-hannover.de>
     Thomas E. Dickey <dickey@clark.net>
     Urs Janssen <urs@tin.org>
     BUG. preprocessor symbol for OpenBSD was missing
     ADD. check for HP-UX >=10
     BUG. #ifdef NO_SHELL_ESCAPE was missing
     BUG. TIN_DEFAULTS_DIR didn't get defined due misspelling
     BUG. removed misplaced brace
     BUG. no automatic aggregate initialization
     FIX. init.c, misc.c, select.c, tin.h, autoconf.h[in]

-- pre-1.4 release 980202 --

553) Michael Stenns <stenns@hal.tci.uni-hannover.de>
     ADD. VMS port
     FIX. several supplied patches

552) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. default_filter_kill_case and default_filter_select_case
          ignored, interpreted wrong (ON must be false)
     BUG. empty scope written to filter file
     FIX. config.c, filter.c

551) Borislav Deianov <borislav@CS.Cornell.EDU>
     ADD. fixed display-gaps caused by missing articles in the
          threading tree
     FIX. thread.c

550) Urs Janssen <urs@tin.org>
     ADD. Support for configure --with-defaults-dir, used for
          tin.defaults, new Makefile options to install this file
     BUG. cleanup of init.c
     FIX. Makefile, configure.in, Makefile.in, init.c

549) Sven Paulus <sven@tin.org>
     ADD. new system-wide defaults file "tin.defaults" (primarily
          aimed for making binary distributions of TIN)
     BUG. GetConfigValue() was more than useless if compiled without
          INN library
     FIX. Makefile, tin.defaults, autoconf.hin, extern.h, proto.h
          tin.h, makefile.in, art.c, header.c, inews.c, init.c
          nntplib.c, nntpw32.c

548) Jungshik Shin <jshin@pantheon.yale.edu>
     ADD. MIME related documentation updated
     FIX. tin.1, lang.c, rfc1521.c, rfc1522.c

547) Borislav Deianov <borislav@CS.Cornell.EDU>
     ADD. rewrote active file reread-stuff
     REM. file-pointer-fix from patch nr. 511
     FIX. several supplied patches

546) Urs Janssen <urs@tin.org>
     ADD. minor code cleanup
     FIX. several patches

545) Branden Robinson <branden@purdue.edu>
     ADD. iKeyPostponed2 ('O')
     FIX. menukeys.h

544) Thomas E. Dickey <dickey@clark.net>
     BUG. some display-problems with --enable-curses and metamail
     FIX. feed.c, page.c

543) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. metamutt - a shell script to call mutt as MIME-parser
     FIX. metamutt

542) Ulli Horlacher <framstag@moep.bb.bawue.de>
     ADD. $METAMAIL to set external MIME-parser (i.e. metamutt vs. metamail)
     FIX. page.c

541) Sven Paulus <sven@tin.org>
     BUG. deep threads could thrash display
     FIX. thread.c

-- pre-1.4 release 980117 --

540) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. 'Try again (y/n)' loop if writing newsrc fails due to full disk
     ADD. Abort save of newsrc file if 0 groups written
     BUG. Couple of very obscure problems related to new newsgroup
          handling
     BUG. Groups mistakenly reported as new by the server could
          appear more than once in selection list
     FIX. tin.1, extern.h, proto.h, active.c, config.c, lang.c, misc.c
          newsrc.c, select.c

539) Borislav Deianov <borislav@CS.Cornell.EDU>
     BUG. the rest of the keycodes of an arrow key which triggers
          rereading of the active file at group selection level disappear
          by the time get_arrow_key() is called
     FIX. select.c

538) Darrell Tangman <darrelltman@mindspring.com>
     BUG. local caching of newsgroups file didn't try to read newsgroups
          via NNTP if no local copy exists and -q flag was used
     FIX. main.c, open.c

537) Sven Paulus <sven@tin.org>
     ADD. cosmetic-patch for start-up message
     ADD. rearranged order of options 'M'enu items
     FIX. open.c, tincfg.tbl

536) Christian Haul <haul@informatik.tu-darmstadt.de>
     Urs Janssen <urs@tin.org>
     ADD. use mail_address for pgp-key if set
     FIX. pgp.c, misc.c, proto.h

535) Urs Janssen <urs@tin.org>
     BUG. 'u'nsubscribing from bogus groups ('D') resets the .newsrc
     BUG. 'u'nsubscribing fails in show_only_unread=OFF mode
     ADD. joined GLOBAL OPTIONS MENU and TINRC CONFIGURABLE VARIABLES
          in the man page
     ADD. info_in_last_line ('i')
     FIX. extern.h, menukeys.h, config.c, group.c, init.c, select.c
          thread.c, tin.1

534) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. missing set_signals_page() call added
     ADD. check against active-file if using AUTOSUBSCRIBE and reading from
          local spool.
     ADD. documentation updated
     FIX. several supplied patches

533) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. command-line flags overridden by tinrc values
     BUG. screen not initialized to default attributes when using color
     BUG. documentation for default_filter_kill_header and
          default_filter_select_header outdated in man page
     ADD. whitespace quoting and cleanup
     FIX. filter.c, main.c, tin.1

-- pre-1.4 release 980105 --

532) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. A NULL read following a partial read would hang tin with
          a malloc() failure
     FIX. read.c

531) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. charset mismatch when parameter value is a quoted string
     FIX. rfc1521.c

530) Urs Janssen <urs@tin.org>
     BUG. Newsgroups:-line was present in mail-replies, renamed it to
          X-Newsgroups (RFC 822 doesn't define a Newsgroups:-header)
          for mail_to_author and removed it from mail_to_someone where
          it's usually present in the body.
     FIX. post.c

529) Thomas E. Dickey <dickey@clark.net>
     ADD. use new function sh_format(), to quote filenames that require it
          for shell commands.
     ADD. implement '?','/' in help screen.
     BUG. remove spurious #include's for <stdarg.h> that may prevent compile
          with unproto on SunOS.
     ADD. use make-flags substitution in makefiles
     FIX. several supplied patches

528) Jason Faultless <jason@radar.tele2.co.uk>
     Ralf Doeblitz <doeblitz@gmx.de>
     Thomas E. Dickey <dickey@clark.net>
     BUG. regex search pattern in '=' (select thread) were
          embedded in *%s*
     FIX. tin.h, filter.c, group.c

527) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. 'A'uthor search backwards might produce an
           invalid offset into arts[]
     FIX. search.c

526) Karlo Gross <kg@orion.ddorf.rhein-ruhr.de>
     BUG. -N command-line switch was broken
     FIX. extern.h, init.c, main.c, save.c

525) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. blank in search pattern not quoted when using regexp
     BUG. tin hangs if ~.newsrc doesn't exist
     FIX. proto.h, misc.c, newsrc.c, search.c

524) Thomas E. Dickey <dickey@clark.net>
     BUG. printed clrtoeol() also on lines which were exactly screen width
          wide -> following line was cleared
     FIX. tcurses.h, group.c, tcurses.c, thread.c

523) Urs Janssen <urs@tin.org>
     ADD. minor code cleanup:
          - removed ADD_ADDRESS-code
          - removed ACTIVE_DEMON-code
          - read command-line-flags before reading any config-files
          - adjusted mailbox-separator
          - moved some strings
          - updated manpage
     FIX. several patches

-- pre-1.4 release 971224 --

522) Urs Janssen <urs@tin.org>
     ADD. updated pcre (1.02 -> 1.05)
          (see also 518)
     FIX. pcre/*

521) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. -z was broken
     FIX. main.c

520) Park Sang Jin <sjpark@gura.kaist.ac.kr>
     ADD. mutt like threading tree
     FIX. thread.c

519) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. conversion of From: lines to "%s (%s)" in filter entries
     ADD. new filter type for message-id only (msgid_only)
     FIX. extern.h, tin.h, filter.c lang.c

518) Thomas E. Dickey <dickey@clark.net>
     BUG. typo in configure script that set the USE_BCOPY macro
     ADD. move include for pcre.h down past system headers
     ADD. undef for memmove, in case the configure test doesn't
          find that the system defines a macro for it.
     ADD. reduce the ifdef's in pcre.c using macro DPRINTF
     ADD. include for <sys/types.h> before <stdlib.h>
     ADD. fall-back definition for offsetof
     FIX. configure[.in], tin.h, internal.h, pcre.c, pcre.h, pcretest.c
          nntplib.c, nntpw32.c

517) Cameron Perkins <erasmus@cc.gatech.edu>
     BUG. used fclose() to close a pipe
     FIX. sigfile.c

-- pre-1.4 release 971215 --

516) Janne Kiviluoto <jajoki@utu.fi>
     ADD. some code was missing for compilation on Amiga gcc.
     FIX. tnntp.h, version.h, joinpath.c

515) Oliver B. Warzecha <obw@amarok.ping.de>
     BUG. score for articles was only reset when article was unread.
     ADD. some minor AmigaOS fixes
     ADD. unnecessary calls to auto_select_articles() removed, function
          itself was only a dummy - removed.
     FIX. filter.c, misc.c, group.c, read.c, open.c, smakefile

514) Thomas E. Dickey <dickey@clark.net>
     ADD. better configure-script test for yacc vs bison.
     ADD. moved the compiler-options out of conf-tin into configure.in
     ADD. split up one of the CF_CHECK_DECL chunks in configure.in
     BUG. modify pcre to get rid of the places where it removes 'const' from
          variables.
     BUG. fix the signed/unsigned warnings in pcre.
     BUG. fix the uninitialized-variables warnings in pcre.
     FIX. conf-tin, aclocal.m4, configure[.in], proto.h, tin.h, config.c
          filter.c, nntplib.c, regex.c, pcre.c, pcre.h, pcreposix.c
          pcretest.c, pgrep.c, study.c

513) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. ESC didn't abort backward search
     FIX. search.c

512) Ragnar Hojland Espinosa <ragnar@redestb.es>
     ADD. pgp-5 support
     FIX. pgp.c

511) Borislav Deianov <borislav@CS.Cornell.EDU>
     BUG. tin failed to discard "503 Timeout.." and resend last command
          again upon reconnection.
     BUG. nntp_rd_fp is invalid after reconnection
     ADD. auto_reconnect option in tinrc
     FIX. extern.h, config.c, init.c, lang.c, nntplib.c, open.c
          tincfg.tbl

510) Thomas E. Dickey <dickey@clark.net>
     ADD. rewrote some configure checks
     FIX. several supplied patches

509) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. random filter type (msgid or msgid_last) was created when
          creating new filter entries with message-id filtering.
     FIX. filter.c

-- pre-1.4 release 971204 --

508) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. 's'ave article in thread-level always saved base article
     FIX. thread.c

507) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. group=hierarchy.* in filter-editor was always changed to
          group=*
     FIX. filter.c

506) Urs Janssen <urs@tin.org>
     ADD. minor code cleanup (removed obsolete XMOTD/XUSER-code,
          man-page-updated, ...)
     FIX. several patches

505) Holger Schif <rastaman@eikon.e-technik.tu-muenchen.de>
     BUG. doesn't compile if configured with --disable-nntp
     FIX. open.c, read.c, tin.h

504) Jungshik Shin <jshin@pantheon.yale.edu>
     BUG. $NNTPSERVER overrides -g if using external inews
     FIX. nntplib.c

503) Andreas Kies <andi@muenchen.roses.de>
     BUG. generated corrupted index files
     FIX. art.c

-- pre-1.4 release 971127 --

502) Sven Paulus <sven@tin.org>
     ADD. -p cmd-line flag
     FIX. Makefile, extern.h, Makefile[.in], init.c, main.c, nrctbl.c
          open.c

501) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. moved some strings to lang.c
     ADD. filtering on Message-ID and last References: entry only
     ADD. missing meta-chars to quote_wild()
     FIX. extern.h, tin.h, filter.c, misc.c

500) Thomas E. Dickey <dickey@clark.net>
     BUG. wrong initialization of colors for the normal (non-ncurses4.1)
          case.
     BUG. missing initialization of posted[] array end-marker.
     ADD. generate pcre/Makefile (needed for --srcdir option, as well as to
          solve various portability problems).
     ADD. configure test for bcopy/memmove
     ADD. minor fix for ncurses vs gpm library configure-test
     ADD. remove configure-macro for regular expressions
     ADD. improved test for 'union wait' in configure-script
     FIX. aclocal.m4, configure.[in], makefile[.in], pcre/internal.h
          pcre/pcre.c, pcre/Makefile.in, color.c, misc.c, post.c, tcurses.c
          Makefile[.in]

499) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. Autosubscribed groups are not postable
     BUG. Killed articles incorrectly threaded
     BUG. 'u' crashed on killed parents
     ADD. Better behaviour on 'Y'
     ADD. Some new DEBUG_NEWSRC code

498) Ralf Doeblitz <doeblitz@gmx.de>
     BUG. fixed typo in msgid filtering code
     FIX. filter.c

497) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. included pcre into amiga-version
     BUG. moved misplaced label
     FIX. amiga.h smakefile open.c

496) Enrik Berkhan <enrik@tin.org>
     Sven Paulus <sven@tin.org>
     Urs Janssen <urs@tin.org>
     ADD. minor man-page update
     BUG. fixed wrong type in fgets_hdr()
     BUG. fixed 12pm bug in parsedate.y
     ADD. check for $YACC on HP-UX/cc
     FIX. prasedate.y, read.c, tin.1, conf-tin

-- pre-1.4 release 971123 --

495) Sven Paulus <sven@tin.org>
     ADD. changed regex code to Philip Hazel's <ph10@cus.cam.ac.uk>
          pcre library, which provides enhanced capabilities and
          speed improvements. pcre is now included within TIN
          distribution and should compile on all platforms
     ADD. cache for compiled regexp patterns
     FIX. filter.c, regex.c, new pcre-subdirectory

494) Sven Paulus <sven@tin.org>
     ADD. new config option "add_posted_to_filter"
     BUG. quick_filter_select_posted_art() didn't add group name to scope
     FIX. extern.h, proto.h, config.c, filter.c, init.c, lang.c, post.c
          tincfg.tbl

493) Jungshik Shin <jshin@pantheon.yale.edu>
     ADD. detection of multi-line Content-Type:-header
     FIX. proto.h, rfc1521.c, read.c

492) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. can't leave group via left arrow when answering catch-up-question
          with no
     BUG. crash when 'n' points to bogus group
     FIX. group.c, select.c

491) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. check for circular references
     FIX. refs.c

490) John M. Flinchbaugh <glynis@hjsoft.com>
     BUG. calling invoke_cmd() with empty argument to start ispell
     FIX. misc.c

489) Thomas E. Dickey <dickey@clark.net>
     BUG. remove special-case for -I/usr/local/include
     BUG. minor fix to configure-test for union wait.
     BUG. remove redundant aggregate initialization in auth.c
     FIX. aclocal.m4, auth.c, group.c

488) Urs Janssen <urs@tin.org>
     ADD. check for initial or reconnection
     ADD. check for empty .newsrc (needed for -n switch)
     ADD. minor code cleanup
     BUG. fixed return value in case of !SIGUSR1
     FIX. autoconf.h[in], extern.h, open.c, misc.c, filter.c, post.c
          active.c, configure[.in]

487) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. read/post problems with ANU NEWS-servers
     BUG. wrong message counter while searching
     FIX. open.c, search.c

486) Yuri Kuzmenko <yuri@cs.cracksoft.kiev.ua>
     ADD. removed message_delay upon superseding/reposting
     ADD. clean program termination when receiving a SIGTERM
     ADD. config switch for PgDn behaviour at end of article
     FIX. config.c, page.c, post.c, signal.c, tincfg.tbl

485) Torsten Schneider <schneidt@mabi.de>
     BUG. advertising switch was not respected
     FIX. config.c

-- pre-1.4 release 971106 --

484) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. rules for emacs-tags
     FIX. Makefile.in

483) Ralf Doeblitz <doeblitz@gmx.de>
     Jason Faultless <jason@radar.tele2.co.uk>
     BUG. missing check for NULL-pointer references
     FIX. refs.c

-- pre-1.4 release 971105 --

482) Ralf Doeblitz <doeblitz@gmx.de>
     ADD. removed line-counter in body-search
     FIX. screen.c, search.c

481) Sven Paulus <sven@tin.org>
     ADD. server info to bug-report
     ADD. moved some strings to lang.c
     ADD. moved aliased group 'warning' to select.c
     BUG. didn't notice no post if nnrpd was invoked via mode reader
     FIX. extern.h, tin.h, init.c, lang.c, misc.c, open.c, post.c
          prompt.c, select.c, active.c

480) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. search in 'M'enu ends in an endless loop if no match was found
     BUG. off by one error when jumping direct to a 'M'enu option
     ADD. runtime check if color is supported
     FIX. search.c, extern.h, proto.h, color.c, config.c, group.c, lang.c
          misc.c, page.c, select.c, tcurses.c, thread.c

479) Andrey A. Chernov <ache@null.net>
     BUG. calling beep() when initscr() not called
     BUG. division by zero (COLORS value if !has_colors())
     FIX. color.c screen.c

478) Thomas E. Dickey <dickey@clark.net>
     ADD. bypasses the color code if there are no colors active
     FIX. color.c

477) Urs Janssen <urs@tin.org>
     BUG. pointer into article_array could get negative
     FIX. thread.c

476) Darrell Tangman <darrelltman@mindspring.com>
     BUG. wait_message() call with two few arguments
     FIX. xref.c

-- pre-1.4 release 971102 --

475) Urs Janssen <urs@tin.org>
     ADD. better test if Sender is needed
     FIX. inews.c

474) Thomas E. Dickey <dickey@clark.net>
     ADD. "-lgen" to $LIBS if needed for linking with the regexpr.h
          style of regular expressions.
     ADD. search commands to the config screen
     BUG. corrects interpretation of the --without-ncurses configure option.
     BUG. enables/disables ncurses mouse as indicated by the config setting
          use_mouse.
     FIX. aclocal.m4, configure[.in], extern.h, proto.h, config.c, search.c
          tcurses.c

473) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. news_headers_to_display support completely rewritten.
     ADD. continuation lines support
     ADD. ^H now toggles the display of headers (it doesn't display them only
          once as before.
     ADD. news_headers_to_[not_]display configurable using "M"enu
     ADD. set a useful default value for news_headers_to_display
     REM. highlight_xcommentto and show_xcommentto merged to show_xcommentto,
          which displays X-Comment-To in the upper right corner.
     FIX. page.c and some other files

472) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. Sort by score
     ADD. minor cleanup
     FIX. several supplied patches

471) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. changed pager layout
     ADD. col_newsheaders configurable using "M"enu
     BUG. light-colors had wrong index
     FIX. color.c, tincfg.tbl, lang.c, page.c extern.h

470) Urs Janssen <urs@tin.org>
     ADD. unlink_article also works for .letter
     ADD. hide built_in_inews if running spool only
     ADD. minor code cleanup
     FIX. several patches

469) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. Support for 'x' and '=' active file flags.
          More informative flags on the selection page and
          group page
     BUG. Suppress -v when not in batch_mode
     BUG. Reconnection timeouts sometimes broken
     BUG. formatting chars in message bar could cause a crash
     ADD. Sub/Unsub pattern now accept full group lists
     ADD. code cleanup

468) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. cleanup newsrc parsing
     ADD. 'K' in thread menu now skips to next unread
     BUG. no check for full disk when getting article
     BUG. bogus group removal msg not displayed properly
     BUG. aborting during save of articles would produce
          unpredictable effects
     BUG. formatting chars in subject crashed message bar
     BUG. possible crash at startup in some cases
     BUG. 'c'atchup group returns to selection page even if you
          answered 'n' to confirmation
     ADD. minor code cleanup
     FIX. several supplied patches

467) Urs Janssen <urs@tin.org>
     ADD. minor code cleanup; cosmetic patch
     FIX. several supplied patches

466) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. cleanup *_message()
     ADD. joined single letter key prompts
     ADD. renamed stuff_nntp() to get_article()
     BUG. show_progress sometimes trashed screen-layout
     FIX. several supplied patches

465) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. varargs *_message() functions
     BUG. 'm'ove group was broken
     ADD. minor code cleanup; cosmetic patch
     FIX. several supplied patches

464) Greg Berigan <gberigan@cse.unl.edu>
     ADD. replaced X-Newsreader:/X-Mailer: by User-Agent:-header (RFC 1945)
     FIX. version.h, post.c

463) Urs Janssen <urs@karlsruhe.org>
     BUG. no line-warp after "Xref: not supported" warning
     FIX. xref.c, lang.c, extern.h

462) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. rewrite all I/O and NNTP data handling
     ADD. extensive internal changes
     ADD. new -d and -Q options
     ADD. code clean-up
     REM. all references to obsolete 'cdtin'

461) Thomas E. Dickey <dickey@clark.net>
     ADD. modify ncurses/gpm link test to work with recent changes to ncurses
     ADD. improve ifdef-test for union wait.
     ADD. modify CF_WITH_PATH to work better when the prefix that's used in
          the default value is not given.
     ADD. identify ncurses version (for bug reports)
     FIX. aclocal.m4

460) Urs Janssen <urs@tin.org>
     BUG. check for gethostbyname was missing
     FIX. configure[.in]

459) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. improved scoring
     FIX. several supplied patches

458) Carsten Theis <iw250@advs2.gm.fh-koeln.de>
     BUG. X-Superseded-By:-header is broken (introduced in 443)
     FIX. post.c

--unoff BETA release 971018 --

457) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. changed reread_active routine to old 1.2
     FIX. active.c

456) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. scoring
     FIX. tin.h, filter.c, misc.c

455) Sven Paulus <sven@tin.org>
     ADD. improved get_initials()
     FIX. misc.c

454) Thomas E. Dickey <dickey@clark.net>
     ADD. rewrote prototype for OUTC_ARGS
     FIX. aclocal.m4, tin.h

--unoff BETA release 970930 --

453) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. cosmetic patch
     FIX. art.c, init.c, main.c, misc.c, signal.c

452) Urs Janssen <urs@tin.org>
     ADD. replaced explicit 'TRUE' comparisons
     BUG. adjusted prototype for OUTC_ARGS (needed for HP-UX)
     FIX. aclocal.m4, curses.c, feed.c, filter.c, page.c, rfc1522.c

451) Branden Robinson <branden@purdue.edu>
     BUG. newline missing after txt_info_postponed
     FIX. lang.c

450) Sven Paulus <sven@tin.org>
     BUG. forgery was broken (introduced in 440)
     FIX. post.c

449) Thomas E. Dickey <dickey@clark.net>
     BUG. conflict in config file between termcap and curses
          version's handling of default color values
     BUG. 'M' config menu isn't scrollable in curses.
     BUG. call on get_arrow_key() that requires an extra
          <return> after a shell command.
     ADD. call to reset keypad mode in curses after a shell command
     ADD. modify tcurses.c version of my_printf, etc., to turn off raw mode
          if they're called when the program is in command-line (or batch)
          mode.
     FIX. Makefile, aclocal.m4, configure[.in], extern.h, proto.h, tin.h
          makefile[.in], charset.c, color.c, config.c, curses.c, init.c
          lang.c, makecfg.c, page.c, prompt.c, signal.c, tcurses.c, thread.c

448) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. minor code cleanup (check for non-printable chars)
     FIX. group.c, page.c, screen.c, thread.c

447) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. minor makefile-tuning
     FIX. smakefile

--unoff BETA release 970923 --

446) Ralf Doeblitz <r.doeblitz@tu-bs.de>
     Urs Janssen <urs@karlsruhe.org>
     BUG. several buffer overflows possible [partial fix only]
     FIX. screen.c, misc.c, nntplib.c, rfc1522.c

445) Sergey Shkonda <serg@bcs.zp.ua>
     Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. used isprint() instead of my_isprint()
     FIX. proto.h, charset.c, getline.c, group.c, misc.c, page.c
          screen.c, thread.c

444) Darrell Tangman <darrelltman@mindspring.com>
     ADD. local caching of overview-files if reading via NNTP
     FIX. extern.h, art.c, auth.c, config.c, init.c, lang.c, mail.c
          main.c, misc.c, open.c, select.c, tincfg.tbl

443) Carsten Theis <iw250@advs2.gm.fh-koeln.de>
     ADD. removed useless call of get_from_name() in make_path_header()
     FIX. post.c

--unoff BETA release 970922 --

442) Sven Paulus <sven@karlsruhe.org>
     Urs Janssen <urs@karlsruhe.org>
     BUG. quoting of quoted lines didn't strip tailing space from
          quote_chars
     BUG. minor code cleanup (moved misplaced label, commented out
          buggy code)
     FIX. attrib.c, misc.c, post.c

441) Vincent Lefevre <vlefevre@ens-lyon.fr>
     BUG. typo
     FIX. lang.c

440) Sven Paulus <sven@karlsruhe.org>
     BUG. superseding/cancelling didn't work when one the groups
          was not contained in active file
     BUG. typo in lang.c
     BUG. garbled display when asking if .newsrc should be created
     BUG. removed where "~" was used instead of homedir
     BUG. When an article was piped and the message "Press <RETURN>
          to continue..."  appeared, if an arrow key was pressed,
          arbitrary commands were executed.
     BUG. tin did not warn you if you tried to save into a directory
          and not into a file.
     ADD. when window was or got too small, tin SIGSEGVd, now tin
          exits properly
     ADD. set From:-address on per-group basis in attributes file
     ADD. 'y' as an alternative to 'p' for mutt-users :-)
     ADD. checking on startup, if window is large enough to run tin
     FIX. tin.h, proto.h, attributes.c, post.c, lang.c

--unoff BETA release 970916 --

439) Martin Buck <martin-2.buck@student.uni-ulm.de>
     BUG. joining of continued header-lines didn't work
     FIX. art.c

438) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. closed possible security hole with -DEBUG_NEWSRC
     ADD. minor code cleanup (moved some strings)
     ADD. '^O' to thread-'l'evel
     ADD. check if posting is allowed before calling several posting
          routines
     FIX. configure[.in], autoconf.h[in], extern.h, menukeys.h, tin.h
          config.c, feed.c, lang.c, main.c, newsrc.c, page.c, post.c
          select.c, thread.c

437) Sven Paulus <sven@karlsruhe.org>
     BUG. -c was broken
     FIX. newsrc.c

--unoff BETA release 970911 --

436) Thomas E. Dickey <dickey@clark.net>
     BUG. on articles with an '*' in color on the last line, color isn't
          reset after that point
     FIX. color.c, tcurses.c

435) Patrick St. Jean <stjeanp@pdq.net>
     ADD. failure message for when a news server rejects authentication
          information
     FIX. extern.h, auth.c, lang.c

434) Sven Paulus <sven@karlsruhe.org>
     ADD. quote signatures/display signatures switch
     FIX. extern.h, proto.h, config.c, init.c, lang.c, misc.c, page.c
          post.c, tincfg.tbl

433) Oliver B. Warzecha <obw@amarok.ping.de>
     BUG. Amiga-port had problems with stat()/fstat()
     ADD. minor code cleanup
     FIX. amiga.h, tin.h, smakefile, amiga.c, save.c

432) Thomas E. Dickey <dickey@clark.net>
     Andrey A. Chernov <ache@null.net>
     BUG. backspace key didn't work with curses
     BUG. ncurses.h wasn't included (needed by old ncurses versions)
     ADD. use ncurses 4.1 extension use_default_colors()
     ADD. configure script check to (try to) set compiler options for
          ANSI mode
     BUG. core-dump in curses-configuration due to printing the whole
          intro page as one chunk
     FIX. aclocal.m4, configure[.in], autoconf[.hin], extern.h, proto.h
          tcurses.h, color.c, config.c, curses.c, init.c, lang.c, main.c
          misc.c, prompt.c, signal.c, tcurses.c

--unoff BETA release 970901 --

431) Sven Paulus <sven@karlsruhe.org>
     BUG. random Organization didn't work
     FIX. misc.c

430) Urs Janssen <urs@karlsruhe.org>
     ADD. minor code cleanup (added missing prototypes)
     FIX. configure[.in], autoconf.h[in], extern.h, proto.h, *.c

429) Thomas E. Dickey <dickey@clark.net>
     Andrey A. Chernov <ache@null.net>
     ADD. some whitespace in aclocal.m4
     BUG. quoting bug in CF_RECHECK_FUNC configure macro
     ADD. workaround for limitation in FreeBSD linker for ncurses tests.
     ADD. autoconf recommends that shell scripts begin "#! /bin/sh" rather
          than "!/bin/sh".
     ADD. guard against some curses functions invoked as a result of errors
          found during initialization.
     FIX. aclocal.m4, conf-tin, configure[.in], install.sh, main.c
          misc.c, newsrc.c, tcurses.c

428) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. minor code cleanup (AmigaOS)
     FIX. amiga.h, tin.h, lang.c

--unoff BETA release 970826 --

427) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. 'i' in group menu always shows subject of the base article
     BUG. newsrc entry was ignored when resubscribing to an unsubscribed group
     BUG. 'N'ewgroups are now skipped correctly when 'm'oving newsgroups
     BUG. 'd' behaved funny in first newsgroup (introduced in 313)
     ADD. when subscribing to a new group, the group counts are checked and
          num_unread is calculated and shown without having to enter the group
     ADD. minor code clean-up

426) Thomas E. Dickey <dickey@clark.net>
     BUG. correct & extend the configuration script macros for finding the
          network and ncurses libraries
     ADD. modify makecfg to generate table-definitions that work on SCO
     ADD. modify the help-screen to allow it to scroll by one line at a
          time [(n)curses]
     ADD. minor fixes to makefiles
     FIX. Makefile, makefile[.in], Makefile[.in], aclocal.m4, configure[.in]
          autoconf.h[in], config.h, proto.h, tin.h, auth.c, help.c
          makecfg.c, signal.c, tcurses.c

425) Darrell Tangman <darrelltman@mindspring.com>
     ADD. possibility to shutdown tin cleanly via SIGUSR1
     BUG. calculated wrong size of signal_list
     FIX. misc.c, signal.c

424) Urs Janssen <urs@karlsruhe.org>
     Sven Paulus <sven@karlsruhe.org>
     BUG. tin skipped second page when paging up with
          show_headers_to_display != ""
          [page.c really should be rewritten!]
     PRF. got rid of useless fseek()s to determine article's size
     FIX. page.c

423) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. Makefile[.in] doesn't work with /bin/csh anymore
          [introduced in 420]
     BUG. empty X-Comment-To: is inserted if posting contains no realname
     BUG. prompting for username didn't allow to change the default
     ADD. minor code cleanup (added missing prototypes, removed gotos,
          moved strings to lang.c)
     FIX. Makefile[.in], proto.h, *.c

--unoff BETA release 970820 --

422) Phil Edge <phil@edge.demon.co.uk>
     BUG. On followup, cancel and repost an empty Distribution
          header was added if the original article doesn't have a
          Distribution header and the DISTRIBUTION environment variable
          isn't set.
     FIX. post.c

421) Thomas E. Dickey <dickey@clark.net>
     ADD. improves the configure script that configures ncurses
     ADD. configure script option --enable-8bit-keys to turn on code
          that allows 8-bit controls for arrow and function keys.
     ADD. adds includes for ctype.h and sys/socket.h to the test program used
          for checking prototypes.
     ADD. library-check for -lmytinto to build on FreeBSD.
     BUG. corrects some logic that prevented 8-bit controls from working.
     BUG. corrects some ifdef's that broke ncurses/curses configuration.
     BUG. minor tweaks to makefiles to work with configure --srcdir option,
          and to autoconfigure for lint program.
     FIX. aclocal.m4, configure[.in], autoconf.h[in], proto.h, tin.h
          Makefile[.in], config.c, getline.c, group.c, help.c, misc.c
          page.c, prompt.c, select.c, thread.c

420) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup (removed unused variables, fixed a few
          type-mismatches, etc.)
     FIX. extern,h, proto.h, autoconf.h[in], configure[.in]
          Makefile[.in], *.c

--unoff BETA release 970817 --

419) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. misplaced #ifdefs moved
     ADD. minor code cleanup
     FIX. actived.c, config.c, curses.c, misc.c, main.c, misc.c
          search.c, thread.c, proto.h, Makefile.in

418) Oliver B. Warzecha <obw@amarok.ping.de>
     BUG. get_arrow_keys()/AmigaOS doesn't work
     ADD. minor code cleanup (AmigaOS)
     FIX. several supplied patches

417) Bernd Ernesti <erbe0011@fh-karlsruhe.de>
     ADD. minor code cleanup (mainly debug-message related)
     FIX. several supplied patches

--unoff BETA release 970731 --

416) Thomas E. Dickey <dickey@clark.net>
     ADD. logic to use 'poll() in get_arrow_key()
     BUG. corrects timeout values in get_arrow_key()
     BUG. corrected logic of input_pending() when configured with curses.
     ADD. moves the termcap lookup out of InitScreen() to a new function
          SetupScreen()
     ADD. moves the network-library checks to aclocal.m4
     ADD. configure option "--with-socks5"
     FIX. several supplied patches

415) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. some fallback values
     FIX. several supplied patches

414) Carsten Theis <iw250@advs2.gm.fh-koeln.de>
     BUG. strdup() calls replaced by my_strdup()-calls, as strdup()
          is not mandatory in ansi-c.
     FIX. attrib.c

--unoff BETA release 970724 --

413) Thomas Quinot <thomas@cuivre.fdn.fr>
     ADD. if using INN nntplib use _CONF_FROMHOST value, if present,
          instead of domain_name.
     FIX. header.c

412) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. test for curses before reading any config-files
     BUG. upon Supersedes Reply-To: was inserted even if $REPLYTO wasn't set
     FIX. main.c, post.c

411) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. amiga code cleanup
     BUG. impossible to killfile articles with lines=0
     BUG. wildcards were not quoted when the subject was used for filtering.
     ADD. function quote_wild() is called for subject.
     FIX. several supplied patches

410) Sven Paulus <sven@oops.sub.de>
     BUG. duplicated From: line in mailing_list-groups.
     BUG. hitting ESC once didn't exit getline() (introduced in 405)

--unoff BETA release 970709 --

409) Thomas E. Dickey <dickey@clark.net>
     BUG. correct the curses handling of CTL/L for repainting the screen
     ADD. CTL/L command to the config-screen.
     FIX. menukeys.h, config.c, tcurses.c

408) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. check for possible spamtrap in e-mail address when
          replying to an article by mail
     FIX. extern.h, menukeys.h, lang.c, post.c, tin.1

407) Ralf Doeblitz <r.doeblitz@tu-bs.de>
     BUG. tin ignores "global=on/off" for Quick-Filter/Select
     FIX. attrib.c, lang.c

406) Michael Lupp <mike@nemesis.saar.de>
     Andrey A. Chernov <ache@null.net>
     ADD. minor Makefile tuning
     FIX. Makefile[.in]

405) Sven Paulus <sven@oops.sub.de>
     BUG. prompt for subject was incorrectly displayed when
          subject was too long -> now truncating to 20 chars
     ADD. implement a permanent history for each type of input
     ADD. enable cursor keys on input line
     FIX. several supplied patches

404) Sven Paulus <sven@oops.sub.de>
     BUG. when reposting articles, the wrong signature was used
     ADD. new configuration option "signature_repost"
     BUG. cursor was on wrong position when asking "Repost or supersede"
     ADD. new configuration option "quote_empty_lines"
     FIX. several supplied patches

--unoff BETA release 970705 --

403) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. check for control-characters in Subject:
     ADD. minor code cleanup
     FIX. several patches

402) Sven Paulus <sven@oops.sub.de>
     BUG. keyboard didn't return to raw mode after posting
          postponed articles
     ADD. changed message "Repost" to "Post postponed articles"
     BUG. tin got slower as .tin/posted grew, increasing speed by
          reversing order
     BUG. tin garbled .tin/posted when posting postponed articles
     FIX. lang.c, post.c

--unoff BETA release 970625 --

401) Oliver B. Warzecha <obw@amarok.ping.de>
     Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. strip "(was:" from Subject:
     ADD. amiga code cleanup
     FIX. misc.c

400) Sven Paulus <sven@oops.sub.de>
     ADD. remove mail-address from X-Comment-To:
     FIX. page.c, post.c

399) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. author and article body searching fixed
     ADD. 'L'ookup Message-ID in article pager
     ADD. '/' subject search to thread menu
     ADD. Improvements to search by subject - now enters thread
          if needed
     ADD. still more code cleanup
     FIX. several supplied patches

398) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. amiga code cleanup
     FIX. amiga.c, amiga.h

397) Mike Muise <c-muise@mail.dec.com>
     BUG. typo
     FIX. lang.c

396) Henrik Wist <goose@MuFFiN.Org>
     BUG. tin didn't remove temp.-articles after pgp-signing them.
     FIX. pgp.c

--unoff BETA release 970622 --

395) Sven Paulus <sven@oops.sub.de>
     ADD. 'e'dit article possibility if posting failed
     ADD. random Organization via attributes file
     FIX. several supplied patches

394) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. REG_NOERROR definition (needed for hp-ux 8.0)
     ADD. minor code cleanup
     FIX. several supplied patches

393) Thomas E. Dickey <dickey@clark.net>
     ADD. install-prefix and autoconf support for regular expression
     ADD. code cleanup
     FIX. several supplied patches

392) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. clear keyboard-buffer in prompt_yn() to avoid unexpected
          results.
     FIX. prompt.c

--unoff BETA release 970613 --

391) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. wildmat searching broken in 387)
     BUG. ranges were broken on group menu
     ADD. 'K', 'z' & 'Z' on group menu now understand ranges
     ADD. improvements to regex error reporting
     ADD. code cleanup
     FIX. several supplied patches

390) Dmitri A. Martynoff <dmart@wowa.net.kiae.su>
     ADD. unlink editor backup files
     FIX. misc.c

389) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. code cleanup
     FIX. several supplied patches

--unoff BETA release 970612 --

388) Oliver B. Warzecha <obw@amarok.ping.de>
     ADD. minor code cleanup, mainly amiga stuff
     FIX. several supplied patches

387) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. started support for regular expressions
     ADD. make str_lwr() syntax more ANSI-like. Other minor changes.
     FIX. several supplied patches

--unoff BETA release 970527 --

386) Thomas E. Dickey <dickey@clark.net>
     ADD. rewrote signal-handler
     FIX. several supplied patches

385) Andrey A. Chernov <ache@null.net>
     ADD. Various CTYPE fixes, mostly for toupper/tolower
     FIX. several supplied patches

384) Bruce Momjian <root@candle.pha.pa.us>
     ADD. check for correct number of articles in group
     REM. conflict check for strip_blanks and invers_video_bar
     FIX. active.c, config.c

383) Urs Janssen <urs@akk.uni-karlsruhe.de>
     REM. initial check for authentication - now only done upon
          server-request
     FIX. open.c

--unoff BETA release 970516 --

382) Karsten Keil <keil@temic-ech.spacenet.de>
     ADD. some additional checks for NULL-pointers
     FIX. art.c, refs.c

381) Bruce Momjian <root@candle.pha.pa.us>
     ADD. check for correct number of articles in group
     FIX. active.c

380) Thomas E. Dickey <dickey@clark.net>
     ADD. restores 'cmd_line' setting after running a shell command, so tin
          re-enters screen mode
     ADD. merges the two copies of code that run shell commands
     ADD. more debug-traces for the curses configuration
     ADD. test for CLIX machines
     FIX. several supplied patches

379) Urs Janssen <urs@akk.uni-karlsruhe.de>
     REM. insertion of Lines:-header (as it's not always correct
          (pgp-signed articles)) and could/should be inserted by the
          server
     FIX. post.c

--unoff BETA release 970424 --

378) Thomas E. Dickey <dickey@clark.net>
     REM. useless ifdefs for __hpux
     FIX. misc.c

377) Kevin Lentin <kevinl@cs.monash.edu.au>
     ADD. when using an external mailer, parse From: line upon replies.
     FIX. post.c

376) (sorry, lost the mail-address of the person who reported it!)
     REM. str_lwr patch from 374 as it opens up problems with iso-8859-*
          charsets

--unoff BETA release 970417 --

375) Thomas E. Dickey <dickey@clark.net>
     BUG. tind didn't compile due to misplaced ifdefs
     BUG. test for USE_SYSTEM_STATUS still didn't work on some systems
     FIX. aclocal.m4, tnntp.h, auth.c

374) Orbby S. Arka <aqlott@db.csie.ncu.edu.tw>
     REM. some useless checks for 8bit chars
     ADD. don't lower 2nd char in searchstring if first char is > 0x7f
          (BIG5 users will be happy about that)
     FIX. art.c, string.c, misc.c

--unoff BETA release 970409 --

373) Jason Faultless <jason@radar.tele2.co.uk>
     FIX. screenredraw, cursor position after removing bogus newsgroups
     FIX. tin.1, newsrc.c, select.c

372) Billy Y. <billy@mix.com>
     ADD. use gettimeofday with -DPROFILE if available
     FIX. stpwatch.h

371) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor logic change of signature parsing.
     FIX. post.c, lang.c, tin.1

--unoff BETA release 970406 --

370) Dirk Nimmich <nimmich@uni-muenster.de>
     ADD. Authentication routines moved from open.c to a separate file
          (auth.c)
     ADD. Authentication at connection startup (re-)added.
     ADD. Prompting for the password is now done by getpass(2)
          instead of getline().
     ADD. doc/auth.txt revised.
     FIX. several supplied patches

369) Torsten Neumann <torsten@londo.rhein-main.de>
     ADD. issue a warning double signatures or malformed signature
          delimiters
     ADD. tool/expand_aliases.tgz (might need some work)
     FIX. several supplied patches

368) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. strip_bogus=ASK now shows groups even with show_only_unread=TRUE
     ADD. folded Message-ID text into t_msgid
     BUG. threading problem (from 309)
     BUG. incorrect display of 'N'ewgroup flag (from 351)
     ADD. general code cleanup
     FIX. several supplied patches

367) Urs Janssen <urs@akk.uni-karlsruhe.de>
     Thomas E. Dickey <dickey@clark.net>
     BUG. renamed valid in prompt.c as Suns K&R compiler didn't like it.
     BUG. '\t' was treated as 8bit-char
     FIX. prompt.c, tin.h

--unoff BETA release 970402 --

366) Torsten Neumann <torsten@londo.rhein-main.de>
     ADD. issue a warning on signatures longer then MAX_SIG_LINES
     FIX. several supplied patches

365) Thomas E. Dickey <dickey@clark.net>
     BUG. test for USE_SYSTEM_STATUS didn't work on some systems (i.e. sun)
     FIX. aclocal.m4

364) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup (removed uname call in mail_bugreport)
     FIX. several supplied patches

--unoff BETA release 970327 --

363) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. Sender was not added if From: line was changed in the editor
     ADD. minor code cleanup
     FIX. inews.c, init.c, configure[.in]

--unoff BETA release 970324 --

362) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. removing tailing whitespaces from header-lines caused crashes
          if the line contains only whitespaces after the header-name.
     FIX. page.c

361) Thomas E. Dickey <dickey@clark.net>
     ADD. even more curses stuff
          + added some traces
          + fixed an out-of-order call on set_win_size
          + added the touchwin calls to make ^L work
     FIX. several supplied patches

360) Ulli Horlacher <framstag@moep.bb.bawue.de>
     ADD. parsing to of /etc/resolv.conf to get_fqdn()
     FIX. tin.h, string.c, header.c

359) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. misplaced definition of MAXHOSTNAMELEN
     ADD. ifndef FORGERY: insertion of Sender: if it differs from From:
     FIX. several supplied patches

358) Kevin Lentin <kevinl@cs.monash.edu.au>
     BUG. When reading mail groups tin tries to connect the server
     ADD. prompt_yn2() now allows only 'y','n','ESC' as an answer
     BUG. if you answer the reconnect to server question with no or the
          connection is broken the newsrc is written out before tin exits.
     FIX. several supplied patches

--unoff BETA release 970321 --

357) Jungshik Shin <jshin@pantheon.yale.edu>
     BUG. continued header-lines caused crashes upon a rfc1522decode
     FIX. page.c

356) Kevin Lentin <kevinl@cs.monash.edu.au>
     Thomas E. Dickey <dickey@clark.net>
     BUG. can not post in curses-mode
     FIX. tnntp.h

355) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. check for return null-pointers in get_host/domain/fqdn
     BUG. typo in configure.in
     ADD. minor code cleanup
     FIX. several patches

--unoff BETA release 970320 --

354) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup; removed /etc/resolv.conf parsing
     FIX. several patches

353) Jungshik Shin <jshin@pantheon.yale.edu>
     ADD. 'M'enu entry for display_rfc1522_header_undecoded (now
          display_mime_header_asis)
     FIX. several supplied patches

352) Thomas E. Dickey <dickey@clark.net>
     ADD. make a functional test for the system_status logic, tidying up of
          aclocal.m4
     BUG. correct a length used in tcurses.c in the innstr() call
     FIX. aclocal.m4, configure[.in], tcurses.c

351) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. handling for bogus groups in .newsrc
     ADD. better string hashing, memory savings
     ADD. better default for -n
     BUG. removed references to the 'any' key
     FIX. several supplied patches

--unoff BETA release 970317 --

350) Jungshik Shin <jshin@pantheon.yale.edu>
     ADD. automatic use of B-encoding if it's shorter then Q-encoding
     ADD. display_rfc1522_header_undecoded switch to tinrc
     FIX. several supplied patches

349) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. rewrote INEWS_MAIL_* stuff
     FIX. several patches

--unoff BETA release 970314 --

348) Jungshik Shin <jshin@pantheon.yale.edu>
     ADD. split long header lines in mail message
     FIX. several supplied patches

347) Thomas E. Dickey <dickey@clark.net>
     ADD. even more curses support:
          + ifdef'd to use the termcap version of ReadCh when curses isn't
            active.
          + fix a couple of background color bugs that appear with SVr4
            curses (but not ncurses).
          + add missing include, ifdefs to debug.c
          + add decoding for curses backspace and delete keys.
          + implement curses raw mode.
     BUG. fixes for parsdate.y to workaround redefinition of const by bison

346) Urs Janssen <urs@akk.uni-karlsruhe.de>
     Thomas Koenig <Thomas.Koenig@ciw.uni-karlsruhe.de>
     ADD. configure check for usage of system() ; system_status
     BUG. removed getfqdn() call as it opens up some problems
          with INEWS_MAIL_DOMAIN - inews.c should be rewritten!!
     FIX. autoconf.h[in], configure[.in], misc.c, inews.c

345) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. fix wrong byte-count in article-pager (introduced in 340)
     FIX. open.c

344) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. tab_goto_next_unread=OFF && news_headers_to_display!="" didn't
          work
     FIX. page.c

343) Sven Paulus <sven@oops.sub.de>
     ADD. hide licence number on AIX
     FIX. post.c

--unoff BETA release 970309 --

342) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup; replaced RS6000 define by _AIX
     FIX. lang.c, misc.c, save.c, tin.h, autoconf.h[in], configure[.in]

341) Chua Choon Leong <chuacl@iscs.nus.sg>
     ADD. test/define for OSF1
     FIX. configure[.in], autoconf.h[in]

340) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. restrict MIME decoding to just article data
     BUG. fix and document command line groups
     ADD. minor tidy up
     FIX. several supplied patches

339) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. forget to append pid on pgp-commands
     FIX. pgp.c

--unoff BETA release 970307 --

338) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. typos, misplaced brace
     FIX. inews.c, configure[.in], Makefile

--unoff BETA release 970306 --

337) Thomas E. Dickey <dickey@clark.net>
     ADD. even more curses support
          + wrap functions that write to stderr (fprintf, fflush) so they'll
            write to curses screen.
          + implement decoding for arrow keys
          + correct error from previous patch that changed cLINES to cLINES-1
          + move call on EndWin() to ensure that program exits curses
            correctly.
     ADD. split-out tnntp.h to use in inews.c (fixes compiler warnings)
     FIX. several supplied patches

336) Scott W. Powers <spowers@shire.ncsa.uiuc.edu>
     ADD. weed-in/out-list for headers_to_display
     FIX. extern.h, color.c, config.c, init.c, lang.c, page.c

335) Urs Janssen <urs@akk.uni-karlsruhe.de
     BUG. used /bin/mail as default_mailer on SysV-systems
     FIX. tin.h

334) Andrey A. Chernov <ache@null.net>
     BUG. ~/.tin/headers file not used for "Reply to author..."
     BUG. joinpath for ~/.tin/headers is duplicated
     FIX. init.c, post.c

333) Kevin Lentin <kevinl@cs.monash.edu.au>
     BUG. typo
     FIX. configure[.in]

332) Chua Choon Leong <chuacl@iscs.nus.sg>
     BUG. invoke_cmd() returns wrong status on OSF1
     FIX. misc.c

--unoff BETA release 970304 --

331) Andreas Ley <andreas.ley@rz.uni-karlsruhe.de>
     Urs Janssen <urs@akk.uni-karlsruhe.de
     ADD. getfqdn()
     FIX. configure[.in], autoconf.h[in], inews.c

330) Kevin Lentin <kevinl@cs.monash.edu.au>
     Urs Janssen <urs@akk.uni-karlsruhe.de
     ADD. --{en,dis}able-append-pid to generate unique tmp-filenames
         (i.e. .article)
     FIX. configure[.in], autoconf.h[in], init.c, post.c

--unoff BETA release 970303 --

329) Thomas E. Dickey <dickey@clark.net>
     ADD. support configuration with termcap/terminfo vs curses
          implements color support from the curses library.
     ADD. minor code cleanup (INDEX_DAEMON ifdefs, a nit for SunOS's fileno)
     FIX. several supplied patches

328) Andy Gabor <ajgabor@ucdavis.edu>
     BUG. typo in man-page
     FIX. tin.1

327) Volker Barthelmann <volker@vb.franken.de>
     Urs Janssen <urs@akk.uni-karlsruhe.de
     ADD. minor code cleanup
     FIX. several patches

326) Tan Kwee Chuan <tankweec@iscs.nus.sg>
     BUG. typo
     FIX. lang.c

--unoff BETA release 970225 --

325) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. changing OPT_DEFAULT_SHOW_AUTHOR in 'M'enu at top-level SIGSEGVs
     BUG. no range-check for ISO2ASC
     BUG. wrong prototype for hand-rolled atol
     FIX. config.c, init.c, string.c

--unoff BETA release 970222 --

324) Thomas Leitner <tom@finwds01.tu-graz.ac.at>
     BUG. POSTED_FILE ignores default_maildir
     FIX. config.c

323) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. description of ^G to online help
     REM. --disable-ref-threading form configure
     FIX. help.c, autoconf.hin configure.in

322) Chris Blum <chris@phil.uni-sb.de>
     BUG. typo in HAVE_MH_MAIL_HANDLING
     FIX. open.c

321) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. crash on some systems with no subscribed groups
     BUG. $ not always working on group selection page
     BUG. workaround for annoying problem with 'u' key
     ADD. streamlined setup_hard_base() and -n code
     ADD. tidied up header in article pager
     ADD. minor code cleanup
     FIX. several supplied patches

320) Theo Van Dinter <felicity@kluge.net>
     BUG. 'q'uit in the 'D'elte/supersede menu does not redraw the screen
     ADD. minor code cleanup
     FIX. init.c, post.c

--unoff BETA release 970217 --

319) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. check_upgrade fails on binaries whose name isn't "tin"
     FIX. config.c, lang.c, version.h

318) Tan Kwee Chuan <tankweec@iscs.nus.sg>
     Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. If the real-name part of the From:-line is missing, tin crashes
          on a forged-cancel.
     FIX. post.c

317) Kevin Lentin <kevinl@cs.monash.edu.au>
     ADD. improved postpone_article (add -o, 'A','Y')
     FIX. several supplied patches

--unoff BETA release 970214 --

316) Thomas E. Dickey <dickey@clark.net>
     ADD. several 'const'
     BUG. tabs before preprocessor symbols (introduced in 312)
     FIX. several supplied patches

315) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. Tagged article counter sometimes badly broken
     BUG. 'q' quit didn't work properly while entering a group
     ADD. 'u' go to parent article in pager
     ADD. 'S' auto-save tagged and 'U' untag all to thread menu
     ADD. Better handling of upgrade from earlier versions of Tin
     ADD. Some documentation and help
     ADD. minor code cleanup
     FIX. art.c, config.c, page.c, thread.c

314) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. first name (%C) in strfquote crashes when no name is given
     FIX. misc.c

--unoff BETA release 970212 --

313) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. New newsgroups were broken with -n
     BUG. unYank didn't honour show_only_unread_groups
     BUG. $ didn't always skip to last article correctly
     ADD. cleanup/fixes from 309)
     ADD. code cleanup
     FIX. cut down some compiler noise
     FIX. several supplied patches

312) Sven Paulus <sven@oops.sub.de>
     ADD. systemtype to X-Newsreader
     FIX. extern.h, init.c, post.c

311) Volker Barthelmann <volker@vb.franken.de>
     ADD. minor code cleanup
     FIX. several supplied patches

--unoff BETA release 970206 --

310) Sven Paulus <sven@oops.sub.de>
     ADD. inclusion of empty Followup-To: line (option)
     ADD. keys for sending followups/replies with all headers quoted (^W,^E)
     FIX. several supplied patches

--unoff BETA release 970202 --

309) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. rewrite new newsgroup handling
     ADD. make newsrc->subscribed a bitfield
     ADD. better reference parsing
     ADD. partial fix for show_author update problem
     ADD. code cleanup / other minor changes
     FIX. several supplied patches

308) Theo van Dinter <felicity@kluge.net>
     BUG. typo
     FIX. sigfile.c

307) Thomas E. Dickey <dickey@clark.net>
     ADD. more fall-back prototypes (e.g., atoi), from warnings I got
          running with gcc -traditional on Linux 2.0.0
     ADD. makes the gcc warnings auto-configured
     ADD. makes strings 'const' (tested with gcc -Write-strings).
     FIX. several supplied patches

306) Kevin Lentin <kevinl@cs.monash.edu.au>
     ADD. autoconf support for sum
     FIX. several supplied patches

305) Dirk Nimmich <nimmich@uni-muenster.de>
     ADD. code cleanup (moved strings to lang.c)
     FIX. several supplied patches

304) Sven Paulus <sven@oops.sub.de>
     BUG. Summary/Keywords are overwritten on a supersede
     FIX. post.c

--unoff BETA release 970127 --

303) Volker Barthelmann <volker@vb.franken.de>
     ADD. some type fixes (Amiga)
     FIX. several supplied patches

302) Thomas E. Dickey <dickey@clark.net>
     ADD. even mode K&R -> ANSI
     FIX. several supplied patches

--unoff BETA release 970126 --

301) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. authenticate crashed on some machines
     FIX. open.c

300) Volker Barthelmann <volker@vb.franken.de>
     BUG. several typos
     FIX. color.c, smakefile

299) Thomas E. Dickey <dickey@clark.net>
     ADD. start to get rid of K&R code
     FIX. several supplied patches

--unoff BETA release 970124 --

298) Volker Barthelmann <volker@vb.franken.de>
     ADD. even more AMIGA port
     FIX. several supplied patches

297) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. nntp_wr/rd had wrong type
     FIX. tin.h, extern.h, nntplib.c

296) Alexander Lehmann <alex@hal.rhein-main.de>
     ADD. ability to postpone articles
     ADD. detection of whitespaces in Followup-To:-line
     FIX. several supplied patches

--unoff BETA release 970123 --

295) Volker Barthelmann <volker@vb.franken.de>
     ADD. start of AMIGA port
     FIX. several supplied patches

294) Kevin Lentin <kevinl@cs.monash.edu.au>
     ADD. stripping of unsubscribed newsgroups
     FIX. several supplied patches

293) Urs Janssen <urs@akk.uni-karlsruhe.de>
     REM. 292 as it opens up a lot of problems
     FIX. several patches

--unoff BETA release 970122 --

292) Arnold Hendriks <arnold@poboxes.com>
     ADD. tagline-support
     ADD. different from for different newsgroups (attribute)
          [I'm not happy with that WITHOUT insertion of Sender:]
     FIX. several supplied patches

291) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. several patches

290) Dirk Nimmich <nimmich@uni-muenster.de>
     ADD. tuned authorization stuff
     FIX. open.c

--unoff BETA release 970120 --

289) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. code cleanup (int -> t_bool, extern -> static)
     FIX. several patches

--unoff BETA release 970118 --

288) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. word-highlighting in signatures
     FIX. proto.h, color.c, page.c

287) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup (mainly int -> t_bool)
     FIX. extern.h, proto.h, init.c, main.c, rfc1521.c

--unoff BETA release 970115 --

286) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. several patches

285) Alexander Lehmann <alex@hal.rhein-main.de>
     ADD. ability to strip non txt/plain parts from multi-part MIME-postings
     FIX. several supplied patches

--unoff BETA release 970114 --

284) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. several patches

283) Kevin Lentin <kevinl@cs.monash.edu.au>
     BUG. tin does not remember tcp_port (introduced in 281)
     FIX. open.c

282) Thomas E. Dickey <dickey@clark.net>
     ADD. code cleanup (mainly lint stuff)
     FIX. several supplied patches

--unoff BETA release 970112 --

281) Urs Janssen <urs@akk.uni-karlsruhe.de>
     Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. some small fixes (mainly for 279/280)
     FIX. attrib.c, config.c, newsrc.c, open.c, thread.c

280) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. default threading method is now to use the best available
     ADD. warning if attempt to use -n on local spool
     BUG. incorrect article count with -n on empty groups
     ADD. ignore bogus groups in .newsrc when reading -n
     ADD. references based indentation of thread menu
     ADD. major internal code cleanup/rewrite for above
          move all group_hash[] code to list.c
     FIX. active.c, init.c, list.c, misc.c, open.c, thread.c

279) Thomas E. Dickey <dickey@clark.net>
     ADD. fixes for getopt & isascii (we shouldn't _use_ the latter).
     ADD. another round of lint, introducing t_bool type.
     FIX. several supplied patches

--unoff BETA release 970109 --

278) Andreas Ley <andreas.ley@rz.uni-karlsruhe.de>
     Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. rewrote APPEND_TO() macro
     ADD. range-check for group->xmax/group->newsrc.xmax
     FIX. misc.c, newsrc.c

277) Thomas Quinot <operator@cuivre.fdn.fr>
     BUG. parse_from() returns login@host.doma.in in the wrong field
     FIX. misc.c

--unoff BETA release 970108 --

276) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. options-menu: on the last-1 page <page-down> does not always work
          the way it should
     FIX. config.c

275) Thomas E. Dickey <dickey@clark.net>
     ADD. code cleanup (mainly lint and dbmalloc stuff)
     FIX. several supplied patches

274) Thomas Quinot <operator@cuivre.fdn.fr>
     BUG. parse_from() can't handle "login"@host.doma.in (luser)
     FIX. misc.c

--unoff BETA release 970106 --

273) Nickolay Saukh <nms@nns.ru>
     ADD. dbmalloc support
     FIX. tin.h

272) Andreas Ley <andreas.ley@rz.uni-karlsruhe.de>
     ADD. rewrote parse_from() macros to K&R-C
     FIX. misc.c

271) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. new check for x-posts to handle inn1.5 Xref: headers
     FIX. post.c

--unoff BETA release 970104 --

270) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. tin.h, art.c, feed.c, post.c, nntplib.c

--unoff BETA release 970103 --

269) Thomas Quinot <operator@cuivre.fdn.fr>
     ADD. new parse_from()
     FIX. misc.c

268) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. get_server() removes everything before a '\n' in the
          server-response -> sometimes it trashes error-messages
     ADD. minor code cleanup
     FIX. main.c, nntplib.c, open.c

--unoff BETA release 970101 --

267) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. detection of _highlighted_ *words* directly followed by a , or .
     FIX. color.c

266) Dirk Nimmich <nimmich@uni-muenster.de>
     ADD. quoting/escaping of arguments in strf_mailer()
     FIX. misc.c

265) Thomas Quinot <operator@cuivre.fdn.fr>
     ADD. 'K'ill article now cycles through the list (group.c)
     ADD. inverse_bg/fg-color
     FIX. several supplied patches

--unoff BETA release 961231 --

264) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. newnews_times is broken (since 254)
          -> new newsgroups are not recognized
     ADD. prompt_yn2() without crsr-key support
     FIX. proto.h, active.c, prompt.c, nntplib.c

263) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. color.c doesn't display any _ or * (introduced in 262)
     FIX. color.c

--unoff BETA release 961229 --

262) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. word_h_marks_display now is a tristate (Nothing, Mark, Space).
     FIX. several patches

261) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     BUG. txt_cancel_article has wrong number of format arguments
     FIX. lang.c, main.c, post.c

--unoff BETA release 961227 --

260) Thomas E. Dickey <dickey@clark.net>
     ADD. extends 'makecfg' to generate type-specific tables for string and
          char pointers, getting rid of the void* casts in tincfg.h
          modifies config.c and prompt.c accordingly.
     ADD. fixes color.c to work in xterm (i.e., the XFree86 3.2 version, or
          rxvt -- there's no point in fixing for color_xterm unless we
          converted to using ncurses).
     ADD. eliminates some of the clutter in post.c by using new utility
          functions (I did that when seeing that the newline in a subject
          wasn't stripped properly).
     FIX. several supplied patches

259) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. several supplied patches

--unoff BETA release 961225 --

258) Roland Rosenfeld <roland@spinnaker.rhein.de>
     Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. with 258) word_h_marks_display could be off with color disabled
     BUG. automatically turning off word_highlighting_tinrc if color is
          disabled via 'M'enu is not intuitive
     BUG. with no groups on screen <Home>/<End>-key draws arrow
     ADD. changed several key-names (global keys)
     FIX. several patches

--unoff BETA release 961224 --

257) Alexander Lehmann <alex@hal.rhein-main.de>
     BUG. in some circumstances reply-to could be MIME-encoded twice
     FIX. post.c

256) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. art_mark_will_return is not showing up in thread-level
          if draw_arrow=on (introduced in 248)
     BUG. word_highlighting is enabled with color turned off
     FIX. thread.c, page.c, config.c

--unoff BETA release 961222 --

255) David-Michael Lincke <david-miachel.lincke@iwi.unisg.ch>
     ADD. missing DEFAULT_MAILER for hp-ux
     FIX. tin.h

254) Helmrich Streitmatter <helmrich@helix.franken.de>
     BUG. newnews_info could return 2 large (not null terminated)
          string
     FIX. active.c

253) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. several supplied patches

252) Thomas E. Dickey <dickey@clark.net>
     BUG. redefinition of parse_reference()
     FIX. refs.c

251) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. art_mark_hot is not colored
     FIX. thread.c

--unoff BETA release 961218 --

250) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. inverse video-bar in article selection level is too long
          art_mark_hot is not colored
          (both introduced in 248 :-()
     FIX. group.c

--unoff BETA release 961216 --

249) Alexander Lehmann <alex@hal.rhein-main.de>
     BUG. (introduced in 240)
          - when writing out the .newsrc, apparently no longer existing
            groups and unsubscribed groups get an empty line afterwards
          - when subscribing some groups from the yanked-in list and then
            yanking out the unsubscribed groups again, leaves only the 1st
            subscribed group in the .newsrc or doesn't add the group at all.
     FIX. newsrc.c

248) Urs Janssen <urs@akk.uni-karlsruhe.de>
     Julien Oster <fuzzy@cu8.cum.de>
     ADD. minor code cleanup
     BUG. strange display if num_tagged_articles_in_thread > 99
     FIX. several supplied patches

247) Thomas E. Dickey <dickey@clark.net>
     ADD. extra rules for broken IRIX make
     FIX. Makefile[.in]

--unoff BETA release 961215 --

246) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. several supplied patches

245) Julien Oster <fuzzy@cu8.cum.de>
     Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. _word_ *highlighting* if color enabled
     FIX. several supplied patches

--unoff BETA release 961214 --

244) Michael Douglass <mikedoug@texas.net>
     ADD. -N option
     FIX. several supplied patched

243) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. self referencing threads could still be generated in certain cases
     BUG. incorrect thread creation with some broken headers
     ADD. various other cleanups and tweaks
     FIX. refs.c
     REM. old code from page.c, obsoleted by 115)
     BUG. post_proc_command didn't quote shell meta-characters
     FIX. save.c

242) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. find_reply_to_add() workaround - cause parse_from() is buggy
          (and needs a rewrite)
     ADD. changed References:-header in mails to In-Reply-To:
     FIX. post.c

241) Bernd Ernesti <erbe0011@fh-karlsruhe.de>
     ADD. check for return-type of tputs
     FIX. aclocal.m4

240) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     ADD. use safe_fgets() instead of getaline()
     FIX. several supplied patches

--unoff BETA release 961210 --

239) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup
     FIX. several supplied patches

--unoff BETA release 961208 --

238) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. see 236)
     FIX. misc.c

--unoff BETA release 961207 --

237) Thomas E. Dickey <dickey@clark.net>
     BUG. typedefs for OutcPtr are out-of-order
     ADD. configuration options/logic for the .overview name, piping
          and the strcasecmp, strncasecmp functions.
     FIX. several supplied patches

236) Urs Janssen <urs@akk.uni-karlsruhe.de>
     see 235)

--unoff BETA release 961206 --

235) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. even more smarter tin_itoa()
     FIX. misc.c, group.c, select.c, thread.c

--unoff BETA release 961205 --

234) Urs Janssen <urs@akk.uni-karlsruhe.de>
     Alexander Lehmann <alex@hal.rhein-main.de>
     ADD. smarter range check (still not complete)
     FIX. proto.h, misc.c, group.c, select.c, thread.c

--unoff BETA release 961204 --

232) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. several range checks
     FIX. group.c, select.c, thread.c

--unoff BETA release 961203 --

231) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. changed default_mailer_format to "%M -t < %F"
     BUG. parsing of " in mail-address does not work
     FIX. tin.h, misc.c, page.c

230) Thomas E. Dickey <dickey@clark.net>
     BUG. tputs is called with wrong parameters on some systems (f.e. HP-UX)
     ADD. -DRS6000 on AIX to force the correct use of 'system()' return-code
     ADD. minor code cleanup
     FIX. several supplied patches

--unoff BETA release 961202 --

229) Urs Janssen <urs@akk.uni-karlsruhe.de>
     FIX. group.c (patch 224/222 removed)

228) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. show subject/author of the first unread article in a thread
     FIX. group.c

--unoff BETA release 961201 --

227) Florian Lohoff <flo@mini.gt.owl.de>
     BUG. articles without Lines header are not showing up
     FIX. art.c

226) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. quoted 8-bit from-addresses aren't MIME-encoded correctly
     FIX. art.c, rfc1522.c

225) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. The 'a' reference tree hack debug key now produces readable
          output similar to the thread menu.
     ADD. A few commentary changes.
     FIX. several supplied patches

224) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. changed (unread)article counter to act as a reply counter
     ADD. little code cleanup
     FIX. several supplied patches

--unoff BETA release 961126 --

223) Rainer Scholz <jrs@startrek.franken.de>
     BUG. typo (wrong dependency)
     FIX. Makefile[.in]

--unoff BETA release 961125 --

222) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. (unread)article counter was 'wrong'
     FIX. group.c

221) Bernd Ernesti <erbe0011@fh-karlsruhe.de>
     ADD. little code cleanup (NetBSD)
     FIX. main.c

220) Thomas E. Dickey <dickey@clark.net>
     ADD. extend the -n/-q options so that tin doesn't ask the nntp
          server for the newsgroups file.
          Some cleanup (and mods that let me build on Linux using the --srcdir
          option).
     FIX. tin.1, Makefile[.in], init.c, open.c

219) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. still some assertion faults...
     FIX. refs.c

218) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. patch 215 wasn't complete
     FIX. post.c

--unoff BETA release 961115 --

217) Thomas E. Dickey <dickey@clark.net>
     BUG. some variables are missing
     FIX. autoconf.h[in]

216) Alexander Lehmann <alex@hal.rhein-main.de>
     ADD. filter support on Xref:-line
     FIX. tin.h filter.c misc.c

215) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. editor is not entered automatically on 's'upersede article
     BUG. edited subject is not displayed correctly in status-line
     FIX. lang.c post.c

214) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. locale support
     FIX. several supplied patches

--unoff BETA release 961109 --

213) Andrey A. Chernov <ache@null.net>
     BUG. called ctype-family macros with 8bit characters, which is illegal
          in POSIX/ANSI-C
     FIX. several supplied patches

212) Jason Faultless <jason@radar.tele2.co.uk>
     BUG. Expired articles sometimes incorrectly threaded when
          threading both
     FIX. refs.c
     BUG. index files not written when reading via nntp and xover
          not available (introduced in 138 & compounded later)
     FIX. art.c, open.c
     ADD. minor code cleanup
     FIX. several supplied patches

211) Thomas E. Dickey <dickey@clark.net>
     ADD. replace include/conf.h with an automatically-generated table.
          (This fixes one of the two problems with the config.c rewrite: now
          the enum and table will track together -- the other, making it
          type-clean will be in a later patch -- when I have time).
     BUG. fix a place in the configure script that I missed before (allowed
          some stray "-g" options to get into the makefile for non-debug
          build -- I was just arguing with autoconf's author tonight, who
          insists that everyone ought to use -g as he intends).
     BUG. fix a place in tin.h where "#" line by itself broke SunOS K&R compile
     BUG. disentangle some use of _DECC (someone on an OSF/1 box reports
          problems with this, which was, I believe, targeted for VMS).
     ADD. move the <termios.h> includes out of tin.h (now only in curses.c
          and signal.c) -- on Apollo, termios.h redefines some symbols from
          sys/ioctl.h, producing _lots_ of compiler warnings.  (I did builds
          on several machines to ensure that there's no impact due to this).
     ADD. some fixes aimed at supporting the configure --srcdir option (not
          complete yet -- I'll do more later).
     BUG. make parsdate.o rule more explicit (IRIX's make couldn't cope:  I
          don't remember problems from the last time I did a bunch of
          regression builds, and figure that it got simplified by someone).
     BUG. correct an error from cleanup in art.c that broke my local config
          (i.e., '-' is legal in that context).
     BUG. remove bogus code in feed.c (noticed while resolving similarly
          ifdef'd code in misc.c)
     BUG. modified ifdef in misc.c to fix Kevin Maguire's problem (on OSF/1)
          with pipes/return-codes.
     FIX. several supplied patches

--unoff BETA release 961101 --

210) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. unknown symbol in open.c
     FIX. open.c

209) Alexander Lehmann <alex@hal.rhein-main.de>
     BUG. Cnews+overview-files Lines: count
     FIX. art.c

208) Andy Gabor <ajgabor@ucdavis.edu>
     BUG. 'W' sometimes crashes
     FIX. post.c

207) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. minor code cleanup (mainly reformatting source)
     FIX. several supplied patches

206) Thomas E. Dickey <dickey@clark.net>
     ADD. minor code cleanup (mainly reformatting source)
     BUG. checking declaration of signal arguments fails on some machines
     FIX. tin.h, post.c, configure[.in]

--unoff BETA release 961025 --

205) Thomas E. Dickey <dickey@clark.net>
     ADD. minor code cleanup
     FIX. several supplied patches

--unoff BETA release 961024 --

204) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. No authentication upon request from server
     BUG. attributes file trashed on a bad write (see 026)
     ADD. Fall back on console input if no .newsauth is present
     FIX. several supplied patches

--unoff BETA release 961022 --

203) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. References:-header (In-Reply-to:) to mail-reply
     FIX. post.c

202) Thomas E. Dickey <dickey@clark.net>
     Nickolai Zeldovich <kolya@zepa.net>
     ADD. apollo porting (still in progress)
     ADD. core test for FreeBSD
     FIX. several supplied patches

201) Andrey A. Chernov <ache@null.net>
     ADD. full path to cksum
     FIX. tin.h

200) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. with --enable-forgery reposting of an article fails
          ('x' 'a' 'r' <group> 'p' -> 441 missing From:)
     FIX. post.c

--unoff BETA release 961020 --

199) David E. O'Brien <obrien@cs.ucdavis.edu>
     ADD. FreeBSD porting
     FIX. tin.h

198) Andrey A. Chernov <ache@null.net>
     ADD. FreeBSD porting
     FIX. curses.c, init.c, main.c

197) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. Supersede did not work correctly on cross-posts
     ADD. minor code cleanup
     FIX. lang.c, post.c

196) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. 'g' go to group does not work with show_only_unread_groups=ON &
          show_only_unread=ON but having no articles to read
     FIX. select.c

--unoff BETA release 961018 --

195) Alexander Lehmann <alex@hal.rhein-main.de>
     ADD. cleaned up neXT charset stuff
     FIX. several supplied patches

194) Dirk Nimmich <nimmich@uni-muenster.de>
     BUG. Window resizing did not work correctly when in options menu
     ADD. moved some more strings to lang.c
     FIX. several supplied patches

193) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. variable/label name conflict
     FIX. search.c

--unoff BETA release 961015 --

192) Alexander Lehmann <alex@hal.rhein-main.de>
     ADD. NeXT porting (mainly chartset-stuff)
     BUG. in some cases tin creates local index-files when nov-overview
          files are available
     FIX. several supplied patches

191) Roland Rosenfeld <roland@spinnaker.rhein.de>
     BUG. in some cases tin creates local index-files when nov-overview
          files are available
     FIX. art.c

190) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. on group menu, '/' (search for subject) now handles changes of
          subject within threads, when using reference threading.
     ADD. 's' (save) now works on thread menu
     ADD. minor code cleanup
     FIX. several supplied patches

189) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. renamed patchlev.h to version.h
     ADD. minor code cleanup
     FIX. several supplied patches

--unoff BETA release 961012 --

187) Branden Robinson <branden@purdue.edu>
     ADD. minor code cleanup
     ADD. online help updated
     FIX. several supplied patches

186) Jason Faultless <jason@radar.tele2.co.uk>
     ADD. better debug ability for threading bugs
     FIX. several supplied patches

185) Roland Rosenfeld <roland@spinnaker.rhein.de>
     ADD. tin stripped tabs out of ALL headers, but that's not useful for
          Summary:
     FIX. page.c

184) Thomas E. Dickey <dickey@clark.net>
     Nickolai Zeldovich <kolya@zepa.net>
     ADD. apollo porting (still in progress)
     FIX. several supplied patches

--unoff BETA release 961006 --

183) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. if (show_description && !CURR_GROUP.description) don't truncate
          active_name (select.c)
     FIX. select.c

--unoff BETA release 961005 --

182) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. active_name is not truncated to groupname_len
     BUG. number of unread articles is not truncated to 5 digits
     FIX. select.c

181) Jens Chr. Bachem <bachem@rrz.uni-koeln.de>
     BUG. (introduced in 178)
     FIX. active.c

180) Karlo Gross <kg@orion.ddorf.rhein-ruhr.de>
     ADD. trailing '\0' to duplicated string in str_dup()
     FIX. misc.c

--unoff BETA release 961004 --

179) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. wrong argument order for interactive external mailer elm
     BUG. mar'K' article as read in 'l'ist_thread does not work
     ADD. range check to center_line()
     ADD. <tab> no longer skips over ART_WILL_RETURN articles
     FIX. several patches

178) Karlo Gross <kg@orion.ddorf.rhein-ruhr.de>
     BUG. SIGSEGVs on several machines
     FIX. active.c, select.c

--unoff BETA release 960930 --

177) Karlo Gross <kg@orion.ddorf.rhein-ruhr.de>
     ADD. free_all_arrays() call to reduce 'memory'-leaks
     FIX. main.c

176) Thomas E. Dickey <dickey@clark.net>
     ADD. systemtype check before using cached configure values to prevent
          using them on the wrong platform
     FIX. aclocale.m4, configure.in, init.c

175) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. when NNTP_ONLY default $INEWSDIR contained a trailing slash
     ADD. minor code cleanup
     FIX. configure.in, debug.c

--unoff BETA release 960927 --

174) Karlo Gross <kg@orion.ddorf.rhein-ruhr.de>
     BUG. malloc-problems on several machines
     FIX. group.c

173) Stefan Rapp <s.rapp@hrz.uni-dortmund.de>
     BUG. with highlighted bar and show description an, description was not
          always truncated to the correct length
     FIX. select.c

--unoff BETA release 960923 --

172) Karlo Gross <kg@orion.ddorf.rhein-ruhr.de>
     BUG. SIGSEGV on several machines
     FIX. select.c

--unoff BETA release 960917 --

171) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. a few type-corrections (long -> time_t where needed)
     ADD. don't add signature when superseding own articles
     FIX. filter.c, post.c, sigfile.c

--unoff BETA release 960916 --

170) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. removed some unused variables
          [what is with the CASE_PROBLEM stuff (VMS only)?
           someone removed it from help.c but left it lang.c/extern.h...]
     FIX. lang.c, extern.h

169) Hannu Laurila <Hannu.Laurila@japo.fi>
     ADD. if no subscriptions could be found, don't subscribe to all
          newsgroups - just add them to .newsrc
     FIX. newsrc.c

--unoff BETA release 960914 --

168) Jarkko Isokungas <jti@iki.fi>
     ADD. NeXTSTEP support
     FIX. main.c, signal.c

167) Thomas Kroener <kroener@jupiter.saar.de>
     ADD. kill times in days 2/4 times default_filter_days
     FIX. filter.c

166) Tim Pierce <twpierce@midway.uchicago.edu>
     ADD. safe_fgets() a function that allocates a sufficiently-large buffer
          on demand.
     FIX. art.c

165) Urs Janssen <urs@akk.uni-karlsruhe.de>
     ADD. changed "user@do.mai.ne (Full Name)" to "Full Name <user@do.mai.ne>"
          (expect those in filter.c and those in mailing routines)
     ADD. removed LOG_USER
     FIX. several patches

--unoff BETA release 960901 --

164) Jungshik Shin <jshin@pantheon.yale.edu>
     BUG. fixed minor bug in korean encoding (introduced in 154)
     FIX. rfc1521.c

163) Urs Janssen <urs@akk.uni-karlsruhe.de>
     BUG. Reply-To: is ignored if use_mailreader_i=ON
     FIX. post.c

--unoff BETA release 960827 --

162) Andrey Blochintsev <bag@wood.cs.kiev.ua>
     BUG. M_XENIX complains about double definition of HZ
     BUG. ifndef HAVE_LONG_FILE_NAMES pgp-module generates wrong filenames
     FIX. tin.h, pgp.c

--unoff BETA release 960826 --

161) Andrey Blochintsev <bag@wood.cs.kiev.ua>
     BUG. reading only the first HEADER_LEN bytes could truncate headers.
          -> check for NULL-pointers
     FIX. art.c

--unoff BETA release 960825 --

